Bug 94605 - [SKL] Flashing black screen ([drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun)
Summary: [SKL] Flashing black screen ([drm:intel_cpu_fifo_underrun_irq_handler [i915]]...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: high blocker
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-17 23:07 UTC by Alex Xu (Hello71)
Modified: 2017-04-05 08:03 UTC (History)
37 users (show)

See Also:
i915 platform: SKL
i915 features: display/atomic


Attachments
dmesg.txt (98.73 KB, text/plain)
2016-03-17 23:07 UTC, Alex Xu (Hello71)
no flags Details
dmesg just after the screen has gone black for the first time (918.63 KB, text/plain)
2016-05-08 10:55 UTC, shdownnine
no flags Details
output of lspci -vvv (27.50 KB, text/plain)
2016-05-08 10:57 UTC, shdownnine
no flags Details
dmesg on Dell XPS 13 2016 model (66.11 KB, text/plain)
2016-09-18 09:57 UTC, Christer
no flags Details
lspci -vvv on Dell XPS 13 2016 model (15.87 KB, text/plain)
2016-09-18 09:58 UTC, Christer
no flags Details
Journalctl -r | grep underrun on Dell XPS 13 (2016 model) (6.05 KB, text/plain)
2016-09-18 10:02 UTC, Christer
no flags Details
dmesg (59.14 KB, text/plain)
2016-11-15 22:54 UTC, Dominik Klementowski
no flags Details
dmesg on current DRM Intel Nightly (55.85 KB, text/plain)
2016-11-16 22:11 UTC, Dominik Klementowski
no flags Details
dmesg.txt (196.38 KB, text/plain)
2016-12-06 17:01 UTC, Dominik Klementowski
no flags Details
dmesg with i915 debug mode both with and without firmware files (24.56 KB, application/x-bzip)
2016-12-07 23:45 UTC, Dominik Klementowski
no flags Details
dmesg (457.02 KB, text/plain)
2016-12-11 18:06 UTC, Dominik Klementowski
no flags Details
Possible fix, patch 1. (1.22 KB, patch)
2016-12-12 20:45 UTC, Paulo Zanoni
no flags Details | Splinter Review
Possible fix, patch 2. (3.00 KB, patch)
2016-12-12 20:46 UTC, Paulo Zanoni
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Xu (Hello71) 2016-03-17 23:07:06 UTC
Created attachment 122395 [details]
dmesg.txt

Within ~5 minutes after booting, the screen begins intermittently flashing black, partially flashing black (rectangular portion of screen covering "top" or "bottom" of screen), or flashing "offset", i.e. the correct screen contents but offset ~20% of screen to the right.

This message appears to be related:

[drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

System information:

$ dmesg | head -n 1
[    0.000000] Linux version 4.5.0-1-ARCH (builduser@tobias) (gcc version 5.3.0 (GCC) ) #1 SMP PREEMPT Tue Mar 15 09:41:03 CET 2016
$ lspci -s 00:02.0
00:02.0 VGA compatible controller: Intel Corporation Skylake Integrated Graphics (rev 07)
Comment 1 Alex Xu (Hello71) 2016-03-19 11:16:13 UTC
I am using Plasma 5 with kwin_x11 set to use OpenGL 3.1 over GLX.

I have been unable to reproduce the issue with kwin_x11 set to use EGL.
Comment 2 Alex Xu (Hello71) 2016-03-19 23:43:49 UTC
Never mind, it happened again. I also turned on TearFree which didn't help (not that I thought it would).
Comment 3 Hanno Böck 2016-04-18 08:44:57 UTC
I think I am seeing the same bug. Here's a video of the penomena:
https://www.youtube.com/watch?v=VYxRvFsS-nY

I've reported it at bugzilla.kernel.org ( https://bugzilla.kernel.org/show_bug.cgi?id=116571 ), but got told it needs to be reported here.

Some further info: This must've been introduced between 4.4 and 4.5. I wanted to bisect it, but it's not easy as I don't have a reliable way to reproduce the bug.

The system is a Thinkpad X1 Carbon 2014 edition (20A7), the GPU is listed as "Haswell-ULT Integrated Graphics Controller (rev 0b)" by lspci.
Comment 4 Jani Nikula 2016-04-22 08:59:54 UTC
Please try drm-intel-nightly branch of http://cgit.freedesktop.org/drm-intel and report back.
Comment 5 shdownnine 2016-05-08 10:55:30 UTC
Created attachment 123549 [details]
dmesg just after the screen has gone black for the first time
Comment 6 shdownnine 2016-05-08 10:57:08 UTC
Created attachment 123550 [details]
output of lspci -vvv
Comment 7 shdownnine 2016-05-08 10:57:39 UTC
I have a same issue on Asus X751M laptop with Linux kernels 4.5.0 and 4.6-rc6
(is using this one an equivalent of using drm-intel-nightly?), but the screen
just goes black and only goes unblack when I move a mouse connected to the
laptop or touch a touchpad. It is not a usual power-saving thing, since it
usually occurs when I switch between workspaces (I use i3wm). With Linux 4.5.0,
a reliable way to reproduce this is to open two workspaces and run

    while true; do i3-msg workspace back_and_forth >/dev/null; done

In a few seconds the screen goes black. With 4.6-rc6 kernel the script does not
cause this behavior, and it generally occurs rarer, but still does.

When it goes black for the first time in the session, the following line
appears in dmesg:

[drm:valleyview_pipestat_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

The same thing (the black screen, not the line) happens when I run

    xset dpms force off

(but in this case it also goes unblack if I press a key).

I haven't faced this behavior using the 4.4.0 kernel, but all Linux kernels I
tried at some moment just hang up on this laptop. I don't know if it is
related.
Comment 8 Jani Nikula 2016-05-11 13:30:58 UTC
(In reply to shdownnine from comment #6)
> Created attachment 123550 [details]
> output of lspci -vvv

VLV M.
Comment 9 Ville Syrjala 2016-05-11 13:38:21 UTC
(In reply to Jani Nikula from comment #8)
> (In reply to shdownnine from comment #6)
> > Created attachment 123550 [details]
> > output of lspci -vvv
> 
> VLV M.

Which is totally different than the SKL the original bug reporter has. And there was another comment about HSW. Please open new bugs for different platforms.
Comment 10 anomaly256 2016-05-13 02:35:59 UTC
I'm seeing this on skylake, using the drm-intel nightlies (also sorry for cross posting about this on bug 89806 before I saw this bug)

Using 2 monitors, one on DVI the other HDMI.  The monitor that goes blank is using 1920x1200 res, and if I swap the outputs the monitors are using the same monitor goes blank, that is irrespective of the output its on.  The second monitor which appears to be behaving better is using 1920x1080 although I do get graphical artifacts on it that follow the mouse cursor, namely white lines stretching from the cursor to the far right edge of the display.


I've tried switching from sna to uxa, no effect.  Tried switching rendering from gl to egl, no effect.

[ 2320.744016] [drm:intel_cpu_fifo_underrun_irq_handler] *ERROR* CPU pipe A FIFO underrun
[ 2535.029670] [drm:intel_cpu_fifo_underrun_irq_handler] *ERROR* CPU pipe B FIFO underrun


Linux scorched 4.6.0-rc7+ #1 SMP Fri May 13 11:04:59 AEST 2016 x86_64 Intel(R) Core(TM) i7-6700K CPU @ 4.00GHz GenuineIntel GNU/Linux

Using nightlies fetched and built about an hour ago.
Comment 11 anomaly256 2016-05-13 02:37:56 UTC
Should add that I've tried with and without i915.enable_rc6=0, no effect.  If I try i915.semaphores=1 the machine hangs outright during boot after X starts

(In reply to anomaly256 from comment #10)
> I'm seeing this on skylake, using the drm-intel nightlies (also sorry for
> cross posting about this on bug 89806 before I saw this bug)
> 
> Using 2 monitors, one on DVI the other HDMI.  The monitor that goes blank is
> using 1920x1200 res, and if I swap the outputs the monitors are using the
> same monitor goes blank, that is irrespective of the output its on.  The
> second monitor which appears to be behaving better is using 1920x1080
> although I do get graphical artifacts on it that follow the mouse cursor,
> namely white lines stretching from the cursor to the far right edge of the
> display.
> 
> 
> I've tried switching from sna to uxa, no effect.  Tried switching rendering
> from gl to egl, no effect.
> 
> [ 2320.744016] [drm:intel_cpu_fifo_underrun_irq_handler] *ERROR* CPU pipe A
> FIFO underrun
> [ 2535.029670] [drm:intel_cpu_fifo_underrun_irq_handler] *ERROR* CPU pipe B
> FIFO underrun
> 
> 
> Linux scorched 4.6.0-rc7+ #1 SMP Fri May 13 11:04:59 AEST 2016 x86_64
> Intel(R) Core(TM) i7-6700K CPU @ 4.00GHz GenuineIntel GNU/Linux
> 
> Using nightlies fetched and built about an hour ago.
Comment 12 anomaly256 2016-05-13 07:00:47 UTC
Adding i915.enable_psr=0 seems to have fixed or at least reduced the blanking (has yet to happen but I am reluctant to declare it gone for good just yet).  The FIFO underrun message still appears in dmesg though.
Comment 13 anomaly256 2016-05-15 23:20:37 UTC
Is this still 'need info' if we've tested on the latest nightly and still see the problem?
Comment 14 anomaly256 2016-05-19 06:03:53 UTC
It is still happening with psr=0, just a lot less frequently.

Is this issue still getting attention?  This is a pretty big annoyance having just spent decent money on Intel's flagship consumer cpu and chipset.

Hello?
Comment 15 anomaly256 2016-05-23 01:12:29 UTC
And with today's nightly it's gotten 100x worse.  If you need more info please tell me what info you need
Comment 16 anomaly256 2016-05-23 06:33:14 UTC
Bumping the priority on this because devs are not responding and this is pretty much a show-stopper for us users experiencing it.
Comment 17 perrantrevan 2016-05-28 11:30:00 UTC
I believe I have problems as a result of this bug on the Intel Skull Canyon NUC with Iris Pro 580 integrated graphics.

I had to turn off modesetting to complete installation of Arch Linux.

Now I can successfully boot into a DE with no problems. However, when I boot into Kodi standalone or Retroarch in KMS/EGL mode the screen loses connection just after the systemd version number appears. 

Very, very occasionally the screen doesn't go black for Retroarch. However, my systemd retroarch.service fails (though I can manually start the systemd service or /usr/bin/retroarch itself).

The same setup works with no problems on my laptop (Intel HD Graphics 4400).

I ssh'd into the running system when the screen was black: -

$ sudo journalctl -b | grep -i drm
May 28 12:50:59 nuc kernel: [drm] Initialized drm 1.1.0 20060810
May 28 12:50:59 nuc kernel: [drm] Found 128MB of eLLC
May 28 12:50:59 nuc kernel: [drm] Memory usable by graphics device = 4096M
May 28 12:50:59 nuc kernel: fb: switching to inteldrmfb from EFI VGA
May 28 12:50:59 nuc kernel: [drm] Replacing VGA console driver
May 28 12:50:59 nuc kernel: [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
May 28 12:50:59 nuc kernel: [drm] Driver supports precise vblank timestamp query.
May 28 12:50:59 nuc kernel: [drm] Finished loading i915/skl_dmc_ver1.bin (v1.26)
May 28 12:50:59 nuc kernel: [drm] failed to retrieve link info, disabling eDP
May 28 12:50:59 nuc kernel: [drm] Initialized i915 1.6.0 20151218 for 0000:00:02.0 on minor 0
May 28 12:50:59 nuc kernel: fbcon: inteldrmfb (fb0) is primary device
May 28 12:50:59 nuc kernel: [drm:intel_dp_link_training_clock_recovery [i915]] *ERROR* failed to enable link training
May 28 12:50:59 nuc kernel: [drm:intel_dp_start_link_train [i915]] *ERROR* failed to start channel equalization
May 28 12:50:59 nuc kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
May 28 12:50:59 nuc kernel: i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
May 28 12:50:59 nuc kernel: [drm] RC6 on
May 28 12:51:00 nuc retroarch[409]: RetroArch [WARN] :: [KMS]: Couldn't open DRM device.
May 28 12:51:00 nuc retroarch[409]: RetroArch [WARN] :: [KMS]: Couldn't open DRM device.
May 28 12:51:00 nuc retroarch[409]: RetroArch [WARN] :: [KMS]: Couldn't open DRM device.
May 28 12:51:00 nuc retroarch[409]: RetroArch [ERROR] :: [KMS]: Couldn't find a suitable DRM device.
Comment 18 Vsevolod Minkov 2016-06-01 19:59:01 UTC
Can confirm this error on my Dell e7470 too. 

The symptoms are same - screen flicks followed by message: 

[ 4364.723080] [drm:gen8_irq_handler] *ERROR* CPU pipe A FIFO underrun


My environment is:
- kernel 4.7-rc1 drm-intel-nightly 2016y-06m-01d-09h-32m-53s @ 0a384375f34ee1a1e83f63f83cfac338b5ce37b
- xf86-video-intel 2.99.917
- xorg 1.18.3
- firmware skl_dmc_ver1_26.bin skl_guc_ver4_3.bin

Can I somehow help with testing?
Comment 19 anomaly256 2016-06-02 05:08:04 UTC
The devs seem to have given up on this.  No response from them for weeks.  I'm guessing we need to open new bugs or just write off skylake support on linux as completely defunct.
Comment 20 Flo H. 2016-06-08 15:23:01 UTC
Same happening here on my Fedora 23 Gnome 
with kernel 4.5.5-201.fc23.x86_64 
on an Thinkpad X230 
(CPU: Intel(R) Core(TM) i7-3520M CPU @ 2.90GHz)

lspci -v | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])

xorg-x11-drv-intel-2.99.917-19.20151206.fc23.x86_64


Here is a snip from journalctl: https://paste.fedoraproject.org/376234/

I also noted that a kernel regression test (https://git.fedorahosted.org/git/kernel-tests.git) performed on that system does not come to an end. Logs are here: https://paste.fedoraproject.org/376201/ (with SELinux disabled), and here https://paste.fedoraproject.org/376204/ (SELinux enabled).
Comment 21 Jani Nikula 2016-06-17 16:17:17 UTC
(In reply to anomaly256 from comment #19)
> The devs seem to have given up on this.  No response from them for weeks. 
> I'm guessing we need to open new bugs or just write off skylake support on
> linux as completely defunct.

Please try current drm-intel-nightly. There are some relevant skl watermark fixes.
Comment 22 Jani Nikula 2016-06-17 16:18:13 UTC
(In reply to Flo H. from comment #20)
> Same happening here on my Fedora 23 Gnome 
> with kernel 4.5.5-201.fc23.x86_64 
> on an Thinkpad X230 
> (CPU: Intel(R) Core(TM) i7-3520M CPU @ 2.90GHz)
> 
> lspci -v | grep VGA
> 00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor
> Graphics Controller (rev 09) (prog-if 00 [VGA controller])

This bug is about Skylake. That's Ivybridge. Please file a separate bug.
Comment 23 anomaly256 2016-06-21 02:15:31 UTC
(In reply to Jani Nikula from comment #21)
> (In reply to anomaly256 from comment #19)
> > The devs seem to have given up on this.  No response from them for weeks. 
> > I'm guessing we need to open new bugs or just write off skylake support on
> > linux as completely defunct.
> 
> Please try current drm-intel-nightly. There are some relevant skl watermark
> fixes.

New since 2016-05-23?  the watermark error message went away, the flashing black screen did not.  I tried a later nightly and the problem got 10x (not exaggerating) worse and more frequent.  I notice that sometimes after it flashes black, my monitor will report that the gpu is sending it an unsupported/non-optimal refresh rate that isn't exactly the 60hz it expects.  A reboot (even a soft reboot) fixes it.

I'll try the current nightly again now but I suspect the watermark fixes you are referring to have already been tested
Comment 24 anomaly256 2016-06-21 02:34:21 UTC
..some time next month when the repo finishes cloning:

Receiving objects:   0% (11662/4807413), 5.68 MiB | 11.00 KiB/s    

You guys really need to move to better hosting :P

(Or maybe change the way you merge so we can do a pull on the nightly branch without *always* having to hand-resolve conflicts)
Comment 25 anomaly256 2016-06-21 03:17:41 UTC
Flickering and screen artefacts abound with the current nightly.

Instead of perpetually shooting in the dark and hoping a nightly eventually magically makes this go away, can you tell us what info you need to get this fixed?  I'm not seeing any errors in dmesg at all but the flickering and glitching persists.  Somehow the gpu is trying to drive a refresh rate of 59.95hz instead of 60hz.
Comment 26 anomaly256 2016-06-21 03:20:09 UTC
What I don't understand though, don't you have access to skylake hardware?  If so many people are reporting these problems, can't you reproduce them in the lab?  You should be able to replicate this and diagnose it directly.
Comment 27 pcnoordhuis 2016-07-05 15:37:49 UTC
Seeing the same issue on Broadwell in an X1 Carbon 3rd generation.

Have two external monitors attached through the OneLink Pro Dockand see intermittent screen blanking (happens both for DisplayPort and DVI).

Just to say, this doesn't seem isolated to Skylake.
Comment 28 anomaly256 2016-07-06 02:01:30 UTC
Hi Intel driver devs, can we get an update on this?  And please don't just ask us to 'try the nightlies' again.  I've done that multiple times now and the problem just gets worse and worse which tells me you're not actively working on /this/ issue but just hoping fixes in other areas coincidentally fix it.
Comment 29 anomaly256 2016-07-10 09:44:24 UTC
Re-marking as 'new' since we've provided your requested feedback and the problem is not resolved by your nightlies.
Comment 30 Spricer 2016-07-11 04:08:48 UTC
I can confirm this bug as well in Mageia 5 latest kernel.
C/P from my post there:

After booting into 4.4.13-desktop-1.mga5 screen starts flickering/going blank for second when switching mouse from one monitor to second monitor. Sometimes screen stays black after leaving it with mouse and moving mouse back restores screen. This is NOT happening with  4.1.15-2.mga5 kernel

*** ENV ***:
Mageia: Mageia release 5 (Official) for x86_64
Kernel: 4.4.13-desktop-1.mga5 #1 SMP Fri Jun 10 12:16:55 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
GUI:mate-desktop-1.8.1-4.mga5
MB: ASUS P7H55-M PRO
CPU: Intel(R) Core(TM) i5 CPU 650 @ 3.20GHz
X: x11-server-xorg-1.16.4-2.1.mga5
#lspci -s 00:02.0 -v
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 12) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device 8383
	Flags: bus master, fast devsel, latency 0, IRQ 25
	Memory at f7800000 (64-bit, non-prefetchable) [size=4M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at dc00 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 2
	Capabilities: [a4] PCI Advanced Features
	Kernel driver in use: i915
	Kernel modules: i915

#cat /etc/X11/xorg.conf
Section "Module"
    Load "v4l" # Video for Linux
EndSection

Section "Monitor"
    Identifier "VGA"
    VendorName "LG"
    ModelName "E2240"
    HorizSync 30-83
    VertRefresh 56-75
    # Monitor preferred modeline (60.0 Hz vsync, 67.5 kHz hsync, ratio 16/9, 102 dpi)
    ModeLine "1920x1080" 148.5 1920 2008 2052 2200 1080 1084 1089 1125 +hsync +vsync
EndSection

Section "Monitor"
    Identifier "HDMI"
    VendorName "ViewSonic"
    ModelName "VX2245wm"
    HorizSync 30-82
    VertRefresh 50-75
    Option "RightOf" "VGA"
    # Monitor preferred modeline (60.0 Hz vsync, 65.3 kHz hsync, ratio 16/10, 90 dpi)
    ModeLine "1680x1050" 146.25 1680 1784 1960 2240 1050 1053 1059 1089 +hsync -vsync
EndSection

Section "Device"
    Identifier "IntelHD"
    VendorName "Intel Corporation"
    BoardName "i915"
    Driver "intel"
    BusID "PCI:0:2:0"
    Option "Monitor-HDMI1" "HDMI"
    Option "Monitor-VGA1" "VGA"
EndSection

Section "Screen"
    Identifier "screen0"
    Device "IntelHD"
    Monitor "VGA"
EndSection

Section "ServerLayout"
    Identifier "DualScreen"
    Screen "screen0"
EndSection


*** Related Logs entries***
dmesg:
[   23.253059] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[   23.253192] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun
[   24.185645] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
[   24.185676] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder B FIFO underrun
[   43.650849] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
[   43.650985] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder B FIFO underrun



Steps to Reproduce:
Boot to 4.4.13-desktop-1.mga5 kernel
Comment 31 Spricer 2016-07-11 04:32:03 UTC
(In reply to Spricer from comment #30)
> I can confirm this bug as well in Mageia 5 latest kernel.
> C/P from my post there:
> 
> After booting into 4.4.13-desktop-1.mga5 screen starts flickering/going
> blank for second when switching mouse from one monitor to second monitor.
> Sometimes screen stays black after leaving it with mouse and moving mouse
> back restores screen. This is NOT happening with  4.1.15-2.mga5 kernel
> 
> *** ENV ***:
> Mageia: Mageia release 5 (Official) for x86_64
> Kernel: 4.4.13-desktop-1.mga5 #1 SMP Fri Jun 10 12:16:55 UTC 2016 x86_64
> x86_64 x86_64 GNU/Linux
> GUI:mate-desktop-1.8.1-4.mga5
> MB: ASUS P7H55-M PRO
> CPU: Intel(R) Core(TM) i5 CPU 650 @ 3.20GHz
> X: x11-server-xorg-1.16.4-2.1.mga5
> #lspci -s 00:02.0 -v
> 00:02.0 VGA compatible controller: Intel Corporation Core Processor
> Integrated Graphics Controller (rev 12) (prog-if 00 [VGA controller])
> 	Subsystem: ASUSTeK Computer Inc. Device 8383
> 	Flags: bus master, fast devsel, latency 0, IRQ 25
> 	Memory at f7800000 (64-bit, non-prefetchable) [size=4M]
> 	Memory at e0000000 (64-bit, prefetchable) [size=256M]
> 	I/O ports at dc00 [size=8]
> 	Expansion ROM at <unassigned> [disabled]
> 	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
> 	Capabilities: [d0] Power Management version 2
> 	Capabilities: [a4] PCI Advanced Features
> 	Kernel driver in use: i915
> 	Kernel modules: i915
> 
> #cat /etc/X11/xorg.conf
> Section "Module"
>     Load "v4l" # Video for Linux
> EndSection
> 
> Section "Monitor"
>     Identifier "VGA"
>     VendorName "LG"
>     ModelName "E2240"
>     HorizSync 30-83
>     VertRefresh 56-75
>     # Monitor preferred modeline (60.0 Hz vsync, 67.5 kHz hsync, ratio 16/9,
> 102 dpi)
>     ModeLine "1920x1080" 148.5 1920 2008 2052 2200 1080 1084 1089 1125
> +hsync +vsync
> EndSection
> 
> Section "Monitor"
>     Identifier "HDMI"
>     VendorName "ViewSonic"
>     ModelName "VX2245wm"
>     HorizSync 30-82
>     VertRefresh 50-75
>     Option "RightOf" "VGA"
>     # Monitor preferred modeline (60.0 Hz vsync, 65.3 kHz hsync, ratio
> 16/10, 90 dpi)
>     ModeLine "1680x1050" 146.25 1680 1784 1960 2240 1050 1053 1059 1089
> +hsync -vsync
> EndSection
> 
> Section "Device"
>     Identifier "IntelHD"
>     VendorName "Intel Corporation"
>     BoardName "i915"
>     Driver "intel"
>     BusID "PCI:0:2:0"
>     Option "Monitor-HDMI1" "HDMI"
>     Option "Monitor-VGA1" "VGA"
> EndSection
> 
> Section "Screen"
>     Identifier "screen0"
>     Device "IntelHD"
>     Monitor "VGA"
> EndSection
> 
> Section "ServerLayout"
>     Identifier "DualScreen"
>     Screen "screen0"
> EndSection
> 
> 
> *** Related Logs entries***
> dmesg:
> [   23.253059] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU
> pipe A FIFO underrun
> [   23.253192] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH
> transcoder A FIFO underrun
> [   24.185645] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU
> pipe B FIFO underrun
> [   24.185676] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH
> transcoder B FIFO underrun
> [   43.650849] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU
> pipe B FIFO underrun
> [   43.650985] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH
> transcoder B FIFO underrun
> 
> 
> 
> Steps to Reproduce:
> Boot to 4.4.13-desktop-1.mga5 kernel


lib64drm_intel1-2.4.59-1.mga5
x11-driver-video-intel-2.99.917-14.2.mga5
Comment 32 Mauro Santos 2016-07-16 14:35:05 UTC
I believe I'm also seeing this problem, I haven't tried the drm-intel-nightly branch but I wanted to add a data point that might be useful.

I'm running Arch linux on a Lenovo E560 with an I7-6500U, current kernel version is 4.6.4.

I have not experienced this problem until I have done some tuning(*) to the system in order to get deeper package c-states. Before the cpu would not go lower than PC2, currently the cpu is able to go down to PC7 and according to powertop there is no PC8~PC10 residency.

Since doing the changes I've seen the following messages in dmesg:
[drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=414495 end=414496) time 173 us, min 1073, max 1079, scanline start 1069, end 1081
[drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=38859 end=38860) time 410 us, min 1073, max 1079, scanline start 1063, end 1090

The first message seems to be associated with the first flicker, but I've seen the screen flicker without any new messages being written to dmesg.

I have not noticed any reliable way to trigger this problem, it just happens at random times.

(*) I have enabled sata alpm (echo min_power > /sys/class/scsi_host/host{0,1}/link_power_management_policy) which, according to powertop, allows the cpu to get into PC6, and I have further enabled usb autosuspend for a device that was preventing the cpu from getting into PC7.
Comment 33 yann 2016-07-21 06:20:49 UTC
Updating priority accordingly to impact and frequency.
Comment 34 anomaly256 2016-07-21 07:54:49 UTC
Seriously..
Comment 35 anomaly256 2016-07-21 07:56:12 UTC
(In reply to yann from comment #33)
> Updating priority accordingly to impact and frequency.

This is an absolute show-stopper.  I had to get my employer to go buy a discrete non-intel card so my new workstation was even usable.  I think this deserves *much* more priority than Intel are giving it.  And yes it is still a problem, we're just not as active in this thread any more BECAUSE INTEL HAVE BEEN IGNORING IT
Comment 36 Peter Wu 2016-08-09 09:54:20 UTC
(Please keep it constructive, thanks.)

Would it help if we attach some dmesg with some value of drm.debug enabled? I am also experiencing flashing/moving screens for some weeks now on Arch Linux on SKL (i7-6700HQ) with Linux 4.6.5.

The "[drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun" message is sometimes logged when this happens for the first time in a while. It seems more likely to happen when selecting text or moving close to the screen borders.
Comment 37 Peter F. Patel-Schneider 2016-08-10 12:31:03 UTC
I too am experiencing this problem.  I am running on a Lenovo 2 Pro with Haswell-ULT integrated graphics.

The problem appears to affect a large number of devices with integrated Intel graphics and appears to be present in all Linux 4.6 kernels.   Many bugs have been reported for the problem in different locations, including https://bugzilla.redhat.com/show_bug.cgi?id=1355851#c6.  

I have not been able to find a bug report that is the right place to find out what is being done to address this bug.  If there is a main report for this bug could someone please add a comment pointing to that report?
Comment 38 Jimmy Merrild Krag 2016-08-12 13:18:05 UTC
I'm pretty sure that this is what I am experiencing on a MacBook Pro 12,1. Screen randomly goes black and comes back again. Afterwards I see
[drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
or
[drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
or both in dmesg.

Graphics is Intel® Iris 6100 (Broadwell GT3) 
I'm on Ubuntu 16.04 with default kernel. Linux JMK-MBP 4.4.0-34-generic #53-Ubuntu SMP Wed Jul 27 16:06:39 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
Comment 39 Jani Nikula 2016-08-16 12:33:30 UTC
Would you all be so kind as to please report separate bugs for separate platforms, even when you're convinced it's the same bug? It will be trivial to later resolve the bugs as duplicates, once we've actually determined they are the same bugs. But it's virtually impossible to have a coherent debugging story on a mangle of platforms and environments. 

Additionally, please always indicate the version of the kernel you're running.
Comment 40 Peter Wu 2016-08-16 12:51:49 UTC
The original report was about SKL, by "platform" do you refer to SKL vs HSW or specific laptop models? If this is about SKL, maybe it is an idea to prepend "[SKL]" to the subject.
Comment 41 Jani Nikula 2016-08-16 13:27:36 UTC
Platforms are Skylake, Broadwell, Haswell, and so on. There's this i915 platform field near the top, with the abbreviations. But I've now added SKL to the subject too.
Comment 42 Peter F. Patel-Schneider 2016-08-18 15:29:13 UTC
There are several bugs already that appear to be about this particular problem on Haswell devices.
https://bugs.freedesktop.org/show_bug.cgi?id=96704
https://bugs.freedesktop.org/show_bug.cgi?id=96736
https://bugs.freedesktop.org/show_bug.cgi?id=96916
https://bugs.freedesktop.org/show_bug.cgi?id=97056
Several of them have no response from developers.
Comment 43 ggg 2016-08-20 17:17:52 UTC
I've been reproducing this as well _occasionally for the past 6 months on NUC6i5SYB. After updating "Debian testing" two days ago, the "screen blanking" failure rate now makes openarena unplayable.

# dmidecode
BIOS Information
        Vendor: Intel Corp.
        Version: SYSKLi35.86A.0028.2015.1112.1822
        Release Date: 11/12/2015
...
        BIOS Revision: 5.6
...
Base Board Information
        Manufacturer: Intel corporation
        Product Name: NUC6i5SYB
        Version: H81131-502

Screen blanking for 2-3 seconds while playing openarena on a 2460x1440 resolution (via DisplayPort output) happens every 5-20 seconds.

I also noticed the screen blanking doesn't correlate with the "FIFO Underrun" output in dmesg: 
grundler@gggnuc6:~$ dmesg | grep "gen8_irq_handler"
[  932.176734] [drm:gen8_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[ 8067.746574] [drm:gen8_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[ 8152.371139] [drm:gen8_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[10635.449836] [drm:gen8_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[50462.953067] [drm:gen8_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[52083.930871] [drm:gen8_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[52596.327741] [drm:gen8_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

The last invocation of openarena blanked the screen three different times but only one message appeared.

Note that even during "normal use" (e.g. watching youtube or running chrome browser), the screen will sometimes blank.

Please advise if there are any parameters I should be trying to avoid the screen blanking or to dump more diagnostic info about the screen blanking.
Comment 44 ggg 2016-08-20 17:29:12 UTC
more info from the NUC6i5SYB: connect to Samsung U28D590D via DisplayPort.

tail /var/log/messages:
[50476.600499] systemd[1]: apt-daily.timer: Adding 9h 46min 57.697169s random time.
[50476.728743] systemd[1]: apt-daily.timer: Adding 11min 52.681564s random time.
[52083.930871] [drm:gen8_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[52596.327741] [drm:gen8_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

But /var/log/Xorg.0.log is getting spammed around the same time. Any other logs or output that would be helpful?

[ 52105.723] (II) modeset(0): EDID vendor "SAM", prod id 2944
[ 52105.724] (II) modeset(0): Using hsync ranges from config file
[ 52105.724] (II) modeset(0): Using vrefresh ranges from config file
[ 52105.724] (II) modeset(0): Printing DDC gathered Modelines:
[ 52105.724] (II) modeset(0): Modeline "3840x2160"x0.0  533.25  3840 3888 3920 4000  2160 2163 2168 2222 +hsync -vsync (133.3 kHz eP)
[ 52105.724] (II) modeset(0): Modeline "2560x1440"x0.0  241.50  2560 2608 2640 2720  1440 1443 1448 1481 +hsync -vsync (88.8 kHz e)
[ 52105.724] (II) modeset(0): Modeline "1920x1080"x0.0  148.50  1920 2008 2052 2200  1080 1084 1089 1125 +hsync +vsync (67.5 kHz e)
[ 52105.724] (II) modeset(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[ 52105.724] (II) modeset(0): Modeline "800x600"x0.0   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz e)
[ 52105.724] (II) modeset(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[ 52105.724] (II) modeset(0): Modeline "640x480"x0.0   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz e)
[ 52105.724] (II) modeset(0): Modeline "640x480"x0.0   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz e)
[ 52105.724] (II) modeset(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[ 52105.724] (II) modeset(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[ 52105.724] (II) modeset(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz e)
[ 52105.724] (II) modeset(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[ 52105.724] (II) modeset(0): Modeline "1024x768"x0.0   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz e)
[ 52105.724] (II) modeset(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[ 52105.724] (II) modeset(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[ 52105.724] (II) modeset(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[ 52105.724] (II) modeset(0): Modeline "800x600"x0.0   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz e)
[ 52105.724] (II) modeset(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[ 52105.724] (II) modeset(0): Modeline "1280x800"x0.0   83.50  1280 1352 1480 1680  800 803 809 831 -hsync +vsync (49.7 kHz e)
[ 52105.724] (II) modeset(0): Modeline "1280x720"x60.0   74.48  1280 1336 1472 1664  720 721 724 746 -hsync +vsync (44.8 kHz e)
[ 52105.724] (II) modeset(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz e)
[ 52105.724] (II) modeset(0): Modeline "1600x900"x60.0  119.00  1600 1696 1864 2128  900 901 904 932 -hsync +vsync (55.9 kHz e)
[ 52105.724] (II) modeset(0): Modeline "1680x1050"x0.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz e)
[ 52105.724] (II) modeset(0): Modeline "1440x900"x0.0  106.50  1440 1520 1672 1904  900 903 909 934 -hsync +vsync (55.9 kHz e)
[ 52105.724] (II) modeset(0): Modeline "720x576"x0.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz e)
[ 52105.903] (II) modeset(0): EDID vendor "SAM", prod id 2944
[ 52105.904] (II) modeset(0): Using hsync ranges from config file
[ 52105.904] (II) modeset(0): Using vrefresh ranges from config file
[ 52105.904] (II) modeset(0): Printing DDC gathered Modelines:
[ 52105.904] (II) modeset(0): Modeline "3840x2160"x0.0  533.25  3840 3888 3920 4000  2160 2163 2168 2222 +hsync -vsync (133.3 kHz eP)
[ 52105.904] (II) modeset(0): Modeline "2560x1440"x0.0  241.50  2560 2608 2640 2720  1440 1443 1448 1481 +hsync -vsync (88.8 kHz e)
[ 52105.904] (II) modeset(0): Modeline "1920x1080"x0.0  148.50  1920 2008 2052 2200  1080 1084 1089 1125 +hsync +vsync (67.5 kHz e)
...
[ 52105.904] (II) modeset(0): Modeline "720x576"x0.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz e)
[ 52106.039] (II) modeset(0): EDID vendor "SAM", prod id 2944
[ 52106.039] (II) modeset(0): Using hsync ranges from config file
[ 52106.039] (II) modeset(0): Using vrefresh ranges from config file
[ 52106.039] (II) modeset(0): Printing DDC gathered Modelines:
[ 52106.039] (II) modeset(0): Modeline "3840x2160"x0.0  533.25  3840 3888 3920 4000  2160 2163 2168 2222 +hsync -vsync (133.3 kHz eP)
...
[ 52106.039] (II) modeset(0): Modeline "720x576"x0.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz e)
[ 52106.175] (II) modeset(0): EDID vendor "SAM", prod id 2944
[ 52106.176] (II) modeset(0): Using hsync ranges from config file
[ 52106.176] (II) modeset(0): Using vrefresh ranges from config file
[ 52106.176] (II) modeset(0): Printing DDC gathered Modelines:
[ 52106.176] (II) modeset(0): Modeline "3840x2160"x0.0  533.25  3840 3888 3920 4000  2160 2163 2168 2222 +hsync -vsync (133.3 kHz eP)
...
[ 52106.176] (II) modeset(0): Modeline "720x576"x0.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz e)
[ 52600.127] (II) modeset(0): EDID vendor "SAM", prod id 2944
[ 52600.128] (II) modeset(0): Using hsync ranges from config file
[ 52600.128] (II) modeset(0): Using vrefresh ranges from config file
[ 52600.128] (II) modeset(0): Printing DDC gathered Modelines:
[ 52600.128] (II) modeset(0): Modeline "3840x2160"x0.0  533.25  3840 3888 3920 4000  2160 2163 2168 2222 +hsync -vsync (133.3 kHz eP)
[ 52600.128] (II) modeset(0): Modeline "2560x1440"x0.0  241.50  2560 2608 2640 2720  1440 1443 1448 1481 +hsync -vsync (88.8 kHz e)
...
[ 52600.128] (II) modeset(0): Modeline "720x576"x0.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz e)
[ 52600.263] (II) modeset(0): EDID vendor "SAM", prod id 2944
[ 52600.264] (II) modeset(0): Using hsync ranges from config file
[ 52600.264] (II) modeset(0): Using vrefresh ranges from config file
[ 52600.264] (II) modeset(0): Printing DDC gathered Modelines:
[ 52600.264] (II) modeset(0): Modeline "3840x2160"x0.0  533.25  3840 3888 3920 4000  2160 2163 2168 2222 +hsync -vsync (133.3 kHz eP)
[ 52600.264] (II) modeset(0): Modeline "2560x1440"x0.0  241.50  2560 2608 2640 2720  1440 1443 1448 1481 +hsync -vsync (88.8 kHz e)
...
[ 52600.264] (II) modeset(0): Modeline "720x576"x0.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz e)
[ 52600.451] (II) modeset(0): EDID vendor "SAM", prod id 2944
[ 52600.452] (II) modeset(0): Using hsync ranges from config file
[ 52600.452] (II) modeset(0): Using vrefresh ranges from config file
[ 52600.452] (II) modeset(0): Printing DDC gathered Modelines:
[ 52600.452] (II) modeset(0): Modeline "3840x2160"x0.0  533.25  3840 3888 3920 4000  2160 2163 2168 2222 +hsync -vsync (133.3 kHz eP)
[ 52600.452] (II) modeset(0): Modeline "2560x1440"x0.0  241.50  2560 2608 2640 2720  1440 1443 1448 1481 +hsync -vsync (88.8 kHz e)
...
[ 52600.452] (II) modeset(0): Modeline "1440x900"x0.0  106.50  1440 1520 1672 1904  900 903 909 934 -hsync +vsync (55.9 kHz e)
[ 52600.452] (II) modeset(0): Modeline "720x576"x0.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz e)
[ 52600.595] (II) modeset(0): EDID vendor "SAM", prod id 2944
[ 52600.596] (II) modeset(0): Using hsync ranges from config file
[ 52600.596] (II) modeset(0): Using vrefresh ranges from config file
[ 52600.596] (II) modeset(0): Printing DDC gathered Modelines:
[ 52600.596] (II) modeset(0): Modeline "3840x2160"x0.0  533.25  3840 3888 3920 4000  2160 2163 2168 2222 +hsync -vsync (133.3 kHz eP)
...
[ 52600.596] (II) modeset(0): Modeline "720x576"x0.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz e)
[ 52600.792] (II) modeset(0): EDID vendor "SAM", prod id 2944
[ 52600.792] (II) modeset(0): Using hsync ranges from config file
[ 52600.792] (II) modeset(0): Using vrefresh ranges from config file
[ 52600.792] (II) modeset(0): Printing DDC gathered Modelines:
[ 52600.792] (II) modeset(0): Modeline "3840x2160"x0.0  533.25  3840 3888 3920 4000  2160 2163 2168 2222 +hsync -vsync (133.3 kHz eP)
...
[ 52600.792] (II) modeset(0): Modeline "720x576"x0.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz e)
[ 52600.927] (II) modeset(0): EDID vendor "SAM", prod id 2944
[ 52600.927] (II) modeset(0): Using hsync ranges from config file
[ 52600.927] (II) modeset(0): Using vrefresh ranges from config file
[ 52600.927] (II) modeset(0): Printing DDC gathered Modelines:
[ 52600.927] (II) modeset(0): Modeline "3840x2160"x0.0  533.25  3840 3888 3920 4000  2160 2163 2168 2222 +hsync -vsync (133.3 kHz eP)
...
[ 52600.927] (II) modeset(0): Modeline "720x576"x0.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz e)
[ 52601.062] (II) modeset(0): EDID vendor "SAM", prod id 2944
[ 52601.062] (II) modeset(0): Using hsync ranges from config file
[ 52601.062] (II) modeset(0): Using vrefresh ranges from config file
[ 52601.062] (II) modeset(0): Printing DDC gathered Modelines:
[ 52601.062] (II) modeset(0): Modeline "3840x2160"x0.0  533.25  3840 3888 3920 4000  2160 2163 2168 2222 +hsync -vsync (133.3 kHz eP)
...
[ 52601.063] (II) modeset(0): Modeline "720x576"x0.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz e)
[ 52652.639] (II) modeset(0): EDID vendor "SAM", prod id 2944
[ 52652.639] (II) modeset(0): Using hsync ranges from config file
[ 52652.639] (II) modeset(0): Using vrefresh ranges from config file
[ 52652.639] (II) modeset(0): Printing DDC gathered Modelines:
...
Comment 45 ggg 2016-08-20 17:39:52 UTC
Sorry, forgot to mention I _was_ running 4.5.0-1-amd64 kernel from Debian testing release:
Linux gggnuc6 4.5.0-1-amd64 #1 SMP Debian 4.5.1-1 (2016-04-14) x86_64 GNU/Linux

I've installed the 4.6.0-1-amd64 kernel and will try that next after reading:
   http://blog.ffwll.ch/2016/03/neat-drmi915-stuff-for-46.html
Comment 46 ggg 2016-08-20 17:58:03 UTC
And 4.6.4-1 doesn't behave any better. Same symptom. Openarena is still unplayable. :(

# uname -a
Linux gggnuc6 4.6.0-1-amd64 #1 SMP Debian 4.6.4-1 (2016-07-18) x86_64 GNU/Linux
Comment 47 ggg 2016-08-20 18:20:18 UTC
Thought the current i915 driver parameters might be of interest:

/sys/module/i915/parameters# for i in * 
> do
> echo $i : $(cat $i)
> done
disable_display : N
disable_power_well : 1
edp_vswing : 0
enable_cmd_parser : 1
enable_dc : -1
enable_execlists : 1
enable_fbc : -1
enable_guc_submission : N
enable_hangcheck : Y
enable_ips : 1
enable_ppgtt : 3
enable_psr : 0
enable_rc6 : 0
fastboot : N
guc_log_level : -1
invert_brightness : 0
load_detect_test : N
lvds_channel_mode : 0
lvds_use_ssc : -1
mmio_debug : 0
modeset : -1
nuclear_pageflip : N
panel_ignore_lid : 1
prefault_disable : N
preliminary_hw_support : 0
reset : Y
semaphores : -1
use_mmio_flip : 0
vbt_sdvo_panel_type : -1
verbose_state_checks : Y

and while I'm at it, DRM parameters as well:
/sys/module/drm/parameters# for i in * ; do echo $i : $(cat $i); done
debug : 0
edid_fixup : 6
timestamp_monotonic : 1
timestamp_precision_usec : 20
vblankoffdelay : 5000

Lastly, when I hit Ctl-N (open a new browser window) in chrome, I sometimes get the screen blank. this has happened too often to be coincidence.
Comment 48 ggg 2016-08-20 18:34:18 UTC
Wow! just discovered that scrolling the mouse wheel to zoom in/out while on maps.google.com (plain map view, not satellite or earth view) also triggers screen to blank - no corresponding output in either Xorg.0.log or /var/log/messages or dmesg.

Switching to "earth" view on maps.google.com, dragging the screen with the mouse also triggers screen blanking.

Display output is set to 3840x2160:
[   108.184] (II) modeset(0): Modeline "3840x2160"x0.0  533.25  3840 3888 3920 4000  2160 2163 2168 2222 +hsync -vsync (133.3 kHz eP)
Comment 49 Eero Tamminen 2016-08-22 14:30:37 UTC
(In reply to ggg from comment #48)
> Wow! just discovered that scrolling the mouse wheel to zoom in/out while on
> maps.google.com (plain map view, not satellite or earth view) also triggers
> screen to blank - no corresponding output in either Xorg.0.log or
> /var/log/messages or dmesg.

This sounds more like the X issues with DRI3 than kernel issue.  Could you try both Intel DDX &modesetting X drivers and with Intel DDX both DRI3 and DRI2?

If it's indeed X issue, please file separate bug about it.
Comment 50 Jimmy Merrild Krag 2016-08-23 09:46:57 UTC
I just realized something I didn't before. I only have the issue on monitors I connect using displayport, and not on my laptops built-in monitor. Is there anything I can give you guys that will show what the difference is between the monitors?
Comment 51 martin.hagstrom 2016-08-23 09:52:48 UTC
(In reply to Jimmy Merrild Krag from comment #50)
> I just realized something I didn't before. I only have the issue on monitors
> I connect using displayport, and not on my laptops built-in monitor. Is
> there anything I can give you guys that will show what the difference is
> between the monitors?

I noticed the same thing but with HDMI connected monitors. I only see this problem with displayport.
Comment 52 Christer 2016-09-18 09:57:53 UTC
Created attachment 126597 [details]
dmesg on Dell XPS 13 2016 model
Comment 53 Christer 2016-09-18 09:58:52 UTC
Created attachment 126598 [details]
lspci -vvv on Dell XPS 13 2016 model
Comment 54 Christer 2016-09-18 10:02:43 UTC
Created attachment 126599 [details]
Journalctl -r | grep underrun on Dell XPS 13 (2016 model)
Comment 55 Christer 2016-09-18 10:06:08 UTC
test
Comment 56 Christer 2016-09-18 10:17:04 UTC
I have this problem as well on my Dell XPS 13 connected to an external 27" Eizo monitor using displayport. 

- Sample frequency: clicking the same link in google search results 20 times caused the signal loss on displayport 4 times as the page refreshed. The signal loss happens for about a second.

- The bug doesnt seem to happen if I lower the resolution to from 2560x1440 to 1920x1200 which is interesting, and hopefully a clue to solving the issue... but of course I cant really use that resolution because text looks quite bad.

- The bug also doesnt seem to happen on HDMI. I cant confirm this with the same external monitor since it only has displayport connection, but I have an ASUS 305 with similar chipset (also running Arch Linux) and I never get this bug on that machine when connected to an external monitor using HDMI.

- Bug happens also on no user activity (no mouse or keyboard usage), but more frequently when doing something active, like browing the web and clicking links.

- Latest 4.8 rc6 kernel and kernel option i915.enable_rc6=0 doesnt help.

- Im using the latest drivers from intel:

local/xf86-video-intel 1:2.99.917+703+g15c5ff1-1 (xorg-drivers xorg)
    X.org Intel i810/i830/i915/945G/G965+ video drivers
Comment 57 Christer 2016-09-18 13:51:47 UTC
Also tried https://aur.archlinux.org/packages/linux-drm-intel-nightly with no luck.

During compilation of this package, the screen was losing signal so much that it became almost completely turned off, which again shows that this bug happens a lot more when computer is doing hard work.

After installation and reboot, the issue still remains. No change. :(

Linux dellbox 4.8.0-1-drm-intel-nightly #1 SMP PREEMPT Sun Sep 18 14:12:27 CEST 2016 x86_64 GNU/Linux
Comment 58 Rami 2016-09-21 14:33:03 UTC
can you try with the last drm-intel-nightly
Comment 59 Russ Dill 2016-09-22 20:23:33 UTC
libdrm-intel1 2.4.70+git1609171830.065955~gd~x
Linux russ-laptop 4.7.3-040703-generic #201609070334 SMP Wed Sep 7 07:36:45 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
model name	: Intel(R) Core(TM) i7-6700HQ CPU @ 2.60GHz

With this latest drm on 4.7, I've been stable with no flickering so far. I have one 1920x1200 monitor connected through the laptop's HMDI port, another connected through the thunderbolt docking station's HDMI port and I also am using the 1920x1080 laptop display.
Comment 60 Timur Alperovich 2016-09-22 20:31:15 UTC
I built the drm-intel nightly from a pull on 09/21/2016 (commit: 463d07a32d87742a73e1ed352a6d6daa3f29d0c2). It appears to have resolved my issues with an external 4k monitor connected over DP. The monitor is at 3840x2160 and the internal screen at 3200x1800.

I have not observed any underrun messages in dmesg or any other issues when attaching/removing the external screen (attempted to attach/detach it multiple times).
Comment 61 Timur Alperovich 2016-09-22 22:16:18 UTC
After running for a while today without issues, I observed the following error:
[drm:intel_pipe_update_end] *ERROR* Atomic update failure on pipe A (start=708910 end=708911) time 167 us, min 2146, max 2159, scanline start 2144, end 2167

Should I open a new bug for it? It appears to be related to the changes made to fix the original issue.
Comment 62 Victor Trac 2016-09-23 04:08:44 UTC
@Timer I've been running drm-intel nightly for a couple of weeks and have been seeing that error in my logs as well, I think usually after a few hours. Also, after a few hours of running, I start to see some really quick tearing/blipping, usually around the Chromium window. That lasts for a while, but have been just getting annoyed and rebooting to make it go away. Possibly related?
Comment 63 Victor Trac 2016-09-27 13:51:45 UTC
Bug isn't fixed. I just had it happen to me on a drm-intel nightly built on Sep 25. Same error message:

Sep 27 08:49:42 callisto kernel: [drm:intel_cpu_fifo_underrun_irq_handler] *ERROR* CPU pipe A FIFO underrun
Comment 64 Jani Nikula 2016-09-27 14:17:08 UTC
Please grab a fresh nightly, and try again, as a bunch of fixes just went in yesterday.
Comment 65 Paulo Zanoni 2016-10-03 17:36:28 UTC
(In reply to Jani Nikula from comment #64)
> Please grab a fresh nightly, and try again, as a bunch of fixes just went in
> yesterday.

And another important fix that solved specific cases of flickering on SKL (#97888) was merged 2 days after Jani's last comment. So please make sure you're testing today's drm-intel-nightly branch.
Comment 66 Direx 2016-10-05 06:09:00 UTC
Issue is *not fixed* on 2016y-09m-27d-16h-32m-56s. Will try a newer nightly soon.
Comment 67 syphyr 2016-10-05 13:44:25 UTC
System information:
dmesg | head -n 1
[    0.000000] Linux version 4.8.0-994-generic (root@droid) (gcc version 5.4.0 20160609 (Ubuntu 5.4.0-6ubuntu1~16.04.2) ) #201610040014 SMP Wed Oct 5 12:12:16 CEST 2016
lspci -s 00:02.0
00:02.0 VGA compatible controller: Intel Corporation Sky Lake Integrated Graphics (rev 07)

I'm using ubuntu 16.04 with the following kernel:

git clone git://git.launchpad.net/~ubuntu-kernel-test/ubuntu/+source/linux/+git/mainline-crack
git reset --hard c8d2bc9  (use latest stable linux 4.8 kernel)

git fetch git://git.launchpad.net/~ubuntu-kernel-test/ubuntu/+source/linux/+git/mainline-crack cod/tip/drm-intel-nightly/2016-10-04
git merge FETCH_HEAD

The FIFO underrun seems fixed now!

My only issue is after merging the latest drm nightly to mainline is that zfs support no longer builds in ubuntu.  I had to disable zfs to get it to build.  If anyone can tell me how to fix this..I would appreciate it.

diff --git a/debian.master/rules.d/amd64.mk b/debian.master/rules.d/amd64.mk
index 24d3cf6..ee9da01 100644
--- a/debian.master/rules.d/amd64.mk
+++ b/debian.master/rules.d/amd64.mk
@@ -17,4 +17,4 @@ do_tools_x86  = true
 do_tools_hyperv        = true
 do_extras_package = true
 do_tools_common = true
-do_zfs         = true
+#do_zfs                = true
Comment 68 yann 2016-10-11 06:52:06 UTC
Please re-test with Paulo's patch to apply memory workarounds for skylake: https://patchwork.freedesktop.org/series/13548/
Comment 69 Derek Scherger 2016-10-12 03:51:11 UTC
Adding to the reports I see this error on a gigabyte p35x v5 laptop running ubuntu 14.04 with a 4.8.1 kernel. The error occurs when an external display is connected (vga connector) *and* when the laptop has 32GB (2x16GB DIMM) of ram installed. If I drop to 16GB (either 2x8GB or 1x16GB) the problem goes away.

Here's a stack dump and associated error messages from syslog.

Oct 11 13:47:53 localhost kernel: [ 1101.631938] init: Handling drm-device-changed event
Oct 11 13:47:54 localhost kernel: [ 1103.118129] init: Handling drm-device-changed event
Oct 11 13:47:56 localhost kernel: [ 1104.442387] ------------[ cut here ]------------
Oct 11 13:47:56 localhost kernel: [ 1104.442419] WARNING: CPU: 2 PID: 1587 at /home/kernel/COD/linux/drivers/gpu/drm/drm_irq.c:1215 drm_wait_one_vblank+0x16b/0x1b0 [drm
]
Oct 11 13:47:56 localhost kernel: [ 1104.442420] vblank not available on crtc 0, ret=-22
Oct 11 13:47:56 localhost kernel: [ 1104.442422] Modules linked in: cmac snd_usb_audio snd_usbmidi_lib hid_logitech_hidpp hid_logitech_dj btusb btrtl hid_generic usbhid
 xfrm_user xfrm4_tunnel tunnel4 ipcomp xfrm_ipcomp esp4 ah4 af_key xfrm_algo ctr ccm arc4 snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel s
nd_hda_codec snd_hda_core snd_hwdep snd_pcm snd_seq_midi snd_seq_midi_event iwlmvm snd_rawmidi snd_seq intel_rapl mac80211 x86_pkg_temp_thermal intel_powerclamp snd_seq
_device kvm_intel bnep rfcomm snd_timer sparse_keymap kvm mxm_wmi irqbypass iwlwifi hci_uart intel_cstate rtsx_pci_ms snd efi_pstore btbcm btqca joydev btintel cfg80211
 intel_rapl_perf serio_raw efivars soundcore memstick bluetooth wmi ac battery rfkill i2c_hid pinctrl_sunrisepoint pinctrl_intel hid intel_lpss_acpi intel_lpss acpi_pad
 shpchp mei_me evdev mei acpi_als kfifo_buf industrialio fuse parport_pc ppdev nls_iso8859_1 coretemp lp parport ext4 crc16 jbd2 fscrypto mbcache dm_crypt dm_mod nvme n
vme_core rtsx_pci_sdmmc mmc_core crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel i915 nvidia_drm(POE) aesni_intel nvidia_modeset(POE) aes_x86_64 lrw gf12
8mul i2c_algo_bit glue_helper ablk_helper drm_kms_helper cryptd syscopyarea psmouse sysfillrect sysimgblt r8169 fb_sys_fops rtsx_pci nvidia(POE) mii drm ahci libahci th
ermal fan video button fjes
Oct 11 13:47:56 localhost kernel: [ 1104.442555] CPU: 2 PID: 1587 Comm: Xorg Tainted: P        W  OE   4.8.1-040801-generic #201610071031
Oct 11 13:47:56 localhost kernel: [ 1104.442557] Hardware name: GIGABYTE P35V5/P35V5, BIOS FB0F 02/23/2016
Oct 11 13:47:56 localhost kernel: [ 1104.442560]  0000000000000286 0000000009c2ee6b ffffffff8555aec4 ffff98b3997b39c8
Oct 11 13:47:56 localhost kernel: [ 1104.442566]  0000000000000000 ffffffff8527f8ae ffff98b391b80000 ffff98b3997b3a20
Oct 11 13:47:56 localhost kernel: [ 1104.442571]  ffff98b394fd2400 ffff98b391b803d8 ffff98b391b80000 0000000000000000
Oct 11 13:47:56 localhost kernel: [ 1104.442575] Call Trace:
Oct 11 13:47:56 localhost kernel: [ 1104.442584]  [<ffffffff8555aec4>] ? dump_stack+0x5c/0x78
Oct 11 13:47:56 localhost kernel: [ 1104.442591]  [<ffffffff8527f8ae>] ? __warn+0xbe/0xe0
Oct 11 13:47:56 localhost kernel: [ 1104.442596]  [<ffffffff8527f92f>] ? warn_slowpath_fmt+0x5f/0x80
Oct 11 13:47:56 localhost kernel: [ 1104.442618]  [<ffffffffc029d076>] ? drm_vblank_get+0x76/0xc0 [drm]
Oct 11 13:47:56 localhost kernel: [ 1104.442638]  [<ffffffffc029d2bb>] ? drm_wait_one_vblank+0x16b/0x1b0 [drm]
Oct 11 13:47:56 localhost kernel: [ 1104.442693]  [<ffffffffc11748c0>] ? chv_write32+0x3c0/0x3c0 [i915]
Oct 11 13:47:56 localhost kernel: [ 1104.442725]  [<ffffffffc1124add>] ? skl_wm_flush_pipe+0xcd/0x100 [i915]
Oct 11 13:47:56 localhost kernel: [ 1104.442756]  [<ffffffffc112581b>] ? skl_update_wm+0x42b/0x6c0 [i915]
Oct 11 13:47:56 localhost kernel: [ 1104.442807]  [<ffffffffc11976d8>] ? haswell_crtc_enable+0x798/0x860 [i915]
Oct 11 13:47:56 localhost kernel: [ 1104.442856]  [<ffffffffc119374f>] ? intel_atomic_commit_tail+0x84f/0x10a0 [i915]
Oct 11 13:47:56 localhost kernel: [ 1104.442903]  [<ffffffffc119c070>] ? intel_prepare_plane_fb+0x100/0x2b0 [i915]
Oct 11 13:47:56 localhost kernel: [ 1104.442920]  [<ffffffffc1034a82>] ? drm_atomic_helper_setup_commit+0x252/0x320 [drm_kms_helper]
Oct 11 13:47:56 localhost kernel: [ 1104.442965]  [<ffffffffc11943e2>] ? intel_atomic_commit+0x442/0x560 [i915]
Oct 11 13:47:56 localhost kernel: [ 1104.443000]  [<ffffffffc02b6032>] ? drm_atomic_set_crtc_for_connector+0x92/0xf0 [drm]
Oct 11 13:47:56 localhost kernel: [ 1104.443016]  [<ffffffffc10357c9>] ? drm_atomic_helper_set_config+0x79/0xb0 [drm_kms_helper]
Oct 11 13:47:56 localhost kernel: [ 1104.443042]  [<ffffffffc02a4591>] ? drm_mode_set_config_internal+0x61/0x110 [drm]
Oct 11 13:47:56 localhost kernel: [ 1104.443069]  [<ffffffffc02a900b>] ? drm_mode_setcrtc+0x42b/0x560 [drm]
Oct 11 13:47:56 localhost kernel: [ 1104.443089]  [<ffffffffc029b95d>] ? drm_ioctl+0x1ad/0x460 [drm]
Oct 11 13:47:56 localhost kernel: [ 1104.443114]  [<ffffffffc02a8be0>] ? drm_mode_setplane+0x1c0/0x1c0 [drm]
Oct 11 13:47:56 localhost kernel: [ 1104.443120]  [<ffffffff85428fdf>] ? do_vfs_ioctl+0x9f/0x600
Oct 11 13:47:56 localhost kernel: [ 1104.443123]  [<ffffffff852f1b52>] ? do_setitimer+0x1d2/0x260
Oct 11 13:47:56 localhost kernel: [ 1104.443126]  [<ffffffff852f1d55>] ? SyS_setitimer+0xe5/0x120
Oct 11 13:47:56 localhost kernel: [ 1104.443129]  [<ffffffff854295b4>] ? SyS_ioctl+0x74/0x80
Oct 11 13:47:56 localhost kernel: [ 1104.443134]  [<ffffffff859401f6>] ? entry_SYSCALL_64_fastpath+0x1e/0xa8
Oct 11 13:47:56 localhost kernel: [ 1104.443137] ---[ end trace 5931305c28d051d6 ]---
Oct 11 13:47:56 localhost colord: device removed: xrandr-Ancor Communications Inc-ASUS PB287Q-10863
Oct 11 13:47:56 localhost kernel: [ 1104.581859] [drm:gen8_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Oct 11 13:47:58 localhost kernel: [ 1107.117119] [drm:gen8_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Oct 11 13:48:59 localhost kernel: [ 1167.604042] init: Handling drm-device-changed event

I've had this problem for a long time and have tried various earlier kernels (4.4.0, 4.6.4) all with similar results.

I can reproduce this more or less at will (install ram, plug in monitor, error) so if there's more info that would be helpful I'd be happy to do some digging.

You may wonder why in the world I am using a VGA connector, this is because I have even less luck with hdmi or displayport connectors which don't seem to display anything at all, occasionally I'll get an image with displayport for a second or two but primarily this display is black.
Comment 70 Dennis Kieselhorst 2016-10-17 09:31:55 UTC
I'm also facing this issue after upgrading to Ubuntu 16.10 which contains Kernel 4.8.0-22.

dk@DK-TP:~$ dmesg | head -n 1
[    0.000000] Linux version 4.8.0-22-generic (buildd@lgw01-11) (gcc version 6.2.0 20161005 (Ubuntu 6.2.0-5ubuntu12) ) #24-Ubuntu SMP Sat Oct 8 09:15:00 UTC 2016 (Ubuntu 4.8.0-22.24-generic 4.8.0)
dk@DK-TP:~$ lspci -s 00:02.0
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 520 (rev 07)
Comment 71 Mads 2016-10-17 09:38:53 UTC
(In reply to Derek Scherger from comment #69)
> Adding to the reports I see this error on a gigabyte p35x v5 laptop running
> ubuntu 14.04 with a 4.8.1 kernel. 

(In reply to Dennis Kieselhorst from comment #70)
> I'm also facing this issue after upgrading to Ubuntu 16.10 which contains
> Kernel 4.8.0-22.

Why don't you both try yann's suggestion? It would actually be useful if you get the same type of errors with the newest nightly...
Comment 72 Florian Kaiser 2016-10-18 12:27:16 UTC
I was experiencing the same issues (logs attached) - display randomly going blank for a short time while working (moving the mouse around etc.) with
corresponding underruns in the kernel log.

Environment: 
Dell OptiPlex 7040/0Y7WYT with i7-6700 CPU
2x Dell U2415 displays connected via DP
OpenSUSE Leap 42.1 kernel 4.1.31-30-default and vanilla 4.8.0
2x 16GB DIMMs as well, however removing one of them didn't change anything

The nightly from 10/16/2016 seems to have fixed or at least greatly reduced it for me: Before the error happened multiple times an hour. With the nightly so far after one day, I haven't had the error while working.

However, I can still trigger the same (or a similar?) error by switching my displays off and on again:

# With nightly 4.8.0-drm-intel-20161016
Oct 18 13:36:59 fekpc org.kde.KScreen[1734]: kscreen.xrandr: Output 68 : connected = false , enabled = true
Oct 18 13:37:00 fekpc org.kde.KScreen[1734]: kscreen.xrandr: Emitting configChanged()
Oct 18 13:37:00 fekpc org.kde.KScreen[1734]: kscreen: Primary output changed from KScreen::Output(Id: 67 , Name: "DP1" ) ( "DP1" ) to KScreen::Output(Id: 67 , Name: "DP1" ) ( "DP1" )
Oct 18 13:37:00 fekpc kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Comment 73 Jan 2016-10-25 14:34:09 UTC
I can confirm this problem on my Dell Latitude E7270 with the 4.8.4 Kernel. This problem only happens when connected via a DisplayPort cable. I do not get the flicker with a HDMI cable.
Comment 74 lesiehnie 2016-10-27 11:24:56 UTC
I want to confirm this bug on a Dell XPS 13 9350, it probably also appears with no external screen connected.
Comment 75 Doa379 2016-10-29 14:12:26 UTC
I have noticed that this bug still exists with Kernel 4.8 compiled with Intel IOMMU DMA Remapping enabled by default.

Device is a Dell 7370 with Intel Skylake m7-6Y75.
Comment 76 Jan 2016-10-31 09:57:39 UTC
(In reply to Jan from comment #73)

I have to correct my previous comment. I do get the glitches on all possible outputs: eDP, DP, HDMI

The glitch behaves different though.

HDMI and eDP: The screen gets distorted for a second. It looks like an old CRT exposed to a magnet. But only for a second.

DP: The screen gets black for 1-2 seconds.
Comment 78 syphyr 2016-11-03 21:55:25 UTC
(In reply to Jan from comment #76)
> (In reply to Jan from comment #73)
> 
> I have to correct my previous comment. I do get the glitches on all possible
> outputs: eDP, DP, HDMI
> 
> The glitch behaves different though.
> 
> HDMI and eDP: The screen gets distorted for a second. It looks like an old
> CRT exposed to a magnet. But only for a second.
> 
> DP: The screen gets black for 1-2 seconds.

When enabling the intel iommu, I had to use this option:

intel_iommu=igfx_off

With intel iommu completely enabled, I had memory errors in dmesg while watching videos. The Intel iommu does not work correctly with some of the embedded intel graphics cards.
Comment 79 Mauro Santos 2016-11-03 22:17:32 UTC
(In reply to syphyr from comment #77)
> The pipe underruns are now fixed in latest stable 4.8.6 kernel with the
> following commits;
> 
> https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/
> ?id=00dcbda55115994c1feb6bbfe2c4ef21de7c59fb
> 
> https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/
> ?id=d64cdbd9291fbc569ba6a5ccef1dd697a10f8d20
> 
> https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/
> ?id=44e97ca6fb778ba7586cd5ad34afa0f789f88e17

You mean that the latest stable 4.8.6 kernel already has these fixes or that they will be included in 4.8.7?

Because if they are included in 4.8.6 they don't fix the problem, I'm still seeing "[drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun" quite frequently with the accompanying screen flicker.
Comment 80 Peter Wu 2016-11-03 23:00:32 UTC
(In reply to Mauro Santos from comment #79)
> (In reply to syphyr from comment #77)
> > The pipe underruns are now fixed in latest stable 4.8.6 kernel with the
> > following commits;
[..]
> You mean that the latest stable 4.8.6 kernel already has these fixes or that
> they will be included in 4.8.7?

"Fixed in the latest stable 4.8.6 kernel".
If you follow the links, you see the message "commit xyz upstream" which hints  that it got backported. See also the changelog in https://lwn.net/Articles/705130/

> Because if they are included in 4.8.6 they don't fix the problem, I'm still
> seeing "[drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A
> FIFO underrun" quite frequently with the accompanying screen flicker.

Under what circumstances? Any special cmdline, patches or userspace packages? So far it seems to work for me (i7-6700HQ, Arch Linux, 4.8.6-1).
Comment 81 Mauro Santos 2016-11-03 23:50:43 UTC
(In reply to Peter Wu from comment #80)
> Under what circumstances? Any special cmdline, patches or userspace
> packages? So far it seems to work for me (i7-6700HQ, Arch Linux, 4.8.6-1).

I'm also on Arch with kernel 4.8.6-1. I have an i7-6500U.

I guess the only "special" thing I have on the cmdline is intel_iommu=on, but I don't see any memory errors as reported by syphyr.

I have a way to avoid the problems, but that will limit the package c-state to PC2, let me try to explain.

If I do not do modifications to any of the kernel's defaults, the cpu never gets to a package c-state lower than PC2 (1)(or higher, whichever way you want to see it).

If I enable sata ALPM then the cpu will to go into PC6 and that is when I start to see the problem.

Further, if I turn on auto suspend for a usb bluetooth device, the cpu will now get into PC7 and I also see the problem in this case. I have not been able to get the cpu to go into PC8~PC10 even when doing all the changes recommended by powertop.

(1) The cpu's datasheet states clearly that "Long term reliability cannot be assured unless all the Low-Power Idle States are enabled.". I'm not sure if this applies to package c-states but even if it doesn't I would like the cpu to be as efficient as possible so that I get more time when using battery and so that there is less heat and noise.
Comment 82 Daniel Schulte 2016-11-04 09:19:46 UTC
I am also still seeing this bug. I am on Arch 4.8.6-1 on an Xeon E3-1245v5.
I don't have anything CPU/GPU performance or power saving related in my kernel cmdline.

I am also still seeing
[50809.620559] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[50809.620599] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun

in the dmesg output although it is less than before. It also seems that at least on my system the bug triggers less often than with kernel version 4.8.4.
Comment 83 syphyr 2016-11-05 12:24:38 UTC
(In reply to Mauro Santos from comment #81)
> (In reply to Peter Wu from comment #80)
> > Under what circumstances? Any special cmdline, patches or userspace
> > packages? So far it seems to work for me (i7-6700HQ, Arch Linux, 4.8.6-1).
> 
> I'm also on Arch with kernel 4.8.6-1. I have an i7-6500U.
> 
> I guess the only "special" thing I have on the cmdline is intel_iommu=on,
> but I don't see any memory errors as reported by syphyr.
> 
> I have a way to avoid the problems, but that will limit the package c-state
> to PC2, let me try to explain.
> 
> If I do not do modifications to any of the kernel's defaults, the cpu never
> gets to a package c-state lower than PC2 (1)(or higher, whichever way you
> want to see it).
> 
> If I enable sata ALPM then the cpu will to go into PC6 and that is when I
> start to see the problem.
> 
> Further, if I turn on auto suspend for a usb bluetooth device, the cpu will
> now get into PC7 and I also see the problem in this case. I have not been
> able to get the cpu to go into PC8~PC10 even when doing all the changes
> recommended by powertop.
> 
> (1) The cpu's datasheet states clearly that "Long term reliability cannot be
> assured unless all the Low-Power Idle States are enabled.". I'm not sure if
> this applies to package c-states but even if it doesn't I would like the cpu
> to be as efficient as possible so that I get more time when using battery
> and so that there is less heat and noise.

Could you try replacing "intel_iommu=on" with:
intel_iommu=igfx_off

I also still have problems with intel_iommu=on.
Comment 84 Mauro Santos 2016-11-05 13:55:11 UTC
(In reply to syphyr from comment #83)
> Could you try replacing "intel_iommu=on" with:
> intel_iommu=igfx_off
> 
> I also still have problems with intel_iommu=on.

I have been trying something alonf those lines, so far I've given a good afternoon with intel_iommu=on,igfx_off and I didn't see any problems, now I'm testing without intel_iommu in the cmdline and I expect to see no problems.

If the problem is not solved it is much harder to trigger now, however partially disabling the iommu kind of defeats one of the main points of using it, restricting devices form having full unchecked access to the whole ram.

On another note, if I'm not wrong, using intel_iommu=igfx_off is the same as having the iommu completely off so you may want to check dmesg and make sure if the iommu is on or not.
Comment 85 syphyr 2016-11-05 14:07:11 UTC
(In reply to Mauro Santos from comment #84)
> (In reply to syphyr from comment #83)
> > Could you try replacing "intel_iommu=on" with:
> > intel_iommu=igfx_off
> > 
> > I also still have problems with intel_iommu=on.
> 
> I have been trying something alonf those lines, so far I've given a good
> afternoon with intel_iommu=on,igfx_off and I didn't see any problems, now
> I'm testing without intel_iommu in the cmdline and I expect to see no
> problems.
> 
> If the problem is not solved it is much harder to trigger now, however
> partially disabling the iommu kind of defeats one of the main points of
> using it, restricting devices form having full unchecked access to the whole
> ram.
> 
> On another note, if I'm not wrong, using intel_iommu=igfx_off is the same as
> having the iommu completely off so you may want to check dmesg and make sure
> if the iommu is on or not.

Using intel_iommu=igfx_off is not the same as completely having the intel iommu off.  I am still seeing this using "igfx_off":

[    0.076183] DMAR: Host address width 39
[    0.076184] DMAR: DRHD base: 0x000000fed90000 flags: 0x0
[    0.076188] DMAR: dmar0: reg_base_addr fed90000 ver 1:0 cap 1c0000c40660462 ecap 7e3ff0505e
[    0.076189] DMAR: DRHD base: 0x000000fed91000 flags: 0x1
[    0.076193] DMAR: dmar1: reg_base_addr fed91000 ver 1:0 cap d2008c40660462 ecap f050da
[    0.076194] DMAR: RMRR base: 0x0000008aca9000 end: 0x0000008acc8fff
[    0.076194] DMAR: RMRR base: 0x0000008b800000 end: 0x0000008fffffff
[    0.076196] DMAR-IR: IOAPIC id 2 under DRHD base  0xfed91000 IOMMU 1
[    0.076197] DMAR-IR: HPET id 0 under DRHD base 0xfed91000
[    0.076198] DMAR-IR: x2apic is disabled because BIOS sets x2apic opt out bit.
[    0.076198] DMAR-IR: Use 'intremap=no_x2apic_optout' to override the BIOS setting.
[    0.077630] DMAR-IR: Enabled IRQ remapping in xapic mode
Comment 86 Mauro Santos 2016-11-05 14:47:07 UTC
(In reply to syphyr from comment #85)
> [    0.076183] DMAR: Host address width 39
> [    0.076184] DMAR: DRHD base: 0x000000fed90000 flags: 0x0
> [    0.076188] DMAR: dmar0: reg_base_addr fed90000 ver 1:0 cap
> 1c0000c40660462 ecap 7e3ff0505e
> [    0.076189] DMAR: DRHD base: 0x000000fed91000 flags: 0x1
> [    0.076193] DMAR: dmar1: reg_base_addr fed91000 ver 1:0 cap
> d2008c40660462 ecap f050da
> [    0.076194] DMAR: RMRR base: 0x0000008aca9000 end: 0x0000008acc8fff
> [    0.076194] DMAR: RMRR base: 0x0000008b800000 end: 0x0000008fffffff
> [    0.076196] DMAR-IR: IOAPIC id 2 under DRHD base  0xfed91000 IOMMU 1
> [    0.076197] DMAR-IR: HPET id 0 under DRHD base 0xfed91000
> [    0.076198] DMAR-IR: x2apic is disabled because BIOS sets x2apic opt out
> bit.
> [    0.076198] DMAR-IR: Use 'intremap=no_x2apic_optout' to override the BIOS
> setting.
> [    0.077630] DMAR-IR: Enabled IRQ remapping in xapic mode

As far as I know, if you don't see "kernel: DMAR: IOMMU enabled" the iommu is not being used, despite you seeing the confirmation "kernel: DMAR: Disable GFX device mapping" that the igfx_off option as been accepted.

I might be wrong though, if someone else could chime in and confirm how it works it would be great.
Comment 87 Dominik Klementowski 2016-11-15 22:54:47 UTC
Created attachment 128001 [details]
dmesg

I think I'm experiencing the same issue.
Screen flickers, it can be reduced by passing i915.rc6=0 and (or) i915.psr=0, but not completely removed.

Having error messages like
[drm:drm_edid_block_valid [drm]] *ERROR* EDID checksum is invalid, remainder is 140

Weirdest thing are notices with no external screen connected, and DP-1 is my VGA connector.
[ 4410.919992] [drm] HPD interrupt storm detected on connector DP-1: switching from hotplug detection to polling

My hardware/software summary:
System:    Host: acer Kernel: 4.8.7-1-ARCH x86_64 (64 bit gcc: 6.2.1)
           Desktop: KDE Plasma 5.8.3 (Qt 5.7.0) Distro: Antergos Linux
Machine:   Device: laptop System: Acer product: Aspire E5-574 v: V1.14
           Mobo: Acer model: Zoro_SL v: V1.14 UEFI: Insyde v: V1.14 date: 03/04/2016
Battery    BAT1: charge: 17.7 Wh 71.9% condition: 24.7/25.0 Wh (99%)
           model: SANYO AL15A32 status: Discharging
CPU:       Dual core Intel Core i5-6200U (-HT-MCP-) cache: 3072 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 9602
           clock speeds: max: 2700 MHz 1: 499 MHz 2: 499 MHz 3: 499 MHz 4: 499 MHz
Graphics:  Card: Intel HD Graphics 520 bus-ID: 00:02.0
           Display Server: X.Org 1.18.4 driver: N/A Resolution: 1920x1080@60.05hz
           GLX Renderer: Mesa DRI Intel HD Graphics 520 (Skylake GT2)
           GLX Version: 3.0 Mesa 13.0.1 Direct Rendering: Yes
Audio:     Card Intel Sunrise Point-LP HD Audio driver: snd_hda_intel bus-ID: 00:1f.3
           Sound: Advanced Linux Sound Architecture v: k4.8.7-1-ARCH
Network:   Card-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
           driver: r8169 v: 2.3LK-NAPI port: 3000 bus-ID: 01:00.0
           IF: enp1s0 state: down mac: <filter>
           Card-2: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter
           driver: ath10k_pci bus-ID: 02:00.0
           IF: wlp2s0 state: up mac: <filter>
Drives:    HDD Total Size: 253.4GB (26.6% used)
           ID-1: /dev/sda model: Intenso_SSD_Sat size: 253.4GB
Partition: ID-1: / size: 19G used: 12G (61%) fs: ext4 dev: /dev/sda2
           ID-2: /home size: 213G used: 52G (25%) fs: ext4 dev: /dev/sda3
Sensors:   System Temperatures: cpu: 41.5C mobo: N/A
           Fan Speeds (in rpm): cpu: N/A
Info:      Processes: 171 Uptime: 36 min Memory: 1669.3/7854.7MB Init: systemd Gcc sys: 6.2.1
           Client: Shell (bash 4.4.01) inxi: 2.3.4
Comment 88 Dominik Klementowski 2016-11-16 22:11:53 UTC
Created attachment 128027 [details]
dmesg on current DRM Intel Nightly

I installed current linux-drm-intel-nightly. Problem is still there but dmesg messages changed a little.

In previous boot I also had this:
[    3.947456] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=501 end=502) time 508 us, min 1073, max 1079, scanline start 1064, end 1099
Comment 89 Jonas Grabber 2016-11-24 14:55:26 UTC
$  ~ lscpu | grep name 
Model name:            Intel(R) Core(TM) i5-6300U CPU @ 2.40GHz

$  ~ uname -a
Linux jgrabber-PC 4.8.10-040810-generic #201611210531 SMP Mon Nov 21 10:33:06 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

$  ~ cat /etc/modprobe.d/i915.conf
options i915 enable_fbc=0

$  ~ cat /usr/share/X11/xorg.conf.d/20-intel.conf 
Section "Device"
        Identifier  "Intel Graphics"
        Driver      "intel"
        Option      "Backlight"  "intel_backlight"
        Option      "AccelMethod"  "sna"
        Option      "TearFree"  "true"
        Option      "DRI"  "3"
        BusID       "PCI:0:2:0"
EndSection

$  ~ dmesg | grep -c 'ERROR'      
0

No flickering, no input lag in Slack/chromium/chrome. So far so good.
Kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8.10/
Comment 90 Joe Doss 2016-12-01 20:45:18 UTC
This is still happening 

Dec 01 14:35:44 sts135 kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

$ uname -r
4.8.11-300.fc25.x86_64

$ lscpu |grep "Model name"
Model name:            Intel(R) Core(TM) i5-5300U CPU @ 2.30GHz

Booted the kernel with i915.enable_psr=0 i915.rc6=0

External monitor connected via Displayport will randomly entire blank out for 1 to 3 seconds and kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun shows up in the journal.
Comment 91 R Janssen 2016-12-04 17:24:35 UTC
Dec  4 18:04:38 NUC kernel: [24494.620426] [drm:gen8_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Dec  4 18:13:10 NUC kernel: [25007.102488] [drm:gen8_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun

uname -a
Linux NUC 4.8.2-040802-generic #201610161339 SMP Sun Oct 16 17:41:46 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

lscpu | grep name
Model name:            Intel(R) Core(TM) i5-6260U CPU @ 1.80GHz
Comment 92 Dominik Klementowski 2016-12-04 20:29:53 UTC
Latest intel-drm-nightly solved a lot of issues for my graphics - Intel HD 520 (Skylake GT2) with Core i5-6200U (it's Acer E5 laptop). 

BOOT_IMAGE=/boot/vmlinuz-4.9.0-994-generic root=... ro i915.enable_rc6=0 quiet splash

It works 24 hours for now (was suspended at night) and I haven't seen any flickering nor glitches so far. Previously the graphics was garbage (flickering, glitches, sometimes black screen at boot, weird things after connecting/disconnecting external screen), and now it feels stable. Also there is nothing negative about Intel DRM in dmesg! :)

I recommend installing Intel DRM Nightly kernel for anyone who's still experiencing such symptoms. I'm curious if there's more Skylake cards that are fixed with latest commits.
Comment 93 Victor Trac 2016-12-04 20:35:27 UTC
Yup. It seems like the visual problems have gone away for the last few weeks with drm-intel-nightly. I still get a ton of error messages in dmesg:

[12766.779430] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=98647 end=98648) time 162 us, min 1788, max 1799, scanline start 1785, end 1803
[12781.817306] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=99549 end=99550) time 147 us, min 1788, max 1799, scanline start 1787, end 1804
[12836.900699] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=102853 end=102854) time 151 us, min 1788, max 1799, scanline start 1785, end 1803
[12892.084106] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=106163 end=106164) time 133 us, min 1788, max 1799, scanline start 1785, end 1800
[13127.405640] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=120278 end=120279) time 151 us, min 1788, max 1799, scanline start 1786, end 1803


However, they don't seem to correlate to any tearing or other video problems.
Comment 94 Paulo Zanoni 2016-12-06 13:32:12 UTC
(In reply to Dominik Klementowski from comment #92)
> Latest intel-drm-nightly solved a lot of issues for my graphics - Intel HD
> 520 (Skylake GT2) with Core i5-6200U (it's Acer E5 laptop). 
> 
> BOOT_IMAGE=/boot/vmlinuz-4.9.0-994-generic root=... ro i915.enable_rc6=0
> quiet splash

Why are you using i915.enable_rc6=0? Please test again without that.
Comment 95 Dominik Klementowski 2016-12-06 17:01:41 UTC
Created attachment 128357 [details]
dmesg.txt

I'll try with rc6 enabled and give you feedback in day or two.

By the way I noticed some black flashes when HDMI connected, but nothing interesting in dmesg (attachment). Didn't saw them without external screen even when watched movies whole day.
Comment 96 Dominik Klementowski 2016-12-06 21:25:49 UTC
(In reply to Paulo Zanoni from comment #94)
> (In reply to Dominik Klementowski from comment #92)
> > Latest intel-drm-nightly solved a lot of issues for my graphics - Intel HD
> > 520 (Skylake GT2) with Core i5-6200U (it's Acer E5 laptop). 
> > 
> > BOOT_IMAGE=/boot/vmlinuz-4.9.0-994-generic root=... ro i915.enable_rc6=0
> > quiet splash
> 
> Why are you using i915.enable_rc6=0? Please test again without that.

Ok, I can confirm now - without parameter i915.enable_rc6=0 flickering is still present and pretty often (more than once per minute I guess).
I have todays' intel-drm-nightly kernel.
dmesg is clear. I only have some pcie errors

[    3.682031] pcieport 0000:00:1c.5: PCIe Bus Error: severity=Corrected, type=Physical Layer, id=00e5(Receiver ID)
[    3.682036] pcieport 0000:00:1c.5:   device [8086:9d15] error status/mask=00000001/00002000
[    3.682038] pcieport 0000:00:1c.5:    [ 0] Receiver Error         (First)

I'm not sure if this could be related. I can get rid of those errors using "pci=nomsi" boot param, but this causes another issue - graphics performance gets weak after resume from suspend. (I have only integrated Intel graphics, but I think this laptop has PCI-e port, because there are variants of the same laptop with some NVIDIA GPUs).
Comment 97 Paulo Zanoni 2016-12-07 15:44:03 UTC
(In reply to Dominik Klementowski from comment #96)
> (In reply to Paulo Zanoni from comment #94)
> > (In reply to Dominik Klementowski from comment #92)
> > > Latest intel-drm-nightly solved a lot of issues for my graphics - Intel HD
> > > 520 (Skylake GT2) with Core i5-6200U (it's Acer E5 laptop). 
> > > 
> > > BOOT_IMAGE=/boot/vmlinuz-4.9.0-994-generic root=... ro i915.enable_rc6=0
> > > quiet splash
> > 
> > Why are you using i915.enable_rc6=0? Please test again without that.
> 
> Ok, I can confirm now - without parameter i915.enable_rc6=0 flickering is
> still present and pretty often (more than once per minute I guess).
> I have todays' intel-drm-nightly kernel.
> dmesg is clear. I only have some pcie errors

Wow. Can you please boot with drm.debug=0x1e i915.enable_rc6=1 and then retest, reproduce the problem, and attach the dmesg output here? (don't forget the drm.debug)

Also, it would be good to know the exact model of your laptop. We're trying to find which machines have these flickering issues. Your dmesg says "Aspire E5-574", but it looks like there are multiple models for the E5-574 laptop, so I'd like to know the "full name" in case you have it.

Also, can you please do another test? Just "sudo mv /lib/firmware/i915 /root/backup-lib-firmware-i915", then reboot and check if the problem persists.

All tests should be *without* the i915.enable_rc6=0 option.

Thanks,
Paulo
Comment 98 Paulo Zanoni 2016-12-07 15:47:06 UTC
(In reply to Paulo Zanoni from comment #97)
> (In reply to Dominik Klementowski from comment #96)
> > (In reply to Paulo Zanoni from comment #94)
> > > (In reply to Dominik Klementowski from comment #92)
> > > > Latest intel-drm-nightly solved a lot of issues for my graphics - Intel HD
> > > > 520 (Skylake GT2) with Core i5-6200U (it's Acer E5 laptop). 
> > > > 
> > > > BOOT_IMAGE=/boot/vmlinuz-4.9.0-994-generic root=... ro i915.enable_rc6=0
> > > > quiet splash
> > > 
> > > Why are you using i915.enable_rc6=0? Please test again without that.
> > 
> > Ok, I can confirm now - without parameter i915.enable_rc6=0 flickering is
> > still present and pretty often (more than once per minute I guess).
> > I have todays' intel-drm-nightly kernel.
> > dmesg is clear. I only have some pcie errors
> 
> Wow. Can you please boot with drm.debug=0x1e i915.enable_rc6=1 and then
> retest, reproduce the problem, and attach the dmesg output here? (don't
> forget the drm.debug)

Please also use the log_buf_len=1M option in addition to the others.

> 
> Also, it would be good to know the exact model of your laptop. We're trying
> to find which machines have these flickering issues. Your dmesg says "Aspire
> E5-574", but it looks like there are multiple models for the E5-574 laptop,
> so I'd like to know the "full name" in case you have it.
> 
> Also, can you please do another test? Just "sudo mv /lib/firmware/i915
> /root/backup-lib-firmware-i915", then reboot and check if the problem
> persists.
> 
> All tests should be *without* the i915.enable_rc6=0 option.
> 
> Thanks,
> Paulo
Comment 99 Dominik Klementowski 2016-12-07 23:45:13 UTC
Created attachment 128373 [details]
dmesg with i915 debug mode both with and without firmware files

First of all - my laptop has label on it and there is "E5-574-524L".
Also, on procuder page I can identify this model (to download Windows drivers) with SNID: 60900127176.
More about my hardware is here: http://pastebin.com/86n69E56

I've done as you said and in this package there is dmesg.txt
BOOT_IMAGE=/boot/vmlinuz-4.9.0-994-generic root=UUID=... ro drm.debug=0x1e i915.enable_rc6=1 quiet splash vt.handoff=7

I also moved firmware files - just as you said - and flickering persists. The log is in file dmesg-no-firmware.txt

It's probably less frequent than it was on stable kernel with rc6 enabled. Sometimes I don't see anything for minutes - even now when writing this answer.
Except for black screen or black rectangles I also noticed horizontal lines on some random parts of screen.
Moreover some parts of screen being displayed somewhere else. All this happens very shortly - like for time of eye blink.

Feel free to ask me for any tests.
Comment 100 Paulo Zanoni 2016-12-08 15:54:59 UTC
(In reply to Dominik Klementowski from comment #99)
> Created attachment 128373 [details]
> dmesg with i915 debug mode both with and without firmware files
> 
> First of all - my laptop has label on it and there is "E5-574-524L".
> Also, on procuder page I can identify this model (to download Windows
> drivers) with SNID: 60900127176.
> More about my hardware is here: http://pastebin.com/86n69E56
> 
> I've done as you said and in this package there is dmesg.txt
> BOOT_IMAGE=/boot/vmlinuz-4.9.0-994-generic root=UUID=... ro drm.debug=0x1e
> i915.enable_rc6=1 quiet splash vt.handoff=7
> 
> I also moved firmware files - just as you said - and flickering persists.
> The log is in file dmesg-no-firmware.txt
> 
> It's probably less frequent than it was on stable kernel with rc6 enabled.
> Sometimes I don't see anything for minutes - even now when writing this
> answer.
> Except for black screen or black rectangles I also noticed horizontal lines
> on some random parts of screen.
> Moreover some parts of screen being displayed somewhere else. All this
> happens very shortly - like for time of eye blink.
> 
> Feel free to ask me for any tests.

Hi

Unfortunately these logs are not useful since they didn't include the moment where i915.ko got loaded: too much stuff got printed. Please try again with "drm.debug=0xe log_buf_len=1M i915.enable_rc6=1".

Thanks for the help!
Comment 101 Dominik Klementowski 2016-12-11 18:06:33 UTC
Created attachment 128413 [details]
dmesg

I'm sorry for the late answer as I was busy.
Yes I forgot to add parameter to make log buffer bigger.
Attachment contains dmesg messages, current intel-drm-nightly is used and kernel was loaded with params:
drm.debug=0xe log_buf_len=2M i915.enable_rc6=1

Uptime says system was loaded 15 minutes ago and I saw black blink only once so not that bad at all.
Comment 102 Paulo Zanoni 2016-12-12 20:45:48 UTC
Created attachment 128439 [details] [review]
Possible fix, patch 1.
Comment 103 Paulo Zanoni 2016-12-12 20:46:13 UTC
Created attachment 128440 [details] [review]
Possible fix, patch 2.
Comment 104 Paulo Zanoni 2016-12-12 20:48:29 UTC
(In reply to Dominik Klementowski from comment #101)
> Created attachment 128413 [details]
> dmesg
> 
> I'm sorry for the late answer as I was busy.
> Yes I forgot to add parameter to make log buffer bigger.
> Attachment contains dmesg messages, current intel-drm-nightly is used and
> kernel was loaded with params:
> drm.debug=0xe log_buf_len=2M i915.enable_rc6=1
> 
> Uptime says system was loaded 15 minutes ago and I saw black blink only once
> so not that bad at all.

Thanks a lot for this! While looking at the log files I spotted one thing about your machine that's different from my machine (where I can't reproduce the problem), so I decided to investigate and found one possible issue. Can you please test whether the two patches I attached fix the problem?

Just apply both patches, then test. If the problem goes away, it would be good to revert patch 2 and test to see if the problem also goes away with just patch 1 applied.

Thanks a lot for the help!
Comment 105 Mauro Santos 2016-12-12 21:37:00 UTC
Might these two patches help with screen flickering only when intel_iommu=on is used? (see https://bugs.freedesktop.org/show_bug.cgi?id=94605#c79 and following comments)

If yes, would it be ok to test against 4.8.x or does it needs to be against drm-next?
Comment 106 Paulo Zanoni 2016-12-13 10:10:21 UTC
(In reply to Mauro Santos from comment #105)
> Might these two patches help with screen flickering only when intel_iommu=on
> is used? (see https://bugs.freedesktop.org/show_bug.cgi?id=94605#c79 and
> following comments)
> 
> If yes, would it be ok to test against 4.8.x or does it needs to be against
> drm-next?

I suggest you to try it, just in case it does help.

If your issue really only happens with intel_iommu=0, please please open a new bug report called something like "Skylake screen flickering only with intel_iommu=on", and attach the relevant logs (boot with drm.debug=0xe log_buf_len=1M, reproduce the problem, grab the dmesg output).

As a note, it's really really hard to deal with these bug reports with too many people describing similar-but-still-different symptoms. I'd really rather have 100 separate bug reports than a bug with 100 different people saying "me too".

Thanks everybody for the help!
Comment 107 Dominik Klementowski 2016-12-13 10:24:20 UTC
I compiled latest stable Linux 4.9 with both patches and I didn't see any flickering for two hours running with i915.enable_rc6=1 with HDMI connected - so far so good. Unfortunately there are other bug(s) (like glitches and disappearing wallpaper) which was solved with intel-drm-nightly so I need to compile again.

Let me test this for few days and I'll try different configurations and also without second patch, then I'll let you know. Thank you very much for your work!
Comment 108 Dominik Klementowski 2016-12-14 00:15:11 UTC
Yeah! The problem is gone for me with *only* patch 1. I have rc6 enabled and I haven't seen any flicker for whole day.
Tested on Ubuntu 16.10 as well as current Arch Linux.
Thanks once again. Hope this gets into official stable kernel soon.
Comment 109 Paulo Zanoni 2016-12-14 12:58:49 UTC
(In reply to Dominik Klementowski from comment #108)
> Yeah! The problem is gone for me with *only* patch 1. I have rc6 enabled and
> I haven't seen any flicker for whole day.
> Tested on Ubuntu 16.10 as well as current Arch Linux.
> Thanks once again. Hope this gets into official stable kernel soon.

Thanks a lot for testing this! We really appreciate that.

A little comment: so patch 1 prevents engine rings and FBC from being initialized in the fist page of stolen memory, and then when the hardware writes to it, it messes the contents of the ring or whatever else is there, and on these things a single flipped bit can be a huge problem, so you see the screen flickering.

Patch 2 prevents us from using the first page of stolen as a frontbuffer inherited from the BIOS. The sort of corruption you'd see here would be distortions in the very first line of pixels in your monitor, when we're using that specific frontbuffer. I guess this is just way too hard to notice. But it would be cool if you could confirm that :). With double-buffering and other things it's probably going to be hard to spot this since not every frame will show it, and even when you're on the correct buffer you may not see the distortion or it  may be so small that you'll need really really good eyes to notice it. But, still, my guess is that it's there :).
Comment 110 Dominik Klementowski 2016-12-18 12:26:07 UTC
I didn't see anything there. I tried to look very close and I tried to zoom this top edge with camera, but anyway I didn't noticed anything. Maybe I can force this some way?

Will this patch1 be merged with kernel so I don't need to patch future releases?
Comment 111 Paulo Zanoni 2016-12-20 12:59:06 UTC
(In reply to Dominik Klementowski from comment #110)
> I didn't see anything there. I tried to look very close and I tried to zoom
> this top edge with camera, but anyway I didn't noticed anything. Maybe I can
> force this some way?
> 
> Will this patch1 be merged with kernel so I don't need to patch future
> releases?

The patch was just merged to our development tree. Patch 1 got marked for inclusion in the stable trees, so it should automatically land in your distro at some point.

Thanks a lot for the help testing this.
Comment 112 Paulo Zanoni 2016-12-20 13:12:47 UTC
So here's the problem with this bug report:

- It was created in March.
- The original bug reporter seems to be gone (no response to confirm/deny our fixes).
- There's a lot of people with "me too" in the bug report.
- 111 comments.
- Since then, we fixed dozens of patches addressing problems that could cause Skylake screen flickerings.

Usually I'd close the bug report if the original reporter confirmed his problem was solved, then I'd ask everybody else to file new bug reports in case their problems were not solved. Another process we have is that we close bugs if the reporter stops responding us after some time.

Since I believe the problems of most people here should really be fixed in the latest development tree, and since the original bug reporter stopped responding, I'll just go ahead and mark this bug as fixed.

If you think the bug still happens to you, please make sure you test the latest drm-tip tree (https://cgit.freedesktop.org/drm-tip branch drm-tip), then open a new bug report describing your specific problem. Make sure you boot with drm.debug=0xe log_buf_len=1M, reproduce the problem, then attach the dmesg output.

It's much easier for us to work on multiple bug reports about the same bug instead of working on a single bug report with multiple actual bugs, so please help us get everything organized so we can focus more on solving the bugs instead of having spend time trying to extract information from a 100+ comment bug report.

Thanks for your comprehension,
Paulo
Comment 113 Rami 2017-02-03 14:05:54 UTC
Timeout, assuming that is fixed now as many improvements pushed in kernel. If this is not the case, please re-test with latest drm-tip kernel from (https://cgit.freedesktop.org/drm-tip branch drm-tip), then open a new bug.
Comment 114 Carlos Jimenez 2017-04-04 19:46:25 UTC
This bug still happen here on kernel 4.9 - 4.10.8 : 

but only get triggered when the modesetting ddx is used in xorg-server 
with intel ddx this dont show up . so i think we need to reopen this 
also this happen on freebsd with intel drm-next which is ported from linux kernel
4.9 when the modesetting ddx generic kms driver is being used .


[    0.000000] microcode: microcode updated early to revision 0x4, date = 2013-06-28
[    0.000000] Linux version 4.10.8-gentoo-ck (root@darkmaza) (gcc version 5.4.0 (Gentoo 5.4.0-r3 p1.3, pie-0.6.5) ) #1 SMP PREEMPT Mon Apr 3 07:01:42 AST 2017
[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.10.8-gentoo-ck root=UUID=d6c85291-1d10-47c6-bf3b-c1783919ba72 ro resume=/dev/sda3 elevator=bfq loglevel=3 libahci.ignore_sss=1 init=/usr/lib/systemd/systemd rootfstype=btrfs spl.spl_hostid=0xd9794111 zfs.zfs_arc_max=536870912
[    0.000000] x86/fpu: Legacy x87 FPU detected.
[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009ebff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009ec00-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000e0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x00000000b70cffff] usable
[    0.000000] BIOS-e820: [mem 0x00000000b70d0000-0x00000000b70d01ff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x00000000b70d0200-0x00000000b70d1fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000b70d2000-0x00000000b71cffff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x00000000b71d0000-0x00000000b71effff] ACPI data
[    0.000000] BIOS-e820: [mem 0x00000000b71f0000-0x00000000bfffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000efffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed10000-0x00000000fed13fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed18000-0x00000000fed19fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed1c000-0x00000000fed1ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000ffe00000-0x00000000ffffffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000100000000-0x0000000137ffffff] usable
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] SMBIOS 2.4 present.
[    0.000000] DMI: TOSHIBA PORTEGE R700/Portable PC, BIOS Version 2.20   12/22/2011
[    0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[    0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
[    0.000000] e820: last_pfn = 0x138000 max_arch_pfn = 0x400000000
[    0.000000] MTRR default type: uncachable
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-D3FFF write-protect
[    0.000000]   D4000-DFFFF uncachable
[    0.000000]   E0000-EFFFF write-through
[    0.000000]   F0000-FFFFF write-protect
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 0FFE00000 mask FFFE00000 uncachable
[    0.000000]   1 base 000000000 mask F80000000 write-back
[    0.000000]   2 base 080000000 mask FC0000000 write-back
[    0.000000]   3 base 0B8000000 mask FF8000000 uncachable
[    0.000000]   4 base 100000000 mask FC0000000 write-back
[    0.000000]   5 disabled
[    0.000000]   6 disabled
[    0.000000]   7 disabled
[    0.000000] x86/PAT: Configuration [0-7]: WB  WC  UC- UC  WB  WC  UC- WT  
[    0.000000] e820: update [mem 0xb8000000-0xffffffff] usable ==> reserved
[    0.000000] e820: last_pfn = 0xb70d0 max_arch_pfn = 0x400000000
[    0.000000] Scanning 1 areas for low memory corruption
[    0.000000] Base memory trampoline at [ffff880000097000] 97000 size 28672
[    0.000000] BRK [0x022c7000, 0x022c7fff] PGTABLE
[    0.000000] BRK [0x022c8000, 0x022c8fff] PGTABLE
[    0.000000] BRK [0x022c9000, 0x022c9fff] PGTABLE
[    0.000000] BRK [0x022ca000, 0x022cafff] PGTABLE
[    0.000000] RAMDISK: [mem 0x36ed9000-0x37763fff]
[    0.000000] ACPI: Early table checksum verification disabled
[    0.000000] ACPI: RSDP 0x00000000000F0030 000014 (v00 TOSHIB)
[    0.000000] ACPI: RSDT 0x00000000B71EF038 00004C (v01 TOSHIB A007B    00000002      01000013)
[    0.000000] ACPI: FACP 0x00000000B71EE000 000081 (v02 TOSHIB A007B    00000002 LOHR 0000005F)
[    0.000000] ACPI: DSDT 0x00000000B71DC000 009312 (v02 TOSHIB A007B    20111220 INTL 20061109)
[    0.000000] ACPI: FACS 0x00000000B715A000 000040
[    0.000000] ACPI: HPET 0x00000000B71ED000 000038 (v01 TOSHIB A007B    00000001 LOHR 0000005F)
[    0.000000] ACPI: APIC 0x00000000B71EC000 0000BC (v01 TOSHIB A007B    00000001 LOHR 0000005F)
[    0.000000] ACPI: MCFG 0x00000000B71EB000 00003C (v01 TOSHIB A007B    00000001 LOHR 0000005F)
[    0.000000] ACPI: BOOT 0x00000000B71E8000 000028 (v01 TOSHIB A007B    00000000 LOHR 0000005F)
[    0.000000] ACPI: SLIC 0x00000000B71E7000 000176 (v01 TOSHIB A007B    00000000 LOHR 0000005F)
[    0.000000] ACPI: SSDT 0x00000000B71DB000 0002D5 (v01 TOSHIB SataAhci 00001000 INTL 20061109)
[    0.000000] ACPI: SSDT 0x00000000B71D8000 00072A (v01 TOSHIB PtidDevc 00001000 INTL 20061109)
[    0.000000] ACPI: ASF! 0x00000000B71EA000 0000A0 (v32 TOSHIB A007B    00000001 LOHR 0000005F)
[    0.000000] ACPI: SSDT 0x00000000B71D7000 000A10 (v01 PmRef  CpuPm    00003000 INTL 20061109)
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x0000000000001000-0x0000000000ffffff]
[    0.000000]   DMA32    [mem 0x0000000001000000-0x00000000ffffffff]
[    0.000000]   Normal   [mem 0x0000000100000000-0x0000000137ffffff]
[    0.000000]   Device   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x0000000000001000-0x000000000009dfff]
[    0.000000]   node   0: [mem 0x0000000000100000-0x00000000b70cffff]
[    0.000000]   node   0: [mem 0x0000000100000000-0x0000000137ffffff]
[    0.000000] Initmem setup node 0 [mem 0x0000000000001000-0x0000000137ffffff]
[    0.000000] On node 0 totalpages: 979053
[    0.000000]   DMA zone: 64 pages used for memmap
[    0.000000]   DMA zone: 22 pages reserved
[    0.000000]   DMA zone: 3997 pages, LIFO batch:0
[    0.000000]   DMA32 zone: 11652 pages used for memmap
[    0.000000]   DMA32 zone: 745680 pages, LIFO batch:31
[    0.000000]   Normal zone: 3584 pages used for memmap
[    0.000000]   Normal zone: 229376 pages, LIFO batch:31
[    0.000000] Reserving Intel graphics memory at 0x00000000bc000000-0x00000000bfffffff
[    0.000000] ACPI: PM-Timer IO Port: 0x408
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x02] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x03] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x04] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x05] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x06] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x07] high edge lint[0x1])
[    0.000000] IOAPIC[0]: apic_id 1, version 32, address 0xfec00000, GSI 0-23
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: IRQ0 used by override.
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[    0.000000] smpboot: Allowing 8 CPUs, 4 hotplug CPUs
[    0.000000] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]
[    0.000000] PM: Registered nosave memory: [mem 0x0009e000-0x0009efff]
[    0.000000] PM: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000dffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000e0000-0x000fffff]
[    0.000000] PM: Registered nosave memory: [mem 0xb70d0000-0xb70d0fff]
[    0.000000] PM: Registered nosave memory: [mem 0xb70d1000-0xb70d1fff]
[    0.000000] PM: Registered nosave memory: [mem 0xb70d2000-0xb71cffff]
[    0.000000] PM: Registered nosave memory: [mem 0xb71d0000-0xb71effff]
[    0.000000] PM: Registered nosave memory: [mem 0xb71f0000-0xbfffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xc0000000-0xdfffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xe0000000-0xefffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xf0000000-0xfebfffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfec00000-0xfec00fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfec01000-0xfed0ffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed10000-0xfed13fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed14000-0xfed17fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed18000-0xfed19fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed1a000-0xfed1bfff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed1c000-0xfed1ffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed20000-0xfedfffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfee00000-0xfee00fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfee01000-0xffdfffff]
[    0.000000] PM: Registered nosave memory: [mem 0xffe00000-0xffffffff]
[    0.000000] e820: [mem 0xc0000000-0xdfffffff] available for PCI devices
[    0.000000] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1910969940391419 ns
[    0.000000] setup_percpu: NR_CPUS:128 nr_cpumask_bits:128 nr_cpu_ids:8 nr_node_ids:1
[    0.000000] percpu: Embedded 34 pages/cpu @ffff880137c00000 s99800 r8192 d31272 u262144
[    0.000000] pcpu-alloc: s99800 r8192 d31272 u262144 alloc=1*2097152
[    0.000000] pcpu-alloc: [0] 0 1 2 3 4 5 6 7 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 963731
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.10.8-gentoo-ck root=UUID=d6c85291-1d10-47c6-bf3b-c1783919ba72 ro resume=/dev/sda3 elevator=bfq loglevel=3 libahci.ignore_sss=1 init=/usr/lib/systemd/systemd rootfstype=btrfs spl.spl_hostid=0xd9794111 zfs.zfs_arc_max=536870912
[    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[    0.000000] Dentry cache hash table entries: 524288 (order: 10, 4194304 bytes)
[    0.000000] Inode-cache hash table entries: 262144 (order: 9, 2097152 bytes)
[    0.000000] Memory: 3753428K/3916212K available (9840K kernel code, 1200K rwdata, 3052K rodata, 1228K init, 2416K bss, 162784K reserved, 0K cma-reserved)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=8, Nodes=1
[    0.000000] Preemptible hierarchical RCU implementation.
[    0.000000] 	RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000] 	RCU restricting CPUs from NR_CPUS=128 to nr_cpu_ids=8.
[    0.000000] 	RCU kthread priority: 1.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=8
[    0.000000] NR_IRQS:8448 nr_irqs:488 16
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [tty0] enabled
[    0.000000] clocksource: hpet: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 133484882848 ns
[    0.000000] hpet clockevent registered
[    0.000000] tsc: Fast TSC calibration using PIT
[    0.000000] tsc: Detected 2526.827 MHz processor
[    0.000026] Calibrating delay loop (skipped), value calculated using timer frequency.. 5053.65 BogoMIPS (lpj=2526827)
[    0.000028] pid_max: default: 32768 minimum: 301
[    0.000036] ACPI: Core revision 20160930
[    0.006799] ACPI: 4 ACPI AML tables successfully acquired and loaded
[    0.006821] Security Framework initialized
[    0.006822] Yama: becoming mindful.
[    0.006835] Mount-cache hash table entries: 8192 (order: 4, 65536 bytes)
[    0.006836] Mountpoint-cache hash table entries: 8192 (order: 4, 65536 bytes)
[    0.007065] CPU: Physical Processor ID: 0
[    0.007066] CPU: Processor Core ID: 0
[    0.007070] mce: CPU supports 9 MCE banks
[    0.007077] CPU0: Thermal monitoring enabled (TM1)
[    0.007086] process: using mwait in idle threads
[    0.007089] Last level iTLB entries: 4KB 512, 2MB 7, 4MB 7
[    0.007090] Last level dTLB entries: 4KB 512, 2MB 32, 4MB 32, 1GB 0
[    0.007192] Freeing SMP alternatives memory: 32K
[    0.008119] ftrace: allocating 33684 entries in 132 pages
[    0.025263] smpboot: Max logical packages: 4
[    0.025737] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.136935] smpboot: CPU0: Intel(R) Core(TM) i3 CPU       M 380  @ 2.53GHz (family: 0x6, model: 0x25, stepping: 0x5)
[    0.136984] Performance Events: PEBS fmt1+, Westmere events, 16-deep LBR, Intel PMU driver.
[    0.137002] core: CPUID marked event: 'bus cycles' unavailable
[    0.137005] ... version:                3
[    0.137005] ... bit width:              48
[    0.137006] ... generic registers:      4
[    0.137006] ... value mask:             0000ffffffffffff
[    0.137007] ... max period:             000000007fffffff
[    0.137007] ... fixed-purpose events:   3
[    0.137008] ... event mask:             000000070000000f
[    0.145942] smp: Bringing up secondary CPUs ...
[    0.152943] SCHED: No cpumask for kworker/1:0/19
[    0.152973] SCHED: No cpumask for kworker/1:0H/20
[    0.152995] x86: Booting SMP configuration:
[    0.152997] .... node  #0, CPUs:      #1
[    0.216122] SCHED: No cpumask for kworker/2:0/25
[    0.216137] SCHED: No cpumask for kworker/2:0H/26
[    0.216154]  #2
[    0.279098] SCHED: No cpumask for kworker/3:0/31
[    0.279116] SCHED: No cpumask for kworker/3:0H/32
[    0.279136]  #3
[    0.341005] smp: Brought up 1 node, 4 CPUs
[    0.341008] smpboot: Total of 4 processors activated (20214.81 BogoMIPS)
[    0.343007] MuQSS locality CPU 0 to 1: 1
[    0.343008] MuQSS locality CPU 0 to 2: 2
[    0.343009] MuQSS locality CPU 0 to 3: 2
[    0.343009] MuQSS locality CPU 1 to 2: 2
[    0.343010] MuQSS locality CPU 1 to 3: 2
[    0.343010] MuQSS locality CPU 2 to 3: 1
[    0.343283] devtmpfs: initialized
[    0.343351] x86/mm: Memory block size: 128MB
[    0.345626] PM: Registering ACPI NVS region [mem 0xb70d0000-0xb70d01ff] (512 bytes)
[    0.345627] PM: Registering ACPI NVS region [mem 0xb70d2000-0xb71cffff] (1040384 bytes)
[    0.345703] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1911260446275000 ns
[    0.345707] futex hash table entries: 2048 (order: 5, 131072 bytes)
[    0.345770] xor: measuring software checksum speed
[    0.354940]    prefetch64-sse: 13316.000 MB/sec
[    0.364940]    generic_sse: 11376.000 MB/sec
[    0.364941] xor: using function: prefetch64-sse (13316.000 MB/sec)
[    0.364980] RTC time: 19:11:10, date: 04/04/17
[    0.365082] NET: Registered protocol family 16
[    0.368988] cpuidle: using governor ladder
[    0.372951] cpuidle: using governor menu
[    0.372954] PCCT header not found.
[    0.373080] Simple Boot Flag at 0x7c set to 0x80
[    0.373091] ACPI: bus type PCI registered
[    0.373092] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.373153] PCI: MMCONFIG for domain 0000 [bus 00-ff] at [mem 0xe0000000-0xefffffff] (base 0xe0000000)
[    0.373196] PCI: MMCONFIG at [mem 0xe0000000-0xefffffff] reserved in E820
[    0.373207] PCI: Using configuration type 1 for base access
[    0.373386] mtrr: your CPUs had inconsistent variable MTRR settings
[    0.373386] mtrr: probably your BIOS does not setup all CPUs.
[    0.373387] mtrr: corrected configuration.
[    0.387112] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.403946] raid6: sse2x1   gen()  6242 MB/s
[    0.420943] raid6: sse2x1   xor()  4943 MB/s
[    0.437947] raid6: sse2x2   gen()  7359 MB/s
[    0.454941] raid6: sse2x2   xor()  5810 MB/s
[    0.471942] raid6: sse2x4   gen()  8503 MB/s
[    0.488945] raid6: sse2x4   xor()  6337 MB/s
[    0.488946] raid6: using algorithm sse2x4 gen() 8503 MB/s
[    0.488946] raid6: .... xor() 6337 MB/s, rmw enabled
[    0.488948] raid6: using ssse3x2 recovery algorithm
[    0.488992] ACPI: Added _OSI(Module Device)
[    0.488993] ACPI: Added _OSI(Processor Device)
[    0.488993] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.488994] ACPI: Added _OSI(Processor Aggregator Device)
[    0.489211] ACPI: Executed 1 blocks of module-level executable AML code
[    0.490235] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
[    0.492334] ACPI: Dynamic OEM Table Load:
[    0.492341] ACPI: SSDT 0xFFFF88013378A000 00049D (v01 PmRef  Cpu0Ist  00003000 INTL 20061109)
[    0.492926] ACPI: Dynamic OEM Table Load:
[    0.492931] ACPI: SSDT 0xFFFF880133770000 0008B2 (v01 PmRef  Cpu0Cst  00003001 INTL 20061109)
[    0.493423] ACPI: Dynamic OEM Table Load:
[    0.493428] ACPI: SSDT 0xFFFF880132C79800 000303 (v01 PmRef  ApIst    00003000 INTL 20061109)
[    0.493643] ACPI: Dynamic OEM Table Load:
[    0.493648] ACPI: SSDT 0xFFFF880132C28200 000119 (v01 PmRef  ApCst    00003000 INTL 20061109)
[    0.494821] ACPI: Interpreter enabled
[    0.494842] ACPI: (supports S0 S3 S4 S5)
[    0.494843] ACPI: Using IOAPIC for interrupt routing
[    0.494867] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.499020] ACPI: Power Resource [PDOC] (off)
[    0.499090] acpi PNP0A05:00: ACPI dock station (docks/bays count: 1)
[    0.500242] acpi LNXIOBAY:00: ACPI dock station (docks/bays count: 2)
[    0.501681] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-fe])
[    0.501686] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    0.501690] acpi PNP0A08:00: _OSC failed (AE_NOT_FOUND); disabling ASPM
[    0.502170] PCI host bridge to bus 0000:00
[    0.502172] pci_bus 0000:00: root bus resource [io  0x0000-0x0cf7 window]
[    0.502174] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff window]
[    0.502175] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
[    0.502176] pci_bus 0000:00: root bus resource [mem 0x000d4000-0x000d7fff window]
[    0.502177] pci_bus 0000:00: root bus resource [mem 0x000d8000-0x000dbfff window]
[    0.502178] pci_bus 0000:00: root bus resource [mem 0x000dc000-0x000dffff window]
[    0.502179] pci_bus 0000:00: root bus resource [mem 0xc0000000-0xfeafffff window]
[    0.502181] pci_bus 0000:00: root bus resource [bus 00-fe]
[    0.502189] pci 0000:00:00.0: [8086:0044] type 00 class 0x060000
[    0.502210] DMAR: BIOS has allocated no shadow GTT; disabling IOMMU for graphics
[    0.502302] pci 0000:00:02.0: [8086:0046] type 00 class 0x030000
[    0.502312] pci 0000:00:02.0: reg 0x10: [mem 0xd0000000-0xd03fffff 64bit]
[    0.502317] pci 0000:00:02.0: reg 0x18: [mem 0xc0000000-0xcfffffff 64bit pref]
[    0.502321] pci 0000:00:02.0: reg 0x20: [io  0x3050-0x3057]
[    0.502447] pci 0000:00:16.0: [8086:3b64] type 00 class 0x078000
[    0.502473] pci 0000:00:16.0: reg 0x10: [mem 0xd4724000-0xd472400f 64bit]
[    0.502562] pci 0000:00:16.0: PME# supported from D0 D3hot D3cold
[    0.502662] pci 0000:00:19.0: [8086:10eb] type 00 class 0x020000
[    0.502683] pci 0000:00:19.0: reg 0x10: [mem 0xd4700000-0xd471ffff]
[    0.502693] pci 0000:00:19.0: reg 0x14: [mem 0xd472a000-0xd472afff]
[    0.502704] pci 0000:00:19.0: reg 0x18: [io  0x3020-0x303f]
[    0.502786] pci 0000:00:19.0: PME# supported from D0 D3hot D3cold
[    0.502859] pci 0000:00:19.0: System wakeup disabled by ACPI
[    0.502901] pci 0000:00:1a.0: [8086:3b3c] type 00 class 0x0c0320
[    0.502922] pci 0000:00:1a.0: reg 0x10: [mem 0xd4729000-0xd47293ff]
[    0.503033] pci 0000:00:1a.0: PME# supported from D0 D3hot D3cold
[    0.503092] pci 0000:00:1a.0: System wakeup disabled by ACPI
[    0.503136] pci 0000:00:1b.0: [8086:3b56] type 00 class 0x040300
[    0.503159] pci 0000:00:1b.0: reg 0x10: [mem 0xd4720000-0xd4723fff 64bit]
[    0.503264] pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
[    0.503327] pci 0000:00:1b.0: System wakeup disabled by ACPI
[    0.503368] pci 0000:00:1c.0: [8086:3b42] type 01 class 0x060400
[    0.503465] pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
[    0.503564] pci 0000:00:1c.1: [8086:3b44] type 01 class 0x060400
[    0.503661] pci 0000:00:1c.1: PME# supported from D0 D3hot D3cold
[    0.503758] pci 0000:00:1c.2: [8086:3b46] type 01 class 0x060400
[    0.503855] pci 0000:00:1c.2: PME# supported from D0 D3hot D3cold
[    0.503917] pci 0000:00:1c.2: System wakeup disabled by ACPI
[    0.503956] pci 0000:00:1c.3: [8086:3b48] type 01 class 0x060400
[    0.504065] pci 0000:00:1c.3: PME# supported from D0 D3hot D3cold
[    0.504179] pci 0000:00:1d.0: [8086:3b34] type 00 class 0x0c0320
[    0.504201] pci 0000:00:1d.0: reg 0x10: [mem 0xd4728000-0xd47283ff]
[    0.504302] pci 0000:00:1d.0: PME# supported from D0 D3hot D3cold
[    0.504360] pci 0000:00:1d.0: System wakeup disabled by ACPI
[    0.504398] pci 0000:00:1e.0: [8086:2448] type 01 class 0x060401
[    0.504546] pci 0000:00:1f.0: [8086:3b09] type 00 class 0x060100
[    0.504730] pci 0000:00:1f.2: [8086:3b29] type 00 class 0x010601
[    0.504752] pci 0000:00:1f.2: reg 0x10: [io  0x3048-0x304f]
[    0.504762] pci 0000:00:1f.2: reg 0x14: [io  0x305c-0x305f]
[    0.504772] pci 0000:00:1f.2: reg 0x18: [io  0x3040-0x3047]
[    0.504783] pci 0000:00:1f.2: reg 0x1c: [io  0x3058-0x305b]
[    0.504793] pci 0000:00:1f.2: reg 0x20: [io  0x3000-0x301f]
[    0.504804] pci 0000:00:1f.2: reg 0x24: [mem 0xd4727000-0xd47277ff]
[    0.504862] pci 0000:00:1f.2: PME# supported from D3hot
[    0.504963] pci 0000:00:1f.6: [8086:3b32] type 00 class 0x118000
[    0.504994] pci 0000:00:1f.6: reg 0x10: [mem 0xd4726000-0xd4726fff 64bit]
[    0.505271] pci 0000:01:00.0: [1180:e822] type 00 class 0x080500
[    0.505292] pci 0000:01:00.0: MMC controller base frequency changed to 50Mhz.
[    0.505314] pci 0000:01:00.0: reg 0x10: [mem 0xd4600000-0xd46000ff]
[    0.505489] pci 0000:01:00.0: supports D1 D2
[    0.505491] pci 0000:01:00.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.508035] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.508042] pci 0000:00:1c.0:   bridge window [mem 0xd4600000-0xd46fffff]
[    0.508148] pci 0000:02:00.0: [8086:08b1] type 00 class 0x028000
[    0.508202] pci 0000:02:00.0: reg 0x10: [mem 0xd4500000-0xd4501fff 64bit]
[    0.508438] pci 0000:02:00.0: PME# supported from D0 D3hot D3cold
[    0.511039] pci 0000:00:1c.1: PCI bridge to [bus 02]
[    0.511046] pci 0000:00:1c.1:   bridge window [mem 0xd4500000-0xd45fffff]
[    0.511124] acpiphp: Slot [1] registered
[    0.511129] pci 0000:00:1c.2: PCI bridge to [bus 03-04]
[    0.511134] pci 0000:00:1c.2:   bridge window [io  0x2000-0x2fff]
[    0.511138] pci 0000:00:1c.2:   bridge window [mem 0xd2500000-0xd44fffff]
[    0.511145] pci 0000:00:1c.2:   bridge window [mem 0xd0400000-0xd23fffff 64bit pref]
[    0.511212] pci 0000:00:1c.3: PCI bridge to [bus 05]
[    0.511219] pci 0000:00:1c.3:   bridge window [mem 0xd2400000-0xd24fffff]
[    0.511311] pci 0000:00:1e.0: PCI bridge to [bus 06] (subtractive decode)
[    0.511324] pci 0000:00:1e.0:   bridge window [io  0x0000-0x0cf7 window] (subtractive decode)
[    0.511325] pci 0000:00:1e.0:   bridge window [io  0x0d00-0xffff window] (subtractive decode)
[    0.511326] pci 0000:00:1e.0:   bridge window [mem 0x000a0000-0x000bffff window] (subtractive decode)
[    0.511327] pci 0000:00:1e.0:   bridge window [mem 0x000d4000-0x000d7fff window] (subtractive decode)
[    0.511328] pci 0000:00:1e.0:   bridge window [mem 0x000d8000-0x000dbfff window] (subtractive decode)
[    0.511330] pci 0000:00:1e.0:   bridge window [mem 0x000dc000-0x000dffff window] (subtractive decode)
[    0.511331] pci 0000:00:1e.0:   bridge window [mem 0xc0000000-0xfeafffff window] (subtractive decode)
[    0.511365] pci_bus 0000:00: on NUMA node 0
[    0.511552] ACPI: PCI Interrupt Link [LNKA] (IRQs 1 3 4 5 6 7 10 12 14 15) *11
[    0.511602] ACPI: PCI Interrupt Link [LNKB] (IRQs 1 *3 4 5 6 7 11 12 14 15)
[    0.511650] ACPI: PCI Interrupt Link [LNKC] (IRQs 1 3 4 5 6 7 *10 12 14 15)
[    0.511700] ACPI: PCI Interrupt Link [LNKD] (IRQs 1 3 4 5 6 7 *11 12 14 15)
[    0.511748] ACPI: PCI Interrupt Link [LNKE] (IRQs 1 3 4 5 *6 7 10 12 14 15)
[    0.511796] ACPI: PCI Interrupt Link [LNKF] (IRQs 1 3 4 5 6 7 11 12 14 15) *0, disabled.
[    0.511845] ACPI: PCI Interrupt Link [LNKG] (IRQs 1 3 4 *5 6 7 10 12 14 15)
[    0.511893] ACPI: PCI Interrupt Link [LNKH] (IRQs 1 3 4 5 6 7 *11 12 14 15)
[    0.512052] ACPI: PCI Root Bridge [CPBG] (domain 0000 [bus ff])
[    0.512055] acpi PNP0A03:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    0.512058] acpi PNP0A03:00: _OSC failed (AE_NOT_FOUND); disabling ASPM
[    0.512099] PCI host bridge to bus 0000:ff
[    0.512100] pci_bus 0000:ff: root bus resource [bus ff]
[    0.512105] pci 0000:ff:00.0: [8086:2c62] type 00 class 0x060000
[    0.512149] pci 0000:ff:00.1: [8086:2d01] type 00 class 0x060000
[    0.512200] pci 0000:ff:02.0: [8086:2d10] type 00 class 0x060000
[    0.512242] pci 0000:ff:02.1: [8086:2d11] type 00 class 0x060000
[    0.512283] pci 0000:ff:02.2: [8086:2d12] type 00 class 0x060000
[    0.512325] pci 0000:ff:02.3: [8086:2d13] type 00 class 0x060000
[    0.512375] pci_bus 0000:ff: on NUMA node 0
[    0.512737] ACPI: Enabled 6 GPEs in block 00 to 3F
[    0.513014] pci 0000:00:02.0: vgaarb: setting as boot VGA device
[    0.513016] pci 0000:00:02.0: vgaarb: VGA device added: decodes=io+mem,owns=io+mem,locks=none
[    0.513020] pci 0000:00:02.0: vgaarb: bridge control possible
[    0.513020] vgaarb: loaded
[    0.513104] SCSI subsystem initialized
[    0.513149] libata version 3.00 loaded.
[    0.513193] PCI: Using ACPI for IRQ routing
[    0.523099] PCI: pci_cache_line_size set to 64 bytes
[    0.523237] e820: reserve RAM buffer [mem 0x0009ec00-0x0009ffff]
[    0.523238] e820: reserve RAM buffer [mem 0xb70d0000-0xb7ffffff]
[    0.523344] NetLabel: Initializing
[    0.523345] NetLabel:  domain hash size = 128
[    0.523346] NetLabel:  protocols = UNLABELED CIPSOv4 CALIPSO
[    0.523363] NetLabel:  unlabeled traffic allowed by default
[    0.523934] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0, 0, 0, 0, 0, 0
[    0.523956] hpet0: 8 comparators, 64-bit 14.318180 MHz counter
[    0.525996] clocksource: Switched to clocksource hpet
[    0.534232] VFS: Disk quotas dquot_6.6.0
[    0.534256] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.536057] pnp: PnP ACPI init
[    0.536289] system 00:00: [mem 0xfed1c000-0xfed1ffff] has been reserved
[    0.536290] system 00:00: [mem 0xfed10000-0xfed13fff] has been reserved
[    0.536292] system 00:00: [mem 0xfed18000-0xfed18fff] has been reserved
[    0.536293] system 00:00: [mem 0xfed19000-0xfed19fff] has been reserved
[    0.536294] system 00:00: [mem 0xd4800000-0xd4800fff] has been reserved
[    0.536296] system 00:00: [mem 0xfeb00000-0xfeb03fff] has been reserved
[    0.536297] system 00:00: [mem 0xfed20000-0xfed3ffff] has been reserved
[    0.536298] system 00:00: [mem 0xfed40000-0xfed8ffff] has been reserved
[    0.536300] system 00:00: [mem 0xff000000-0xffffffff] could not be reserved
[    0.536301] system 00:00: [mem 0xfee00000-0xfeefffff] could not be reserved
[    0.536305] system 00:00: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.536640] system 00:01: [mem 0xfed00000-0xfed003ff] has been reserved
[    0.536643] system 00:01: Plug and Play ACPI device, IDs PNP0103 PNP0c01 (active)
[    0.536686] system 00:02: [io  0x1000-0x100f] has been reserved
[    0.536688] system 00:02: [io  0xffff] has been reserved
[    0.536689] system 00:02: [io  0xffff] has been reserved
[    0.536691] system 00:02: [io  0x0400-0x047f] has been reserved
[    0.536692] system 00:02: [io  0x0500-0x053f] has been reserved
[    0.536694] system 00:02: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.536734] system 00:03: [io  0x0680-0x06ff] has been reserved
[    0.536736] system 00:03: [io  0x01e0-0x01e7] has been reserved
[    0.536738] system 00:03: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.536765] pnp 00:04: Plug and Play ACPI device, IDs PNP0b00 (active)
[    0.536788] pnp 00:05: Plug and Play ACPI device, IDs PNP0303 (active)
[    0.536810] pnp 00:06: Plug and Play ACPI device, IDs TOS0100 PNP0f13 (active)
[    0.536932] pnp: PnP ACPI: found 7 devices
[    0.541477] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[    0.541494] pci 0000:00:1c.0: bridge window [io  0x1000-0x0fff] to [bus 01] add_size 1000
[    0.541497] pci 0000:00:1c.0: bridge window [mem 0x00100000-0x000fffff 64bit pref] to [bus 01] add_size 200000 add_align 100000
[    0.541507] pci 0000:00:1c.1: bridge window [io  0x1000-0x0fff] to [bus 02] add_size 1000
[    0.541508] pci 0000:00:1c.1: bridge window [mem 0x00100000-0x000fffff 64bit pref] to [bus 02] add_size 200000 add_align 100000
[    0.541527] pci 0000:00:1c.3: bridge window [io  0x1000-0x0fff] to [bus 05] add_size 1000
[    0.541528] pci 0000:00:1c.3: bridge window [mem 0x00100000-0x000fffff 64bit pref] to [bus 05] add_size 200000 add_align 100000
[    0.541541] pci 0000:00:1c.0: res[15]=[mem 0x00100000-0x000fffff 64bit pref] res_to_dev_res add_size 200000 min_align 100000
[    0.541543] pci 0000:00:1c.0: res[15]=[mem 0x00100000-0x002fffff 64bit pref] res_to_dev_res add_size 200000 min_align 100000
[    0.541544] pci 0000:00:1c.1: res[15]=[mem 0x00100000-0x000fffff 64bit pref] res_to_dev_res add_size 200000 min_align 100000
[    0.541546] pci 0000:00:1c.1: res[15]=[mem 0x00100000-0x002fffff 64bit pref] res_to_dev_res add_size 200000 min_align 100000
[    0.541547] pci 0000:00:1c.3: res[15]=[mem 0x00100000-0x000fffff 64bit pref] res_to_dev_res add_size 200000 min_align 100000
[    0.541549] pci 0000:00:1c.3: res[15]=[mem 0x00100000-0x002fffff 64bit pref] res_to_dev_res add_size 200000 min_align 100000
[    0.541550] pci 0000:00:1c.0: res[13]=[io  0x1000-0x0fff] res_to_dev_res add_size 1000 min_align 1000
[    0.541552] pci 0000:00:1c.0: res[13]=[io  0x1000-0x1fff] res_to_dev_res add_size 1000 min_align 1000
[    0.541553] pci 0000:00:1c.1: res[13]=[io  0x1000-0x0fff] res_to_dev_res add_size 1000 min_align 1000
[    0.541554] pci 0000:00:1c.1: res[13]=[io  0x1000-0x1fff] res_to_dev_res add_size 1000 min_align 1000
[    0.541556] pci 0000:00:1c.3: res[13]=[io  0x1000-0x0fff] res_to_dev_res add_size 1000 min_align 1000
[    0.541557] pci 0000:00:1c.3: res[13]=[io  0x1000-0x1fff] res_to_dev_res add_size 1000 min_align 1000
[    0.541566] pci 0000:00:1c.0: BAR 15: assigned [mem 0xd4900000-0xd4afffff 64bit pref]
[    0.541570] pci 0000:00:1c.1: BAR 15: assigned [mem 0xd4b00000-0xd4cfffff 64bit pref]
[    0.541574] pci 0000:00:1c.3: BAR 15: assigned [mem 0xd4d00000-0xd4efffff 64bit pref]
[    0.541576] pci 0000:00:1c.0: BAR 13: assigned [io  0x4000-0x4fff]
[    0.541577] pci 0000:00:1c.1: BAR 13: assigned [io  0x5000-0x5fff]
[    0.541579] pci 0000:00:1c.3: BAR 13: assigned [io  0x6000-0x6fff]
[    0.541582] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.541585] pci 0000:00:1c.0:   bridge window [io  0x4000-0x4fff]
[    0.541591] pci 0000:00:1c.0:   bridge window [mem 0xd4600000-0xd46fffff]
[    0.541595] pci 0000:00:1c.0:   bridge window [mem 0xd4900000-0xd4afffff 64bit pref]
[    0.541602] pci 0000:00:1c.1: PCI bridge to [bus 02]
[    0.541605] pci 0000:00:1c.1:   bridge window [io  0x5000-0x5fff]
[    0.541610] pci 0000:00:1c.1:   bridge window [mem 0xd4500000-0xd45fffff]
[    0.541614] pci 0000:00:1c.1:   bridge window [mem 0xd4b00000-0xd4cfffff 64bit pref]
[    0.541621] pci 0000:00:1c.2: PCI bridge to [bus 03-04]
[    0.541624] pci 0000:00:1c.2:   bridge window [io  0x2000-0x2fff]
[    0.541629] pci 0000:00:1c.2:   bridge window [mem 0xd2500000-0xd44fffff]
[    0.541633] pci 0000:00:1c.2:   bridge window [mem 0xd0400000-0xd23fffff 64bit pref]
[    0.541640] pci 0000:00:1c.3: PCI bridge to [bus 05]
[    0.541643] pci 0000:00:1c.3:   bridge window [io  0x6000-0x6fff]
[    0.541648] pci 0000:00:1c.3:   bridge window [mem 0xd2400000-0xd24fffff]
[    0.541652] pci 0000:00:1c.3:   bridge window [mem 0xd4d00000-0xd4efffff 64bit pref]
[    0.541660] pci 0000:00:1e.0: PCI bridge to [bus 06]
[    0.541674] pci_bus 0000:00: resource 4 [io  0x0000-0x0cf7 window]
[    0.541675] pci_bus 0000:00: resource 5 [io  0x0d00-0xffff window]
[    0.541676] pci_bus 0000:00: resource 6 [mem 0x000a0000-0x000bffff window]
[    0.541678] pci_bus 0000:00: resource 7 [mem 0x000d4000-0x000d7fff window]
[    0.541679] pci_bus 0000:00: resource 8 [mem 0x000d8000-0x000dbfff window]
[    0.541680] pci_bus 0000:00: resource 9 [mem 0x000dc000-0x000dffff window]
[    0.541681] pci_bus 0000:00: resource 10 [mem 0xc0000000-0xfeafffff window]
[    0.541683] pci_bus 0000:01: resource 0 [io  0x4000-0x4fff]
[    0.541684] pci_bus 0000:01: resource 1 [mem 0xd4600000-0xd46fffff]
[    0.541685] pci_bus 0000:01: resource 2 [mem 0xd4900000-0xd4afffff 64bit pref]
[    0.541686] pci_bus 0000:02: resource 0 [io  0x5000-0x5fff]
[    0.541687] pci_bus 0000:02: resource 1 [mem 0xd4500000-0xd45fffff]
[    0.541688] pci_bus 0000:02: resource 2 [mem 0xd4b00000-0xd4cfffff 64bit pref]
[    0.541690] pci_bus 0000:03: resource 0 [io  0x2000-0x2fff]
[    0.541691] pci_bus 0000:03: resource 1 [mem 0xd2500000-0xd44fffff]
[    0.541692] pci_bus 0000:03: resource 2 [mem 0xd0400000-0xd23fffff 64bit pref]
[    0.541693] pci_bus 0000:05: resource 0 [io  0x6000-0x6fff]
[    0.541694] pci_bus 0000:05: resource 1 [mem 0xd2400000-0xd24fffff]
[    0.541695] pci_bus 0000:05: resource 2 [mem 0xd4d00000-0xd4efffff 64bit pref]
[    0.541697] pci_bus 0000:06: resource 4 [io  0x0000-0x0cf7 window]
[    0.541698] pci_bus 0000:06: resource 5 [io  0x0d00-0xffff window]
[    0.541699] pci_bus 0000:06: resource 6 [mem 0x000a0000-0x000bffff window]
[    0.541700] pci_bus 0000:06: resource 7 [mem 0x000d4000-0x000d7fff window]
[    0.541701] pci_bus 0000:06: resource 8 [mem 0x000d8000-0x000dbfff window]
[    0.541703] pci_bus 0000:06: resource 9 [mem 0x000dc000-0x000dffff window]
[    0.541704] pci_bus 0000:06: resource 10 [mem 0xc0000000-0xfeafffff window]
[    0.541790] NET: Registered protocol family 2
[    0.541939] TCP established hash table entries: 32768 (order: 6, 262144 bytes)
[    0.542020] TCP bind hash table entries: 32768 (order: 7, 524288 bytes)
[    0.542127] TCP: Hash tables configured (established 32768 bind 32768)
[    0.542160] UDP hash table entries: 2048 (order: 4, 65536 bytes)
[    0.542174] UDP-Lite hash table entries: 2048 (order: 4, 65536 bytes)
[    0.542227] NET: Registered protocol family 1
[    0.542250] pci 0000:00:02.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
[    0.542878] PCI: CLS 64 bytes, default 64
[    0.542931] Unpacking initramfs...
[    1.477333] Freeing initrd memory: 8748K
[    1.478706] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
[    1.478709] software IO TLB [mem 0xb30d0000-0xb70d0000] (64MB) mapped at [ffff8800b30d0000-ffff8800b70cffff]
[    1.478961] Scanning for low memory corruption every 60 seconds
[    1.479633] workingset: timestamp_bits=46 max_order=20 bucket_order=0
[    1.480977] zbud: loaded
[    1.481169] SPL: Loaded module v0.7.0-rc3_7_gbf8abea
[    1.481227] SPLAT: Loaded module v0.7.0-rc3_7_gbf8abea
[    2.512156] tsc: Refined TSC clocksource calibration: 2526.998 MHz
[    2.512163] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x246cda0ff86, max_idle_ns: 440795293526 ns
[    3.079149] ZFS: Loaded module v0.7.0-rc3_165_gcb524aa2, ZFS pool version 5000, ZFS filesystem version 5
[    3.079187] ZPIOS: Loaded module v0.7.0-rc3_165_gcb524aa2
[    3.080835] NET: Registered protocol family 38
[    3.080872] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 249)
[    3.080909] io scheduler noop registered
[    3.080910] io scheduler deadline registered
[    3.080940] io scheduler cfq registered
[    3.080966] io scheduler bfq registered (default)
[    3.080966] BFQ I/O-scheduler: v8r8-rc2 (with cgroups support)
[    3.081895] Serial: 8250/16550 driver, 4 ports, IRQ sharing disabled
[    3.082342] Linux agpgart interface v0.103
[    3.082394] intel_idle: MWAIT substates: 0x1120
[    3.082395] intel_idle: v0.4.1 model 0x25
[    3.082556] intel_idle: lapic_timer_reliable_states 0xffffffff
[    3.082612] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input0
[    3.082615] ACPI: Power Button [PWRB]
[    3.082671] input: Lid Switch as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input1
[    3.082690] ACPI: Lid Switch [LID]
[    3.082724] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
[    3.082725] ACPI: Power Button [PWRF]
[    3.082904] GHES: HEST is not enabled!
[    3.082926] [drm] Initialized
[    3.083195] pci 0000:00:00.0: Intel HD Graphics Chipset
[    3.083212] pci 0000:00:00.0: detected gtt size: 2097152K total, 262144K mappable
[    3.083725] pci 0000:00:00.0: detected 65536K stolen memory
[    3.083780] [drm] Memory usable by graphics device = 2048M
[    3.083783] [drm] Replacing VGA console driver
[    3.092134] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    3.092136] [drm] Driver supports precise vblank timestamp query.
[    3.094609] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    3.165898] [drm] RC6 disabled, disabling runtime PM support
[    3.167464] ACPI: Video Device [GFX0] (multi-head: yes  rom: yes  post: no)
[    3.169992] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input3
[    3.170024] [drm] Initialized i915 1.6.0 20161121 for 0000:00:02.0 on minor 0
[    3.170801] ahci 0000:00:1f.2: version 3.0
[    3.171391] ahci 0000:00:1f.2: AHCI 0001.0300 32 slots 4 ports 3 Gbps 0x23 impl SATA mode
[    3.171394] ahci 0000:00:1f.2: flags: 64bit ncq sntf stag pm led clo pio slum part ems sxs apst 
[    3.176192] scsi host0: ahci
[    3.176306] scsi host1: ahci
[    3.176462] scsi host2: ahci
[    3.176561] scsi host3: ahci
[    3.176653] scsi host4: ahci
[    3.176759] scsi host5: ahci
[    3.176798] ata1: SATA max UDMA/133 abar m2048@0xd4727000 port 0xd4727100 irq 25
[    3.176801] ata2: SATA max UDMA/133 abar m2048@0xd4727000 port 0xd4727180 irq 25
[    3.176801] ata3: DUMMY
[    3.176802] ata4: DUMMY
[    3.176802] ata5: DUMMY
[    3.176804] ata6: SATA max UDMA/133 abar m2048@0xd4727000 port 0xd4727380 irq 25
[    3.176859] rtc_cmos 00:04: RTC can wake from S4
[    3.177452] rtc_cmos 00:04: rtc core: registered rtc_cmos as rtc0
[    3.177516] rtc_cmos 00:04: alarms up to one year, 242 bytes nvram, hpet irqs
[    3.177579] ledtrig-cpu: registered to indicate activity on CPUs
[    3.177926] NET: Registered protocol family 10
[    3.178139] Segment Routing with IPv6
[    3.178153] NET: Registered protocol family 17
[    3.178491] microcode: sig=0x20655, pf=0x10, revision=0x4
[    3.178533] microcode: Microcode Update Driver: v2.2.
[    3.178649] registered taskstats version 1
[    3.179312] zswap: loaded using pool lzo/zbud
[    3.201632] fbcon: inteldrmfb (fb0) is primary device
[    3.294577] UKSM: relative memcmp_cost = 153 hash=4192186879 cmp_ret=0.
[    3.297447] Btrfs loaded, crc32c=crc32c-intel
[    3.317347] Key type big_key registered
[    3.320053] Key type encrypted registered
[    3.320395]   Magic number: 13:917:191
[    3.320470] acpi device:1d: hash matches
[    3.320552] rtc_cmos 00:04: setting system clock to 2017-04-04 19:11:13 UTC (1491333073)
[    3.320596] PM: Checking hibernation image partition /dev/sda3
[    3.486609] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    3.486642] ata6: SATA link down (SStatus 0 SControl 300)
[    3.486711] ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[    3.488575] ACPI Error: [GTF1] Namespace lookup failure, AE_NOT_FOUND (20160930/psargs-359)
[    3.488583] ACPI Error: Method parse/execution failed [\_SB.PCI0.SAT0.PRT1._SDD] (Node ffff8801334be348), AE_NOT_FOUND (20160930/psparse-543)
[    3.488600] ACPI Error: [GTF1] Namespace lookup failure, AE_NOT_FOUND (20160930/psargs-359)
[    3.488602] ACPI Error: Method parse/execution failed [\_SB.PCI0.SAT0.PRT1._GTF] (Node ffff8801334be370), AE_NOT_FOUND (20160930/psparse-543)
[    3.488609] ata2.00: ATAPI: MATSHITADVD-RAM UJ892ES, 1.20, max UDMA/100
[    3.488681] ACPI Error: [GTF0] Namespace lookup failure, AE_NOT_FOUND (20160930/psargs-359)
[    3.488685] ACPI Error: Method parse/execution failed [\_SB.PCI0.SAT0.PRT0._SDD] (Node ffff8801334be230), AE_NOT_FOUND (20160930/psparse-543)
[    3.488703] ACPI Error: [GTF0] Namespace lookup failure, AE_NOT_FOUND (20160930/psargs-359)
[    3.488707] ACPI Error: Method parse/execution failed [\_SB.PCI0.SAT0.PRT0._GTF] (Node ffff8801334be258), AE_NOT_FOUND (20160930/psparse-543)
[    3.488795] ata1.00: ATA-8: WDC WD3200BEKT-60F3T1, 12.01A12, max UDMA/100
[    3.488798] ata1.00: 625142448 sectors, multi 16: LBA48 NCQ (depth 31/32), AA
[    3.491105] ACPI Error: [GTF0] Namespace lookup failure, AE_NOT_FOUND (20160930/psargs-359)
[    3.491109] ACPI Error: Method parse/execution failed [\_SB.PCI0.SAT0.PRT0._SDD] (Node ffff8801334be230), AE_NOT_FOUND (20160930/psparse-543)
[    3.491127] ACPI Error: [GTF0] Namespace lookup failure, AE_NOT_FOUND (20160930/psargs-359)
[    3.491130] ACPI Error: Method parse/execution failed [\_SB.PCI0.SAT0.PRT0._GTF] (Node ffff8801334be258), AE_NOT_FOUND (20160930/psparse-543)
[    3.491237] ACPI Error: [GTF1] Namespace lookup failure, AE_NOT_FOUND (20160930/psargs-359)
[    3.491242] ACPI Error: Method parse/execution failed [\_SB.PCI0.SAT0.PRT1._SDD] (Node ffff8801334be348), AE_NOT_FOUND (20160930/psparse-543)
[    3.491260] ACPI Error: [GTF1] Namespace lookup failure, AE_NOT_FOUND (20160930/psargs-359)
[    3.491263] ACPI Error: Method parse/execution failed [\_SB.PCI0.SAT0.PRT1._GTF] (Node ffff8801334be370), AE_NOT_FOUND (20160930/psparse-543)
[    3.491274] ata2.00: configured for UDMA/100
[    3.491281] ata1.00: configured for UDMA/100
[    3.536443] clocksource: Switched to clocksource tsc
[    3.585800] Console: switching to colour frame buffer device 170x48
[    3.602497] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[    3.620678] scsi 0:0:0:0: Direct-Access     ATA      WDC WD3200BEKT-6 1A12 PQ: 0 ANSI: 5
[    3.648516] sd 0:0:0:0: [sda] 625142448 512-byte logical blocks: (320 GB/298 GiB)
[    3.648531] sd 0:0:0:0: [sda] Write Protect is off
[    3.648534] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    3.648556] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    3.651570] scsi 1:0:0:0: CD-ROM            MATSHITA DVD-RAM UJ892ES  1.20 PQ: 0 ANSI: 5
[    3.715260]  sda: sda1 sda2 sda3 sda4
                sda4: <bsd:bad subpartition - ignored
               bad subpartition - ignored
                >
[    3.715924] sd 0:0:0:0: [sda] Attached SCSI disk
[    3.715932] PM: Hibernation image partition 8:3 present
[    3.715932] PM: Looking for hibernation image.
[    3.716098] PM: Image not found (code -22)
[    3.716099] PM: Hibernation image not present or could not be loaded.
[    3.717379] Freeing unused kernel memory: 1228K
[    3.717381] Write protecting the kernel read-only data: 14336k
[    3.717597] Freeing unused kernel memory: 388K
[    3.720003] Freeing unused kernel memory: 1044K
[    3.720004] MuQSS CPU scheduler v0.152 by Con Kolivas.
[    3.854102] random: systemd-udevd: uninitialized urandom read (16 bytes read)
[    3.854220] random: systemd-udevd: uninitialized urandom read (16 bytes read)
[    3.855260] random: udevadm: uninitialized urandom read (16 bytes read)
[    3.855294] random: udevadm: uninitialized urandom read (16 bytes read)
[    3.857043] random: udevadm: uninitialized urandom read (16 bytes read)
[    3.857111] random: udevadm: uninitialized urandom read (16 bytes read)
[    3.857176] random: udevadm: uninitialized urandom read (16 bytes read)
[    3.857273] random: udevadm: uninitialized urandom read (16 bytes read)
[    3.857335] random: udevadm: uninitialized urandom read (16 bytes read)
[    3.857395] random: udevadm: uninitialized urandom read (16 bytes read)
[    3.885540] ACPI: AC Adapter [ADP1] (on-line)
[    3.891954] i8042: PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
[    3.894257] serio: i8042 KBD port at 0x60,0x64 irq 1
[    3.894311] ACPI: Battery Slot [BAT1] (battery present)
[    3.894420] serio: i8042 AUX port at 0x60,0x64 irq 12
[    3.894897] toshiba_haps: Toshiba HDD Active Protection Sensor device
[    3.895591] (NULL device *): hwmon_device_register() is deprecated. Please convert the driver to use hwmon_device_register_with_info().
[    3.895682] thermal LNXTHERM:00: registered as thermal_zone0
[    3.895683] ACPI: Thermal Zone [TZ01] (71 C)
[    3.899451] pps_core: LinuxPPS API ver. 1 registered
[    3.899452] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
[    3.899722] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[    3.899823] PTP clock support registered
[    3.905491] e1000e: Intel(R) PRO/1000 Network Driver - 3.2.6-k
[    3.905493] e1000e: Copyright(c) 1999 - 2015 Intel Corporation.
[    3.905604] ACPI: bus type USB registered
[    3.905636] usbcore: registered new interface driver usbfs
[    3.905651] usbcore: registered new interface driver hub
[    3.905692] usbcore: registered new device driver usb
[    3.905863] e1000e 0000:00:19.0: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
[    3.907318] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    3.907657] ehci-pci: EHCI PCI platform driver
[    3.908976] sdhci: Secure Digital Host Controller Interface driver
[    3.908977] sdhci: Copyright(c) Pierre Ossman
[    3.909477] sdhci-pci 0000:01:00.0: SDHCI controller found [1180:e822] (rev 1)
[    3.910906] sdhci-pci 0000:01:00.0: Will use DMA mode even though HW doesn't fully claim to support it.
[    3.912002] sdhci-pci 0000:01:00.0: Will use DMA mode even though HW doesn't fully claim to support it.
[    3.912198] mmc0: SDHCI controller on PCI [0000:01:00.0] using DMA
[    3.920970] Intel(R) Wireless WiFi driver for Linux
[    3.920972] Copyright(c) 2003- 2015 Intel Corporation
[    3.921223] input: PC Speaker as /devices/platform/pcspkr/input/input4
[    3.922404] iwlwifi 0000:02:00.0: loaded firmware version 17.352738.0 op_mode iwlmvm
[    3.931002] sr 1:0:0:0: [sr0] scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
[    3.931005] cdrom: Uniform CD-ROM driver Revision: 3.20
[    3.931182] sr 1:0:0:0: Attached scsi CD-ROM sr0
[    3.939245] kvm: VM_EXIT_LOAD_IA32_PERF_GLOBAL_CTRL does not work properly. Using workaround
[    3.941436] iwlwifi 0000:02:00.0: Detected Intel(R) Dual Band Wireless AC 7260, REV=0x144
[    3.943607] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[    3.943884] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[    3.988195] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input5
[    3.999816] toshiba_bluetooth: Toshiba ACPI Bluetooth device driver
[    4.095369] random: fast init done
[    4.134398] e1000e 0000:00:19.0 eth0: (PCI Express:2.5GT/s:Width x1) e8:9d:87:af:ed:1e
[    4.134406] e1000e 0000:00:19.0 eth0: Intel(R) PRO/1000 Network Connection
[    4.134449] e1000e 0000:00:19.0 eth0: MAC: 9, PHY: 10, PBA No: FFFFFF-0FF
[    4.137293] ehci-pci 0000:00:1a.0: EHCI Host Controller
[    4.137301] ehci-pci 0000:00:1a.0: new USB bus registered, assigned bus number 1
[    4.137315] ehci-pci 0000:00:1a.0: debug port 2
[    4.141272] ehci-pci 0000:00:1a.0: cache line size of 64 is not supported
[    4.141303] ehci-pci 0000:00:1a.0: irq 16, io mem 0xd4729000
[    4.148352] ehci-pci 0000:00:1a.0: USB 2.0 started, EHCI 1.00
[    4.148552] hub 1-0:1.0: USB hub found
[    4.148559] hub 1-0:1.0: 2 ports detected
[    4.148867] ehci-pci 0000:00:1d.0: EHCI Host Controller
[    4.148871] ehci-pci 0000:00:1d.0: new USB bus registered, assigned bus number 2
[    4.148882] ehci-pci 0000:00:1d.0: debug port 2
[    4.152839] ehci-pci 0000:00:1d.0: cache line size of 64 is not supported
[    4.152898] ehci-pci 0000:00:1d.0: irq 23, io mem 0xd4728000
[    4.158209] ieee80211 phy0: Selected rate control algorithm 'iwl-mvm-rs'
[    4.159266] ehci-pci 0000:00:1d.0: USB 2.0 started, EHCI 1.00
[    4.159492] hub 2-0:1.0: USB hub found
[    4.159500] hub 2-0:1.0: 2 ports detected
[    4.159750] ACPI Warning: SystemIO range 0x0000000000000428-0x000000000000042F conflicts with OpRegion 0x0000000000000400-0x000000000000047F (\PMIO) (20160930/utaddress-247)
[    4.159757] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    4.159760] ACPI Warning: SystemIO range 0x0000000000000540-0x000000000000054F conflicts with OpRegion 0x0000000000000500-0x000000000000057B (\GPIO) (20160930/utaddress-247)
[    4.159764] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    4.159764] ACPI Warning: SystemIO range 0x0000000000000530-0x000000000000053F conflicts with OpRegion 0x0000000000000500-0x000000000000057B (\GPIO) (20160930/utaddress-247)
[    4.159768] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    4.159768] ACPI Warning: SystemIO range 0x0000000000000500-0x000000000000052F conflicts with OpRegion 0x0000000000000500-0x000000000000057B (\GPIO) (20160930/utaddress-247)
[    4.159771] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    4.159772] lpc_ich: Resource conflict(s) found affecting gpio_ich
[    4.159796] intel ips 0000:00:1f.6: CPU TDP doesn't match expected value (found 25, expected 29)
[    4.160186] intel ips 0000:00:1f.6: IPS driver initialized, MCP temp limit 90
[    4.160917] iTCO_vendor_support: vendor-support=0
[    4.161127] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.11
[    4.161158] iTCO_wdt: Found a HM55 TCO device (Version=2, TCOBASE=0x0460)
[    4.161280] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[    4.171052] snd_hda_codec_realtek hdaudioC0D0: autoconfig for ALC269VB: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:speaker
[    4.171054] snd_hda_codec_realtek hdaudioC0D0:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[    4.171056] snd_hda_codec_realtek hdaudioC0D0:    hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
[    4.171057] snd_hda_codec_realtek hdaudioC0D0:    mono: mono_out=0x0
[    4.171058] snd_hda_codec_realtek hdaudioC0D0:    inputs:
[    4.171060] snd_hda_codec_realtek hdaudioC0D0:      Mic=0x18
[    4.171061] snd_hda_codec_realtek hdaudioC0D0:      Internal Mic=0x12
[    4.180033] snd_hda_intel 0000:00:1b.0: bound 0000:00:02.0 (ops 0xffffffff81af4d80)
[    4.184227] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/sound/card0/input8
[    4.184558] input: HDA Intel MID Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input9
[    4.185135] input: HDA Intel MID Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input10
[    4.185225] input: HDA Intel MID HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:1b.0/sound/card0/input11
[    4.185334] input: HDA Intel MID HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:1b.0/sound/card0/input12
[    4.339507] mmc0: new high speed SDHC card at address 1234
[    4.341506] mmcblk0: mmc0:1234 SA32G 28.9 GiB 
[    4.342665]  mmcblk0: p1
[    4.464321] usb 1-1: new high-speed USB device number 2 using ehci-pci
[    4.472288] usb 2-1: new high-speed USB device number 2 using ehci-pci
[    4.518364] PM: Starting manual resume from disk
[    4.518368] PM: Hibernation image partition 8:3 present
[    4.518368] PM: Looking for hibernation image.
[    4.518604] PM: Image not found (code -22)
[    4.518605] PM: Hibernation image not present or could not be loaded.
[    4.583213] hub 1-1:1.0: USB hub found
[    4.583278] hub 1-1:1.0: 6 ports detected
[    4.591199] hub 2-1:1.0: USB hub found
[    4.591266] hub 2-1:1.0: 8 ports detected
[    4.614155] psmouse serio1: synaptics: queried max coordinates: x [..5646], y [..4606]
[    4.661854] psmouse serio1: synaptics: Touchpad model: 1, fw: 7.4, id: 0x1e0b1, caps: 0xd04773/0xa40000/0xa0400/0x0, board id: 0, fw id: 664027
[    4.692273] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input7
[    4.693970] mousedev: PS/2 mouse device common for all mice
[    4.856329] usb 1-1.2: new full-speed USB device number 3 using ehci-pci
[    4.863980] random: crng init done
[    4.864371] usb 2-1.6: new full-speed USB device number 3 using ehci-pci
[    4.864388] BTRFS: device label Gentoo_X64 devid 1 transid 15302 /dev/sda2
[    4.866253] BTRFS info (device sda2): disk space caching is enabled
[    4.866255] BTRFS info (device sda2): has skinny extents
[    4.949611] Bluetooth: Core ver 2.22
[    4.949635] NET: Registered protocol family 31
[    4.949635] Bluetooth: HCI device and connection manager initialized
[    4.949640] Bluetooth: HCI socket layer initialized
[    4.949642] Bluetooth: L2CAP socket layer initialized
[    4.949648] Bluetooth: SCO socket layer initialized
[    4.951334] usbcore: registered new interface driver btusb
[    4.964699] Bluetooth: hci0: read Intel version: 3707100180012d0d00
[    4.964767] Bluetooth: hci0: Intel Bluetooth firmware file: intel/ibt-hw-37.7.10-fw-1.80.1.2d.d.bseq
[    5.001354] usb 1-1.4: new high-speed USB device number 4 using ehci-pci
[    5.153767] Bluetooth: hci0: Intel Bluetooth firmware patch completed and activated
[    5.325152] media: Linux media interface: v0.10
[    5.327809] Linux video capture interface: v2.00
[    5.329593] uvcvideo: Found UVC 1.00 device 2SF001 (0bda:58f5)
[    5.360096] uvcvideo 1-1.4:1.0: Entity type for entity Processing 2 was not initialized!
[    5.360099] uvcvideo 1-1.4:1.0: Entity type for entity Camera 1 was not initialized!
[    5.360100] uvcvideo 1-1.4:1.0: Entity type for entity Extension 4 was not initialized!
[    5.360223] input: 2SF001 as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/input/input13
[    5.360344] usbcore: registered new interface driver uvcvideo
[    5.360345] USB Video Class driver (1.1.1)
[    5.387400] usb 1-1.6: new full-speed USB device number 5 using ehci-pci
[    6.828782] ip_tables: (C) 2000-2006 Netfilter Core Team
[    6.852378] systemd[1]: systemd 233 running in system mode. (+PAM -AUDIT -SELINUX +IMA -APPARMOR +SMACK -SYSVINIT +UTMP -LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ +LZ4 +SECCOMP +BLKID +ELFUTILS +KMOD +IDN default-hierarchy=hybrid)
[    6.852532] systemd[1]: Detected architecture x86-64.
[    7.944142] systemd[1]: Reached target Remote File Systems.
[    7.944509] systemd[1]: Started Forward Password Requests to Wall Directory Watch.
[    7.944698] systemd[1]: Listening on /dev/initctl Compatibility Named Pipe.
[    7.945606] systemd[1]: Listening on Process Core Dump Socket.
[    7.946161] systemd[1]: Created slice User and Session Slice.
[    7.968446] systemd[1]: Listening on udev Control Socket.
[    7.968984] systemd[1]: Set up automount Arbitrary Executable File Formats File System Automount Point.
[    7.969209] systemd[1]: Listening on Journal Socket.
[    8.141182] Adding 4368380k swap on /dev/sda3.  Priority:-1 extents:1 across:4368380k FS
[    8.226067] BTRFS info (device sda2): force lzo compression
[    8.226070] BTRFS info (device sda2): disk space caching is enabled
[    8.297808] vboxdrv: loading out-of-tree module taints kernel.
[    8.302377] vboxdrv: Found 4 processor cores
[    8.317825] vboxdrv: TSC mode is Invariant, tentative frequency 2526992634 Hz
[    8.317826] vboxdrv: Successfully loaded version 5.1.18 (interface 0x00280000)
[    8.376296] VBoxNetFlt: Successfully started.
[    8.517394] VBoxNetAdp: Successfully started.
[    8.518113] VBoxPciLinuxInit
[    8.518119] vboxpci: pci-stub module not available, cannot detach PCI devices
[    8.518120] vboxpci: IOMMU not found (not registered)
[    9.216132] systemd-journald[781]: Received request to flush runtime journal from PID 1
[    9.831617] systemd-journald[781]: File /var/log/journal/54acaaa571d60338b0cb4e0758c1eac3/system.journal corrupted or uncleanly shut down, renaming and replacing.
[   10.692434] e1000e 0000:00:19.0 enp0s25: renamed from eth0
[   10.702865] iwlwifi 0000:02:00.0 wlp2s0: renamed from wlan0
[   19.507529] IPv6: ADDRCONF(NETDEV_UP): enp0s25: link is not ready
[   19.721670] IPv6: ADDRCONF(NETDEV_UP): enp0s25: link is not ready
[   19.725269] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[   19.727418] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   19.727691] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   19.932062] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   19.932339] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   19.946463] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[   19.956090] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   19.956401] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   20.080878] systemd-journald[781]: File /var/log/journal/54acaaa571d60338b0cb4e0758c1eac3/user-1001.journal corrupted or uncleanly shut down, renaming and replacing.
[   20.164657] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   20.164938] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   20.179127] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[   20.352257] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[   23.741049] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   23.741319] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   23.959925] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   23.960196] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   23.974524] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[   24.900198] fuse init (API version 7.26)
[   27.408778] wlp2s0: authenticate with 58:2a:f7:9c:6f:30
[   27.411665] wlp2s0: send auth to 58:2a:f7:9c:6f:30 (try 1/3)
[   27.414471] wlp2s0: authenticated
[   27.414831] wlp2s0: associate with 58:2a:f7:9c:6f:30 (try 1/3)
[   27.420143] wlp2s0: RX AssocResp from 58:2a:f7:9c:6f:30 (capab=0x421 status=0 aid=2)
[   27.422252] wlp2s0: associated
[   27.422267] IPv6: ADDRCONF(NETDEV_CHANGE): wlp2s0: link becomes ready
[   29.661836] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   29.661838] Bluetooth: BNEP filters: protocol multicast
[   29.661843] Bluetooth: BNEP socket layer initialized
[   31.849278] Bluetooth: RFCOMM TTY layer initialized
[   31.849287] Bluetooth: RFCOMM socket layer initialized
[   31.849297] Bluetooth: RFCOMM ver 1.11
[   37.100828] FAT-fs (mmcblk0p1): Volume was not properly unmounted. Some data may be corrupt. Please run fsck.
[   52.971499] [drm:intel_cpu_fifo_underrun_irq_handler] *ERROR* CPU pipe A FIFO underrun
[   52.971511] [drm:intel_pch_fifo_underrun_irq_handler] *ERROR* PCH transcoder A FIFO underrun
[  115.263945] mmc0: card 1234 removed




inxi -F
System:    Host: darkmaza Kernel: 4.10.8-gentoo-ck x86_64 (64 bit) Desktop: MATE 1.18.0
           Distro: Gentoo Base System release 2.3
Machine:   Device: laptop System: TOSHIBA product: PORTEGE R700 v: PT310U-0K002Y01
           Mobo: TOSHIBA model: Portable PC v: Version A0
           BIOS: TOSHIBA v: Version 2.20 date: 12/22/2011
CPU:       Dual core Intel Core i3 M 380 (-HT-MCP-) cache: 3072 KB 
           clock speeds: max: 2533 MHz 1: 2533 MHz 2: 2533 MHz 3: 2533 MHz 4: 2533 MHz
Graphics:  Card: Intel Core Processor Integrated Graphics Controller
           Display Server: X.Org 1.19.3 driver: modesetting Resolution: 1366x768@60.17hz
           GLX Renderer: Mesa DRI Intel Ironlake Mobile GLX Version: 2.1 Mesa 17.0.3
Audio:     Card Intel 5 Series/3400 Series High Definition Audio driver: snd_hda_intel
           Sound: Advanced Linux Sound Architecture v: k4.10.8-gentoo-ck
Network:   Card-1: Intel 82577LC Gigabit Network Connection driver: e1000e
           IF: enp0s25 state: down mac: e8:9d:87:af:ed:1e
           Card-2: Intel Wireless 7260 driver: iwlwifi
           IF: wlp2s0 state: up mac: f0:42:1c:c7:07:59
Drives:    HDD Total Size: 320.1GB (19.3% used)
           ID-1: /dev/sda model: WDC_WD3200BEKT size: 320.1GB
Partition: ID-1: / size: 91G used: 54G (62%) fs: btrfs dev: /dev/sda2
           ID-2: swap-1 size: 4.47GB used: 0.00GB (0%) fs: swap dev: /dev/sda3
Sensors:   System Temperatures: cpu: 56.0C mobo: N/A
           Fan Speeds (in rpm): cpu: N/A
Info:      Processes: 274 Uptime: 26 min Memory: 1805.5/3676.6MB Client: Shell (fish) inxi: 2.3.4
Comment 115 Carlos Jimenez 2017-04-04 19:46:56 UTC
This bug still happen here on kernel 4.9 - 4.10.8 : 

but only get triggered when the modesetting ddx is used in xorg-server 
with intel ddx this dont show up . so i think we need to reopen this 
also this happen on freebsd with intel drm-next which is ported from linux kernel
4.9 when the modesetting ddx generic kms driver is being used .


[    0.000000] microcode: microcode updated early to revision 0x4, date = 2013-06-28
[    0.000000] Linux version 4.10.8-gentoo-ck (root@darkmaza) (gcc version 5.4.0 (Gentoo 5.4.0-r3 p1.3, pie-0.6.5) ) #1 SMP PREEMPT Mon Apr 3 07:01:42 AST 2017
[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.10.8-gentoo-ck root=UUID=d6c85291-1d10-47c6-bf3b-c1783919ba72 ro resume=/dev/sda3 elevator=bfq loglevel=3 libahci.ignore_sss=1 init=/usr/lib/systemd/systemd rootfstype=btrfs spl.spl_hostid=0xd9794111 zfs.zfs_arc_max=536870912
[    0.000000] x86/fpu: Legacy x87 FPU detected.
[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009ebff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009ec00-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000e0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x00000000b70cffff] usable
[    0.000000] BIOS-e820: [mem 0x00000000b70d0000-0x00000000b70d01ff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x00000000b70d0200-0x00000000b70d1fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000b70d2000-0x00000000b71cffff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x00000000b71d0000-0x00000000b71effff] ACPI data
[    0.000000] BIOS-e820: [mem 0x00000000b71f0000-0x00000000bfffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000efffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed10000-0x00000000fed13fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed18000-0x00000000fed19fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed1c000-0x00000000fed1ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000ffe00000-0x00000000ffffffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000100000000-0x0000000137ffffff] usable
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] SMBIOS 2.4 present.
[    0.000000] DMI: TOSHIBA PORTEGE R700/Portable PC, BIOS Version 2.20   12/22/2011
[    0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[    0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
[    0.000000] e820: last_pfn = 0x138000 max_arch_pfn = 0x400000000
[    0.000000] MTRR default type: uncachable
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-D3FFF write-protect
[    0.000000]   D4000-DFFFF uncachable
[    0.000000]   E0000-EFFFF write-through
[    0.000000]   F0000-FFFFF write-protect
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 0FFE00000 mask FFFE00000 uncachable
[    0.000000]   1 base 000000000 mask F80000000 write-back
[    0.000000]   2 base 080000000 mask FC0000000 write-back
[    0.000000]   3 base 0B8000000 mask FF8000000 uncachable
[    0.000000]   4 base 100000000 mask FC0000000 write-back
[    0.000000]   5 disabled
[    0.000000]   6 disabled
[    0.000000]   7 disabled
[    0.000000] x86/PAT: Configuration [0-7]: WB  WC  UC- UC  WB  WC  UC- WT  
[    0.000000] e820: update [mem 0xb8000000-0xffffffff] usable ==> reserved
[    0.000000] e820: last_pfn = 0xb70d0 max_arch_pfn = 0x400000000
[    0.000000] Scanning 1 areas for low memory corruption
[    0.000000] Base memory trampoline at [ffff880000097000] 97000 size 28672
[    0.000000] BRK [0x022c7000, 0x022c7fff] PGTABLE
[    0.000000] BRK [0x022c8000, 0x022c8fff] PGTABLE
[    0.000000] BRK [0x022c9000, 0x022c9fff] PGTABLE
[    0.000000] BRK [0x022ca000, 0x022cafff] PGTABLE
[    0.000000] RAMDISK: [mem 0x36ed9000-0x37763fff]
[    0.000000] ACPI: Early table checksum verification disabled
[    0.000000] ACPI: RSDP 0x00000000000F0030 000014 (v00 TOSHIB)
[    0.000000] ACPI: RSDT 0x00000000B71EF038 00004C (v01 TOSHIB A007B    00000002      01000013)
[    0.000000] ACPI: FACP 0x00000000B71EE000 000081 (v02 TOSHIB A007B    00000002 LOHR 0000005F)
[    0.000000] ACPI: DSDT 0x00000000B71DC000 009312 (v02 TOSHIB A007B    20111220 INTL 20061109)
[    0.000000] ACPI: FACS 0x00000000B715A000 000040
[    0.000000] ACPI: HPET 0x00000000B71ED000 000038 (v01 TOSHIB A007B    00000001 LOHR 0000005F)
[    0.000000] ACPI: APIC 0x00000000B71EC000 0000BC (v01 TOSHIB A007B    00000001 LOHR 0000005F)
[    0.000000] ACPI: MCFG 0x00000000B71EB000 00003C (v01 TOSHIB A007B    00000001 LOHR 0000005F)
[    0.000000] ACPI: BOOT 0x00000000B71E8000 000028 (v01 TOSHIB A007B    00000000 LOHR 0000005F)
[    0.000000] ACPI: SLIC 0x00000000B71E7000 000176 (v01 TOSHIB A007B    00000000 LOHR 0000005F)
[    0.000000] ACPI: SSDT 0x00000000B71DB000 0002D5 (v01 TOSHIB SataAhci 00001000 INTL 20061109)
[    0.000000] ACPI: SSDT 0x00000000B71D8000 00072A (v01 TOSHIB PtidDevc 00001000 INTL 20061109)
[    0.000000] ACPI: ASF! 0x00000000B71EA000 0000A0 (v32 TOSHIB A007B    00000001 LOHR 0000005F)
[    0.000000] ACPI: SSDT 0x00000000B71D7000 000A10 (v01 PmRef  CpuPm    00003000 INTL 20061109)
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x0000000000001000-0x0000000000ffffff]
[    0.000000]   DMA32    [mem 0x0000000001000000-0x00000000ffffffff]
[    0.000000]   Normal   [mem 0x0000000100000000-0x0000000137ffffff]
[    0.000000]   Device   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x0000000000001000-0x000000000009dfff]
[    0.000000]   node   0: [mem 0x0000000000100000-0x00000000b70cffff]
[    0.000000]   node   0: [mem 0x0000000100000000-0x0000000137ffffff]
[    0.000000] Initmem setup node 0 [mem 0x0000000000001000-0x0000000137ffffff]
[    0.000000] On node 0 totalpages: 979053
[    0.000000]   DMA zone: 64 pages used for memmap
[    0.000000]   DMA zone: 22 pages reserved
[    0.000000]   DMA zone: 3997 pages, LIFO batch:0
[    0.000000]   DMA32 zone: 11652 pages used for memmap
[    0.000000]   DMA32 zone: 745680 pages, LIFO batch:31
[    0.000000]   Normal zone: 3584 pages used for memmap
[    0.000000]   Normal zone: 229376 pages, LIFO batch:31
[    0.000000] Reserving Intel graphics memory at 0x00000000bc000000-0x00000000bfffffff
[    0.000000] ACPI: PM-Timer IO Port: 0x408
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x02] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x03] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x04] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x05] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x06] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x07] high edge lint[0x1])
[    0.000000] IOAPIC[0]: apic_id 1, version 32, address 0xfec00000, GSI 0-23
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: IRQ0 used by override.
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[    0.000000] smpboot: Allowing 8 CPUs, 4 hotplug CPUs
[    0.000000] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]
[    0.000000] PM: Registered nosave memory: [mem 0x0009e000-0x0009efff]
[    0.000000] PM: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000dffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000e0000-0x000fffff]
[    0.000000] PM: Registered nosave memory: [mem 0xb70d0000-0xb70d0fff]
[    0.000000] PM: Registered nosave memory: [mem 0xb70d1000-0xb70d1fff]
[    0.000000] PM: Registered nosave memory: [mem 0xb70d2000-0xb71cffff]
[    0.000000] PM: Registered nosave memory: [mem 0xb71d0000-0xb71effff]
[    0.000000] PM: Registered nosave memory: [mem 0xb71f0000-0xbfffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xc0000000-0xdfffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xe0000000-0xefffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xf0000000-0xfebfffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfec00000-0xfec00fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfec01000-0xfed0ffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed10000-0xfed13fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed14000-0xfed17fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed18000-0xfed19fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed1a000-0xfed1bfff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed1c000-0xfed1ffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed20000-0xfedfffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfee00000-0xfee00fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfee01000-0xffdfffff]
[    0.000000] PM: Registered nosave memory: [mem 0xffe00000-0xffffffff]
[    0.000000] e820: [mem 0xc0000000-0xdfffffff] available for PCI devices
[    0.000000] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1910969940391419 ns
[    0.000000] setup_percpu: NR_CPUS:128 nr_cpumask_bits:128 nr_cpu_ids:8 nr_node_ids:1
[    0.000000] percpu: Embedded 34 pages/cpu @ffff880137c00000 s99800 r8192 d31272 u262144
[    0.000000] pcpu-alloc: s99800 r8192 d31272 u262144 alloc=1*2097152
[    0.000000] pcpu-alloc: [0] 0 1 2 3 4 5 6 7 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 963731
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.10.8-gentoo-ck root=UUID=d6c85291-1d10-47c6-bf3b-c1783919ba72 ro resume=/dev/sda3 elevator=bfq loglevel=3 libahci.ignore_sss=1 init=/usr/lib/systemd/systemd rootfstype=btrfs spl.spl_hostid=0xd9794111 zfs.zfs_arc_max=536870912
[    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[    0.000000] Dentry cache hash table entries: 524288 (order: 10, 4194304 bytes)
[    0.000000] Inode-cache hash table entries: 262144 (order: 9, 2097152 bytes)
[    0.000000] Memory: 3753428K/3916212K available (9840K kernel code, 1200K rwdata, 3052K rodata, 1228K init, 2416K bss, 162784K reserved, 0K cma-reserved)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=8, Nodes=1
[    0.000000] Preemptible hierarchical RCU implementation.
[    0.000000] 	RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000] 	RCU restricting CPUs from NR_CPUS=128 to nr_cpu_ids=8.
[    0.000000] 	RCU kthread priority: 1.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=8
[    0.000000] NR_IRQS:8448 nr_irqs:488 16
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [tty0] enabled
[    0.000000] clocksource: hpet: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 133484882848 ns
[    0.000000] hpet clockevent registered
[    0.000000] tsc: Fast TSC calibration using PIT
[    0.000000] tsc: Detected 2526.827 MHz processor
[    0.000026] Calibrating delay loop (skipped), value calculated using timer frequency.. 5053.65 BogoMIPS (lpj=2526827)
[    0.000028] pid_max: default: 32768 minimum: 301
[    0.000036] ACPI: Core revision 20160930
[    0.006799] ACPI: 4 ACPI AML tables successfully acquired and loaded
[    0.006821] Security Framework initialized
[    0.006822] Yama: becoming mindful.
[    0.006835] Mount-cache hash table entries: 8192 (order: 4, 65536 bytes)
[    0.006836] Mountpoint-cache hash table entries: 8192 (order: 4, 65536 bytes)
[    0.007065] CPU: Physical Processor ID: 0
[    0.007066] CPU: Processor Core ID: 0
[    0.007070] mce: CPU supports 9 MCE banks
[    0.007077] CPU0: Thermal monitoring enabled (TM1)
[    0.007086] process: using mwait in idle threads
[    0.007089] Last level iTLB entries: 4KB 512, 2MB 7, 4MB 7
[    0.007090] Last level dTLB entries: 4KB 512, 2MB 32, 4MB 32, 1GB 0
[    0.007192] Freeing SMP alternatives memory: 32K
[    0.008119] ftrace: allocating 33684 entries in 132 pages
[    0.025263] smpboot: Max logical packages: 4
[    0.025737] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.136935] smpboot: CPU0: Intel(R) Core(TM) i3 CPU       M 380  @ 2.53GHz (family: 0x6, model: 0x25, stepping: 0x5)
[    0.136984] Performance Events: PEBS fmt1+, Westmere events, 16-deep LBR, Intel PMU driver.
[    0.137002] core: CPUID marked event: 'bus cycles' unavailable
[    0.137005] ... version:                3
[    0.137005] ... bit width:              48
[    0.137006] ... generic registers:      4
[    0.137006] ... value mask:             0000ffffffffffff
[    0.137007] ... max period:             000000007fffffff
[    0.137007] ... fixed-purpose events:   3
[    0.137008] ... event mask:             000000070000000f
[    0.145942] smp: Bringing up secondary CPUs ...
[    0.152943] SCHED: No cpumask for kworker/1:0/19
[    0.152973] SCHED: No cpumask for kworker/1:0H/20
[    0.152995] x86: Booting SMP configuration:
[    0.152997] .... node  #0, CPUs:      #1
[    0.216122] SCHED: No cpumask for kworker/2:0/25
[    0.216137] SCHED: No cpumask for kworker/2:0H/26
[    0.216154]  #2
[    0.279098] SCHED: No cpumask for kworker/3:0/31
[    0.279116] SCHED: No cpumask for kworker/3:0H/32
[    0.279136]  #3
[    0.341005] smp: Brought up 1 node, 4 CPUs
[    0.341008] smpboot: Total of 4 processors activated (20214.81 BogoMIPS)
[    0.343007] MuQSS locality CPU 0 to 1: 1
[    0.343008] MuQSS locality CPU 0 to 2: 2
[    0.343009] MuQSS locality CPU 0 to 3: 2
[    0.343009] MuQSS locality CPU 1 to 2: 2
[    0.343010] MuQSS locality CPU 1 to 3: 2
[    0.343010] MuQSS locality CPU 2 to 3: 1
[    0.343283] devtmpfs: initialized
[    0.343351] x86/mm: Memory block size: 128MB
[    0.345626] PM: Registering ACPI NVS region [mem 0xb70d0000-0xb70d01ff] (512 bytes)
[    0.345627] PM: Registering ACPI NVS region [mem 0xb70d2000-0xb71cffff] (1040384 bytes)
[    0.345703] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1911260446275000 ns
[    0.345707] futex hash table entries: 2048 (order: 5, 131072 bytes)
[    0.345770] xor: measuring software checksum speed
[    0.354940]    prefetch64-sse: 13316.000 MB/sec
[    0.364940]    generic_sse: 11376.000 MB/sec
[    0.364941] xor: using function: prefetch64-sse (13316.000 MB/sec)
[    0.364980] RTC time: 19:11:10, date: 04/04/17
[    0.365082] NET: Registered protocol family 16
[    0.368988] cpuidle: using governor ladder
[    0.372951] cpuidle: using governor menu
[    0.372954] PCCT header not found.
[    0.373080] Simple Boot Flag at 0x7c set to 0x80
[    0.373091] ACPI: bus type PCI registered
[    0.373092] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.373153] PCI: MMCONFIG for domain 0000 [bus 00-ff] at [mem 0xe0000000-0xefffffff] (base 0xe0000000)
[    0.373196] PCI: MMCONFIG at [mem 0xe0000000-0xefffffff] reserved in E820
[    0.373207] PCI: Using configuration type 1 for base access
[    0.373386] mtrr: your CPUs had inconsistent variable MTRR settings
[    0.373386] mtrr: probably your BIOS does not setup all CPUs.
[    0.373387] mtrr: corrected configuration.
[    0.387112] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.403946] raid6: sse2x1   gen()  6242 MB/s
[    0.420943] raid6: sse2x1   xor()  4943 MB/s
[    0.437947] raid6: sse2x2   gen()  7359 MB/s
[    0.454941] raid6: sse2x2   xor()  5810 MB/s
[    0.471942] raid6: sse2x4   gen()  8503 MB/s
[    0.488945] raid6: sse2x4   xor()  6337 MB/s
[    0.488946] raid6: using algorithm sse2x4 gen() 8503 MB/s
[    0.488946] raid6: .... xor() 6337 MB/s, rmw enabled
[    0.488948] raid6: using ssse3x2 recovery algorithm
[    0.488992] ACPI: Added _OSI(Module Device)
[    0.488993] ACPI: Added _OSI(Processor Device)
[    0.488993] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.488994] ACPI: Added _OSI(Processor Aggregator Device)
[    0.489211] ACPI: Executed 1 blocks of module-level executable AML code
[    0.490235] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
[    0.492334] ACPI: Dynamic OEM Table Load:
[    0.492341] ACPI: SSDT 0xFFFF88013378A000 00049D (v01 PmRef  Cpu0Ist  00003000 INTL 20061109)
[    0.492926] ACPI: Dynamic OEM Table Load:
[    0.492931] ACPI: SSDT 0xFFFF880133770000 0008B2 (v01 PmRef  Cpu0Cst  00003001 INTL 20061109)
[    0.493423] ACPI: Dynamic OEM Table Load:
[    0.493428] ACPI: SSDT 0xFFFF880132C79800 000303 (v01 PmRef  ApIst    00003000 INTL 20061109)
[    0.493643] ACPI: Dynamic OEM Table Load:
[    0.493648] ACPI: SSDT 0xFFFF880132C28200 000119 (v01 PmRef  ApCst    00003000 INTL 20061109)
[    0.494821] ACPI: Interpreter enabled
[    0.494842] ACPI: (supports S0 S3 S4 S5)
[    0.494843] ACPI: Using IOAPIC for interrupt routing
[    0.494867] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.499020] ACPI: Power Resource [PDOC] (off)
[    0.499090] acpi PNP0A05:00: ACPI dock station (docks/bays count: 1)
[    0.500242] acpi LNXIOBAY:00: ACPI dock station (docks/bays count: 2)
[    0.501681] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-fe])
[    0.501686] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    0.501690] acpi PNP0A08:00: _OSC failed (AE_NOT_FOUND); disabling ASPM
[    0.502170] PCI host bridge to bus 0000:00
[    0.502172] pci_bus 0000:00: root bus resource [io  0x0000-0x0cf7 window]
[    0.502174] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff window]
[    0.502175] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
[    0.502176] pci_bus 0000:00: root bus resource [mem 0x000d4000-0x000d7fff window]
[    0.502177] pci_bus 0000:00: root bus resource [mem 0x000d8000-0x000dbfff window]
[    0.502178] pci_bus 0000:00: root bus resource [mem 0x000dc000-0x000dffff window]
[    0.502179] pci_bus 0000:00: root bus resource [mem 0xc0000000-0xfeafffff window]
[    0.502181] pci_bus 0000:00: root bus resource [bus 00-fe]
[    0.502189] pci 0000:00:00.0: [8086:0044] type 00 class 0x060000
[    0.502210] DMAR: BIOS has allocated no shadow GTT; disabling IOMMU for graphics
[    0.502302] pci 0000:00:02.0: [8086:0046] type 00 class 0x030000
[    0.502312] pci 0000:00:02.0: reg 0x10: [mem 0xd0000000-0xd03fffff 64bit]
[    0.502317] pci 0000:00:02.0: reg 0x18: [mem 0xc0000000-0xcfffffff 64bit pref]
[    0.502321] pci 0000:00:02.0: reg 0x20: [io  0x3050-0x3057]
[    0.502447] pci 0000:00:16.0: [8086:3b64] type 00 class 0x078000
[    0.502473] pci 0000:00:16.0: reg 0x10: [mem 0xd4724000-0xd472400f 64bit]
[    0.502562] pci 0000:00:16.0: PME# supported from D0 D3hot D3cold
[    0.502662] pci 0000:00:19.0: [8086:10eb] type 00 class 0x020000
[    0.502683] pci 0000:00:19.0: reg 0x10: [mem 0xd4700000-0xd471ffff]
[    0.502693] pci 0000:00:19.0: reg 0x14: [mem 0xd472a000-0xd472afff]
[    0.502704] pci 0000:00:19.0: reg 0x18: [io  0x3020-0x303f]
[    0.502786] pci 0000:00:19.0: PME# supported from D0 D3hot D3cold
[    0.502859] pci 0000:00:19.0: System wakeup disabled by ACPI
[    0.502901] pci 0000:00:1a.0: [8086:3b3c] type 00 class 0x0c0320
[    0.502922] pci 0000:00:1a.0: reg 0x10: [mem 0xd4729000-0xd47293ff]
[    0.503033] pci 0000:00:1a.0: PME# supported from D0 D3hot D3cold
[    0.503092] pci 0000:00:1a.0: System wakeup disabled by ACPI
[    0.503136] pci 0000:00:1b.0: [8086:3b56] type 00 class 0x040300
[    0.503159] pci 0000:00:1b.0: reg 0x10: [mem 0xd4720000-0xd4723fff 64bit]
[    0.503264] pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
[    0.503327] pci 0000:00:1b.0: System wakeup disabled by ACPI
[    0.503368] pci 0000:00:1c.0: [8086:3b42] type 01 class 0x060400
[    0.503465] pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
[    0.503564] pci 0000:00:1c.1: [8086:3b44] type 01 class 0x060400
[    0.503661] pci 0000:00:1c.1: PME# supported from D0 D3hot D3cold
[    0.503758] pci 0000:00:1c.2: [8086:3b46] type 01 class 0x060400
[    0.503855] pci 0000:00:1c.2: PME# supported from D0 D3hot D3cold
[    0.503917] pci 0000:00:1c.2: System wakeup disabled by ACPI
[    0.503956] pci 0000:00:1c.3: [8086:3b48] type 01 class 0x060400
[    0.504065] pci 0000:00:1c.3: PME# supported from D0 D3hot D3cold
[    0.504179] pci 0000:00:1d.0: [8086:3b34] type 00 class 0x0c0320
[    0.504201] pci 0000:00:1d.0: reg 0x10: [mem 0xd4728000-0xd47283ff]
[    0.504302] pci 0000:00:1d.0: PME# supported from D0 D3hot D3cold
[    0.504360] pci 0000:00:1d.0: System wakeup disabled by ACPI
[    0.504398] pci 0000:00:1e.0: [8086:2448] type 01 class 0x060401
[    0.504546] pci 0000:00:1f.0: [8086:3b09] type 00 class 0x060100
[    0.504730] pci 0000:00:1f.2: [8086:3b29] type 00 class 0x010601
[    0.504752] pci 0000:00:1f.2: reg 0x10: [io  0x3048-0x304f]
[    0.504762] pci 0000:00:1f.2: reg 0x14: [io  0x305c-0x305f]
[    0.504772] pci 0000:00:1f.2: reg 0x18: [io  0x3040-0x3047]
[    0.504783] pci 0000:00:1f.2: reg 0x1c: [io  0x3058-0x305b]
[    0.504793] pci 0000:00:1f.2: reg 0x20: [io  0x3000-0x301f]
[    0.504804] pci 0000:00:1f.2: reg 0x24: [mem 0xd4727000-0xd47277ff]
[    0.504862] pci 0000:00:1f.2: PME# supported from D3hot
[    0.504963] pci 0000:00:1f.6: [8086:3b32] type 00 class 0x118000
[    0.504994] pci 0000:00:1f.6: reg 0x10: [mem 0xd4726000-0xd4726fff 64bit]
[    0.505271] pci 0000:01:00.0: [1180:e822] type 00 class 0x080500
[    0.505292] pci 0000:01:00.0: MMC controller base frequency changed to 50Mhz.
[    0.505314] pci 0000:01:00.0: reg 0x10: [mem 0xd4600000-0xd46000ff]
[    0.505489] pci 0000:01:00.0: supports D1 D2
[    0.505491] pci 0000:01:00.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.508035] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.508042] pci 0000:00:1c.0:   bridge window [mem 0xd4600000-0xd46fffff]
[    0.508148] pci 0000:02:00.0: [8086:08b1] type 00 class 0x028000
[    0.508202] pci 0000:02:00.0: reg 0x10: [mem 0xd4500000-0xd4501fff 64bit]
[    0.508438] pci 0000:02:00.0: PME# supported from D0 D3hot D3cold
[    0.511039] pci 0000:00:1c.1: PCI bridge to [bus 02]
[    0.511046] pci 0000:00:1c.1:   bridge window [mem 0xd4500000-0xd45fffff]
[    0.511124] acpiphp: Slot [1] registered
[    0.511129] pci 0000:00:1c.2: PCI bridge to [bus 03-04]
[    0.511134] pci 0000:00:1c.2:   bridge window [io  0x2000-0x2fff]
[    0.511138] pci 0000:00:1c.2:   bridge window [mem 0xd2500000-0xd44fffff]
[    0.511145] pci 0000:00:1c.2:   bridge window [mem 0xd0400000-0xd23fffff 64bit pref]
[    0.511212] pci 0000:00:1c.3: PCI bridge to [bus 05]
[    0.511219] pci 0000:00:1c.3:   bridge window [mem 0xd2400000-0xd24fffff]
[    0.511311] pci 0000:00:1e.0: PCI bridge to [bus 06] (subtractive decode)
[    0.511324] pci 0000:00:1e.0:   bridge window [io  0x0000-0x0cf7 window] (subtractive decode)
[    0.511325] pci 0000:00:1e.0:   bridge window [io  0x0d00-0xffff window] (subtractive decode)
[    0.511326] pci 0000:00:1e.0:   bridge window [mem 0x000a0000-0x000bffff window] (subtractive decode)
[    0.511327] pci 0000:00:1e.0:   bridge window [mem 0x000d4000-0x000d7fff window] (subtractive decode)
[    0.511328] pci 0000:00:1e.0:   bridge window [mem 0x000d8000-0x000dbfff window] (subtractive decode)
[    0.511330] pci 0000:00:1e.0:   bridge window [mem 0x000dc000-0x000dffff window] (subtractive decode)
[    0.511331] pci 0000:00:1e.0:   bridge window [mem 0xc0000000-0xfeafffff window] (subtractive decode)
[    0.511365] pci_bus 0000:00: on NUMA node 0
[    0.511552] ACPI: PCI Interrupt Link [LNKA] (IRQs 1 3 4 5 6 7 10 12 14 15) *11
[    0.511602] ACPI: PCI Interrupt Link [LNKB] (IRQs 1 *3 4 5 6 7 11 12 14 15)
[    0.511650] ACPI: PCI Interrupt Link [LNKC] (IRQs 1 3 4 5 6 7 *10 12 14 15)
[    0.511700] ACPI: PCI Interrupt Link [LNKD] (IRQs 1 3 4 5 6 7 *11 12 14 15)
[    0.511748] ACPI: PCI Interrupt Link [LNKE] (IRQs 1 3 4 5 *6 7 10 12 14 15)
[    0.511796] ACPI: PCI Interrupt Link [LNKF] (IRQs 1 3 4 5 6 7 11 12 14 15) *0, disabled.
[    0.511845] ACPI: PCI Interrupt Link [LNKG] (IRQs 1 3 4 *5 6 7 10 12 14 15)
[    0.511893] ACPI: PCI Interrupt Link [LNKH] (IRQs 1 3 4 5 6 7 *11 12 14 15)
[    0.512052] ACPI: PCI Root Bridge [CPBG] (domain 0000 [bus ff])
[    0.512055] acpi PNP0A03:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    0.512058] acpi PNP0A03:00: _OSC failed (AE_NOT_FOUND); disabling ASPM
[    0.512099] PCI host bridge to bus 0000:ff
[    0.512100] pci_bus 0000:ff: root bus resource [bus ff]
[    0.512105] pci 0000:ff:00.0: [8086:2c62] type 00 class 0x060000
[    0.512149] pci 0000:ff:00.1: [8086:2d01] type 00 class 0x060000
[    0.512200] pci 0000:ff:02.0: [8086:2d10] type 00 class 0x060000
[    0.512242] pci 0000:ff:02.1: [8086:2d11] type 00 class 0x060000
[    0.512283] pci 0000:ff:02.2: [8086:2d12] type 00 class 0x060000
[    0.512325] pci 0000:ff:02.3: [8086:2d13] type 00 class 0x060000
[    0.512375] pci_bus 0000:ff: on NUMA node 0
[    0.512737] ACPI: Enabled 6 GPEs in block 00 to 3F
[    0.513014] pci 0000:00:02.0: vgaarb: setting as boot VGA device
[    0.513016] pci 0000:00:02.0: vgaarb: VGA device added: decodes=io+mem,owns=io+mem,locks=none
[    0.513020] pci 0000:00:02.0: vgaarb: bridge control possible
[    0.513020] vgaarb: loaded
[    0.513104] SCSI subsystem initialized
[    0.513149] libata version 3.00 loaded.
[    0.513193] PCI: Using ACPI for IRQ routing
[    0.523099] PCI: pci_cache_line_size set to 64 bytes
[    0.523237] e820: reserve RAM buffer [mem 0x0009ec00-0x0009ffff]
[    0.523238] e820: reserve RAM buffer [mem 0xb70d0000-0xb7ffffff]
[    0.523344] NetLabel: Initializing
[    0.523345] NetLabel:  domain hash size = 128
[    0.523346] NetLabel:  protocols = UNLABELED CIPSOv4 CALIPSO
[    0.523363] NetLabel:  unlabeled traffic allowed by default
[    0.523934] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0, 0, 0, 0, 0, 0
[    0.523956] hpet0: 8 comparators, 64-bit 14.318180 MHz counter
[    0.525996] clocksource: Switched to clocksource hpet
[    0.534232] VFS: Disk quotas dquot_6.6.0
[    0.534256] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.536057] pnp: PnP ACPI init
[    0.536289] system 00:00: [mem 0xfed1c000-0xfed1ffff] has been reserved
[    0.536290] system 00:00: [mem 0xfed10000-0xfed13fff] has been reserved
[    0.536292] system 00:00: [mem 0xfed18000-0xfed18fff] has been reserved
[    0.536293] system 00:00: [mem 0xfed19000-0xfed19fff] has been reserved
[    0.536294] system 00:00: [mem 0xd4800000-0xd4800fff] has been reserved
[    0.536296] system 00:00: [mem 0xfeb00000-0xfeb03fff] has been reserved
[    0.536297] system 00:00: [mem 0xfed20000-0xfed3ffff] has been reserved
[    0.536298] system 00:00: [mem 0xfed40000-0xfed8ffff] has been reserved
[    0.536300] system 00:00: [mem 0xff000000-0xffffffff] could not be reserved
[    0.536301] system 00:00: [mem 0xfee00000-0xfeefffff] could not be reserved
[    0.536305] system 00:00: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.536640] system 00:01: [mem 0xfed00000-0xfed003ff] has been reserved
[    0.536643] system 00:01: Plug and Play ACPI device, IDs PNP0103 PNP0c01 (active)
[    0.536686] system 00:02: [io  0x1000-0x100f] has been reserved
[    0.536688] system 00:02: [io  0xffff] has been reserved
[    0.536689] system 00:02: [io  0xffff] has been reserved
[    0.536691] system 00:02: [io  0x0400-0x047f] has been reserved
[    0.536692] system 00:02: [io  0x0500-0x053f] has been reserved
[    0.536694] system 00:02: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.536734] system 00:03: [io  0x0680-0x06ff] has been reserved
[    0.536736] system 00:03: [io  0x01e0-0x01e7] has been reserved
[    0.536738] system 00:03: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.536765] pnp 00:04: Plug and Play ACPI device, IDs PNP0b00 (active)
[    0.536788] pnp 00:05: Plug and Play ACPI device, IDs PNP0303 (active)
[    0.536810] pnp 00:06: Plug and Play ACPI device, IDs TOS0100 PNP0f13 (active)
[    0.536932] pnp: PnP ACPI: found 7 devices
[    0.541477] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[    0.541494] pci 0000:00:1c.0: bridge window [io  0x1000-0x0fff] to [bus 01] add_size 1000
[    0.541497] pci 0000:00:1c.0: bridge window [mem 0x00100000-0x000fffff 64bit pref] to [bus 01] add_size 200000 add_align 100000
[    0.541507] pci 0000:00:1c.1: bridge window [io  0x1000-0x0fff] to [bus 02] add_size 1000
[    0.541508] pci 0000:00:1c.1: bridge window [mem 0x00100000-0x000fffff 64bit pref] to [bus 02] add_size 200000 add_align 100000
[    0.541527] pci 0000:00:1c.3: bridge window [io  0x1000-0x0fff] to [bus 05] add_size 1000
[    0.541528] pci 0000:00:1c.3: bridge window [mem 0x00100000-0x000fffff 64bit pref] to [bus 05] add_size 200000 add_align 100000
[    0.541541] pci 0000:00:1c.0: res[15]=[mem 0x00100000-0x000fffff 64bit pref] res_to_dev_res add_size 200000 min_align 100000
[    0.541543] pci 0000:00:1c.0: res[15]=[mem 0x00100000-0x002fffff 64bit pref] res_to_dev_res add_size 200000 min_align 100000
[    0.541544] pci 0000:00:1c.1: res[15]=[mem 0x00100000-0x000fffff 64bit pref] res_to_dev_res add_size 200000 min_align 100000
[    0.541546] pci 0000:00:1c.1: res[15]=[mem 0x00100000-0x002fffff 64bit pref] res_to_dev_res add_size 200000 min_align 100000
[    0.541547] pci 0000:00:1c.3: res[15]=[mem 0x00100000-0x000fffff 64bit pref] res_to_dev_res add_size 200000 min_align 100000
[    0.541549] pci 0000:00:1c.3: res[15]=[mem 0x00100000-0x002fffff 64bit pref] res_to_dev_res add_size 200000 min_align 100000
[    0.541550] pci 0000:00:1c.0: res[13]=[io  0x1000-0x0fff] res_to_dev_res add_size 1000 min_align 1000
[    0.541552] pci 0000:00:1c.0: res[13]=[io  0x1000-0x1fff] res_to_dev_res add_size 1000 min_align 1000
[    0.541553] pci 0000:00:1c.1: res[13]=[io  0x1000-0x0fff] res_to_dev_res add_size 1000 min_align 1000
[    0.541554] pci 0000:00:1c.1: res[13]=[io  0x1000-0x1fff] res_to_dev_res add_size 1000 min_align 1000
[    0.541556] pci 0000:00:1c.3: res[13]=[io  0x1000-0x0fff] res_to_dev_res add_size 1000 min_align 1000
[    0.541557] pci 0000:00:1c.3: res[13]=[io  0x1000-0x1fff] res_to_dev_res add_size 1000 min_align 1000
[    0.541566] pci 0000:00:1c.0: BAR 15: assigned [mem 0xd4900000-0xd4afffff 64bit pref]
[    0.541570] pci 0000:00:1c.1: BAR 15: assigned [mem 0xd4b00000-0xd4cfffff 64bit pref]
[    0.541574] pci 0000:00:1c.3: BAR 15: assigned [mem 0xd4d00000-0xd4efffff 64bit pref]
[    0.541576] pci 0000:00:1c.0: BAR 13: assigned [io  0x4000-0x4fff]
[    0.541577] pci 0000:00:1c.1: BAR 13: assigned [io  0x5000-0x5fff]
[    0.541579] pci 0000:00:1c.3: BAR 13: assigned [io  0x6000-0x6fff]
[    0.541582] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.541585] pci 0000:00:1c.0:   bridge window [io  0x4000-0x4fff]
[    0.541591] pci 0000:00:1c.0:   bridge window [mem 0xd4600000-0xd46fffff]
[    0.541595] pci 0000:00:1c.0:   bridge window [mem 0xd4900000-0xd4afffff 64bit pref]
[    0.541602] pci 0000:00:1c.1: PCI bridge to [bus 02]
[    0.541605] pci 0000:00:1c.1:   bridge window [io  0x5000-0x5fff]
[    0.541610] pci 0000:00:1c.1:   bridge window [mem 0xd4500000-0xd45fffff]
[    0.541614] pci 0000:00:1c.1:   bridge window [mem 0xd4b00000-0xd4cfffff 64bit pref]
[    0.541621] pci 0000:00:1c.2: PCI bridge to [bus 03-04]
[    0.541624] pci 0000:00:1c.2:   bridge window [io  0x2000-0x2fff]
[    0.541629] pci 0000:00:1c.2:   bridge window [mem 0xd2500000-0xd44fffff]
[    0.541633] pci 0000:00:1c.2:   bridge window [mem 0xd0400000-0xd23fffff 64bit pref]
[    0.541640] pci 0000:00:1c.3: PCI bridge to [bus 05]
[    0.541643] pci 0000:00:1c.3:   bridge window [io  0x6000-0x6fff]
[    0.541648] pci 0000:00:1c.3:   bridge window [mem 0xd2400000-0xd24fffff]
[    0.541652] pci 0000:00:1c.3:   bridge window [mem 0xd4d00000-0xd4efffff 64bit pref]
[    0.541660] pci 0000:00:1e.0: PCI bridge to [bus 06]
[    0.541674] pci_bus 0000:00: resource 4 [io  0x0000-0x0cf7 window]
[    0.541675] pci_bus 0000:00: resource 5 [io  0x0d00-0xffff window]
[    0.541676] pci_bus 0000:00: resource 6 [mem 0x000a0000-0x000bffff window]
[    0.541678] pci_bus 0000:00: resource 7 [mem 0x000d4000-0x000d7fff window]
[    0.541679] pci_bus 0000:00: resource 8 [mem 0x000d8000-0x000dbfff window]
[    0.541680] pci_bus 0000:00: resource 9 [mem 0x000dc000-0x000dffff window]
[    0.541681] pci_bus 0000:00: resource 10 [mem 0xc0000000-0xfeafffff window]
[    0.541683] pci_bus 0000:01: resource 0 [io  0x4000-0x4fff]
[    0.541684] pci_bus 0000:01: resource 1 [mem 0xd4600000-0xd46fffff]
[    0.541685] pci_bus 0000:01: resource 2 [mem 0xd4900000-0xd4afffff 64bit pref]
[    0.541686] pci_bus 0000:02: resource 0 [io  0x5000-0x5fff]
[    0.541687] pci_bus 0000:02: resource 1 [mem 0xd4500000-0xd45fffff]
[    0.541688] pci_bus 0000:02: resource 2 [mem 0xd4b00000-0xd4cfffff 64bit pref]
[    0.541690] pci_bus 0000:03: resource 0 [io  0x2000-0x2fff]
[    0.541691] pci_bus 0000:03: resource 1 [mem 0xd2500000-0xd44fffff]
[    0.541692] pci_bus 0000:03: resource 2 [mem 0xd0400000-0xd23fffff 64bit pref]
[    0.541693] pci_bus 0000:05: resource 0 [io  0x6000-0x6fff]
[    0.541694] pci_bus 0000:05: resource 1 [mem 0xd2400000-0xd24fffff]
[    0.541695] pci_bus 0000:05: resource 2 [mem 0xd4d00000-0xd4efffff 64bit pref]
[    0.541697] pci_bus 0000:06: resource 4 [io  0x0000-0x0cf7 window]
[    0.541698] pci_bus 0000:06: resource 5 [io  0x0d00-0xffff window]
[    0.541699] pci_bus 0000:06: resource 6 [mem 0x000a0000-0x000bffff window]
[    0.541700] pci_bus 0000:06: resource 7 [mem 0x000d4000-0x000d7fff window]
[    0.541701] pci_bus 0000:06: resource 8 [mem 0x000d8000-0x000dbfff window]
[    0.541703] pci_bus 0000:06: resource 9 [mem 0x000dc000-0x000dffff window]
[    0.541704] pci_bus 0000:06: resource 10 [mem 0xc0000000-0xfeafffff window]
[    0.541790] NET: Registered protocol family 2
[    0.541939] TCP established hash table entries: 32768 (order: 6, 262144 bytes)
[    0.542020] TCP bind hash table entries: 32768 (order: 7, 524288 bytes)
[    0.542127] TCP: Hash tables configured (established 32768 bind 32768)
[    0.542160] UDP hash table entries: 2048 (order: 4, 65536 bytes)
[    0.542174] UDP-Lite hash table entries: 2048 (order: 4, 65536 bytes)
[    0.542227] NET: Registered protocol family 1
[    0.542250] pci 0000:00:02.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
[    0.542878] PCI: CLS 64 bytes, default 64
[    0.542931] Unpacking initramfs...
[    1.477333] Freeing initrd memory: 8748K
[    1.478706] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
[    1.478709] software IO TLB [mem 0xb30d0000-0xb70d0000] (64MB) mapped at [ffff8800b30d0000-ffff8800b70cffff]
[    1.478961] Scanning for low memory corruption every 60 seconds
[    1.479633] workingset: timestamp_bits=46 max_order=20 bucket_order=0
[    1.480977] zbud: loaded
[    1.481169] SPL: Loaded module v0.7.0-rc3_7_gbf8abea
[    1.481227] SPLAT: Loaded module v0.7.0-rc3_7_gbf8abea
[    2.512156] tsc: Refined TSC clocksource calibration: 2526.998 MHz
[    2.512163] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x246cda0ff86, max_idle_ns: 440795293526 ns
[    3.079149] ZFS: Loaded module v0.7.0-rc3_165_gcb524aa2, ZFS pool version 5000, ZFS filesystem version 5
[    3.079187] ZPIOS: Loaded module v0.7.0-rc3_165_gcb524aa2
[    3.080835] NET: Registered protocol family 38
[    3.080872] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 249)
[    3.080909] io scheduler noop registered
[    3.080910] io scheduler deadline registered
[    3.080940] io scheduler cfq registered
[    3.080966] io scheduler bfq registered (default)
[    3.080966] BFQ I/O-scheduler: v8r8-rc2 (with cgroups support)
[    3.081895] Serial: 8250/16550 driver, 4 ports, IRQ sharing disabled
[    3.082342] Linux agpgart interface v0.103
[    3.082394] intel_idle: MWAIT substates: 0x1120
[    3.082395] intel_idle: v0.4.1 model 0x25
[    3.082556] intel_idle: lapic_timer_reliable_states 0xffffffff
[    3.082612] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input0
[    3.082615] ACPI: Power Button [PWRB]
[    3.082671] input: Lid Switch as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input1
[    3.082690] ACPI: Lid Switch [LID]
[    3.082724] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
[    3.082725] ACPI: Power Button [PWRF]
[    3.082904] GHES: HEST is not enabled!
[    3.082926] [drm] Initialized
[    3.083195] pci 0000:00:00.0: Intel HD Graphics Chipset
[    3.083212] pci 0000:00:00.0: detected gtt size: 2097152K total, 262144K mappable
[    3.083725] pci 0000:00:00.0: detected 65536K stolen memory
[    3.083780] [drm] Memory usable by graphics device = 2048M
[    3.083783] [drm] Replacing VGA console driver
[    3.092134] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    3.092136] [drm] Driver supports precise vblank timestamp query.
[    3.094609] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    3.165898] [drm] RC6 disabled, disabling runtime PM support
[    3.167464] ACPI: Video Device [GFX0] (multi-head: yes  rom: yes  post: no)
[    3.169992] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input3
[    3.170024] [drm] Initialized i915 1.6.0 20161121 for 0000:00:02.0 on minor 0
[    3.170801] ahci 0000:00:1f.2: version 3.0
[    3.171391] ahci 0000:00:1f.2: AHCI 0001.0300 32 slots 4 ports 3 Gbps 0x23 impl SATA mode
[    3.171394] ahci 0000:00:1f.2: flags: 64bit ncq sntf stag pm led clo pio slum part ems sxs apst 
[    3.176192] scsi host0: ahci
[    3.176306] scsi host1: ahci
[    3.176462] scsi host2: ahci
[    3.176561] scsi host3: ahci
[    3.176653] scsi host4: ahci
[    3.176759] scsi host5: ahci
[    3.176798] ata1: SATA max UDMA/133 abar m2048@0xd4727000 port 0xd4727100 irq 25
[    3.176801] ata2: SATA max UDMA/133 abar m2048@0xd4727000 port 0xd4727180 irq 25
[    3.176801] ata3: DUMMY
[    3.176802] ata4: DUMMY
[    3.176802] ata5: DUMMY
[    3.176804] ata6: SATA max UDMA/133 abar m2048@0xd4727000 port 0xd4727380 irq 25
[    3.176859] rtc_cmos 00:04: RTC can wake from S4
[    3.177452] rtc_cmos 00:04: rtc core: registered rtc_cmos as rtc0
[    3.177516] rtc_cmos 00:04: alarms up to one year, 242 bytes nvram, hpet irqs
[    3.177579] ledtrig-cpu: registered to indicate activity on CPUs
[    3.177926] NET: Registered protocol family 10
[    3.178139] Segment Routing with IPv6
[    3.178153] NET: Registered protocol family 17
[    3.178491] microcode: sig=0x20655, pf=0x10, revision=0x4
[    3.178533] microcode: Microcode Update Driver: v2.2.
[    3.178649] registered taskstats version 1
[    3.179312] zswap: loaded using pool lzo/zbud
[    3.201632] fbcon: inteldrmfb (fb0) is primary device
[    3.294577] UKSM: relative memcmp_cost = 153 hash=4192186879 cmp_ret=0.
[    3.297447] Btrfs loaded, crc32c=crc32c-intel
[    3.317347] Key type big_key registered
[    3.320053] Key type encrypted registered
[    3.320395]   Magic number: 13:917:191
[    3.320470] acpi device:1d: hash matches
[    3.320552] rtc_cmos 00:04: setting system clock to 2017-04-04 19:11:13 UTC (1491333073)
[    3.320596] PM: Checking hibernation image partition /dev/sda3
[    3.486609] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    3.486642] ata6: SATA link down (SStatus 0 SControl 300)
[    3.486711] ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[    3.488575] ACPI Error: [GTF1] Namespace lookup failure, AE_NOT_FOUND (20160930/psargs-359)
[    3.488583] ACPI Error: Method parse/execution failed [\_SB.PCI0.SAT0.PRT1._SDD] (Node ffff8801334be348), AE_NOT_FOUND (20160930/psparse-543)
[    3.488600] ACPI Error: [GTF1] Namespace lookup failure, AE_NOT_FOUND (20160930/psargs-359)
[    3.488602] ACPI Error: Method parse/execution failed [\_SB.PCI0.SAT0.PRT1._GTF] (Node ffff8801334be370), AE_NOT_FOUND (20160930/psparse-543)
[    3.488609] ata2.00: ATAPI: MATSHITADVD-RAM UJ892ES, 1.20, max UDMA/100
[    3.488681] ACPI Error: [GTF0] Namespace lookup failure, AE_NOT_FOUND (20160930/psargs-359)
[    3.488685] ACPI Error: Method parse/execution failed [\_SB.PCI0.SAT0.PRT0._SDD] (Node ffff8801334be230), AE_NOT_FOUND (20160930/psparse-543)
[    3.488703] ACPI Error: [GTF0] Namespace lookup failure, AE_NOT_FOUND (20160930/psargs-359)
[    3.488707] ACPI Error: Method parse/execution failed [\_SB.PCI0.SAT0.PRT0._GTF] (Node ffff8801334be258), AE_NOT_FOUND (20160930/psparse-543)
[    3.488795] ata1.00: ATA-8: WDC WD3200BEKT-60F3T1, 12.01A12, max UDMA/100
[    3.488798] ata1.00: 625142448 sectors, multi 16: LBA48 NCQ (depth 31/32), AA
[    3.491105] ACPI Error: [GTF0] Namespace lookup failure, AE_NOT_FOUND (20160930/psargs-359)
[    3.491109] ACPI Error: Method parse/execution failed [\_SB.PCI0.SAT0.PRT0._SDD] (Node ffff8801334be230), AE_NOT_FOUND (20160930/psparse-543)
[    3.491127] ACPI Error: [GTF0] Namespace lookup failure, AE_NOT_FOUND (20160930/psargs-359)
[    3.491130] ACPI Error: Method parse/execution failed [\_SB.PCI0.SAT0.PRT0._GTF] (Node ffff8801334be258), AE_NOT_FOUND (20160930/psparse-543)
[    3.491237] ACPI Error: [GTF1] Namespace lookup failure, AE_NOT_FOUND (20160930/psargs-359)
[    3.491242] ACPI Error: Method parse/execution failed [\_SB.PCI0.SAT0.PRT1._SDD] (Node ffff8801334be348), AE_NOT_FOUND (20160930/psparse-543)
[    3.491260] ACPI Error: [GTF1] Namespace lookup failure, AE_NOT_FOUND (20160930/psargs-359)
[    3.491263] ACPI Error: Method parse/execution failed [\_SB.PCI0.SAT0.PRT1._GTF] (Node ffff8801334be370), AE_NOT_FOUND (20160930/psparse-543)
[    3.491274] ata2.00: configured for UDMA/100
[    3.491281] ata1.00: configured for UDMA/100
[    3.536443] clocksource: Switched to clocksource tsc
[    3.585800] Console: switching to colour frame buffer device 170x48
[    3.602497] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[    3.620678] scsi 0:0:0:0: Direct-Access     ATA      WDC WD3200BEKT-6 1A12 PQ: 0 ANSI: 5
[    3.648516] sd 0:0:0:0: [sda] 625142448 512-byte logical blocks: (320 GB/298 GiB)
[    3.648531] sd 0:0:0:0: [sda] Write Protect is off
[    3.648534] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    3.648556] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    3.651570] scsi 1:0:0:0: CD-ROM            MATSHITA DVD-RAM UJ892ES  1.20 PQ: 0 ANSI: 5
[    3.715260]  sda: sda1 sda2 sda3 sda4
                sda4: <bsd:bad subpartition - ignored
               bad subpartition - ignored
                >
[    3.715924] sd 0:0:0:0: [sda] Attached SCSI disk
[    3.715932] PM: Hibernation image partition 8:3 present
[    3.715932] PM: Looking for hibernation image.
[    3.716098] PM: Image not found (code -22)
[    3.716099] PM: Hibernation image not present or could not be loaded.
[    3.717379] Freeing unused kernel memory: 1228K
[    3.717381] Write protecting the kernel read-only data: 14336k
[    3.717597] Freeing unused kernel memory: 388K
[    3.720003] Freeing unused kernel memory: 1044K
[    3.720004] MuQSS CPU scheduler v0.152 by Con Kolivas.
[    3.854102] random: systemd-udevd: uninitialized urandom read (16 bytes read)
[    3.854220] random: systemd-udevd: uninitialized urandom read (16 bytes read)
[    3.855260] random: udevadm: uninitialized urandom read (16 bytes read)
[    3.855294] random: udevadm: uninitialized urandom read (16 bytes read)
[    3.857043] random: udevadm: uninitialized urandom read (16 bytes read)
[    3.857111] random: udevadm: uninitialized urandom read (16 bytes read)
[    3.857176] random: udevadm: uninitialized urandom read (16 bytes read)
[    3.857273] random: udevadm: uninitialized urandom read (16 bytes read)
[    3.857335] random: udevadm: uninitialized urandom read (16 bytes read)
[    3.857395] random: udevadm: uninitialized urandom read (16 bytes read)
[    3.885540] ACPI: AC Adapter [ADP1] (on-line)
[    3.891954] i8042: PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
[    3.894257] serio: i8042 KBD port at 0x60,0x64 irq 1
[    3.894311] ACPI: Battery Slot [BAT1] (battery present)
[    3.894420] serio: i8042 AUX port at 0x60,0x64 irq 12
[    3.894897] toshiba_haps: Toshiba HDD Active Protection Sensor device
[    3.895591] (NULL device *): hwmon_device_register() is deprecated. Please convert the driver to use hwmon_device_register_with_info().
[    3.895682] thermal LNXTHERM:00: registered as thermal_zone0
[    3.895683] ACPI: Thermal Zone [TZ01] (71 C)
[    3.899451] pps_core: LinuxPPS API ver. 1 registered
[    3.899452] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
[    3.899722] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[    3.899823] PTP clock support registered
[    3.905491] e1000e: Intel(R) PRO/1000 Network Driver - 3.2.6-k
[    3.905493] e1000e: Copyright(c) 1999 - 2015 Intel Corporation.
[    3.905604] ACPI: bus type USB registered
[    3.905636] usbcore: registered new interface driver usbfs
[    3.905651] usbcore: registered new interface driver hub
[    3.905692] usbcore: registered new device driver usb
[    3.905863] e1000e 0000:00:19.0: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
[    3.907318] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    3.907657] ehci-pci: EHCI PCI platform driver
[    3.908976] sdhci: Secure Digital Host Controller Interface driver
[    3.908977] sdhci: Copyright(c) Pierre Ossman
[    3.909477] sdhci-pci 0000:01:00.0: SDHCI controller found [1180:e822] (rev 1)
[    3.910906] sdhci-pci 0000:01:00.0: Will use DMA mode even though HW doesn't fully claim to support it.
[    3.912002] sdhci-pci 0000:01:00.0: Will use DMA mode even though HW doesn't fully claim to support it.
[    3.912198] mmc0: SDHCI controller on PCI [0000:01:00.0] using DMA
[    3.920970] Intel(R) Wireless WiFi driver for Linux
[    3.920972] Copyright(c) 2003- 2015 Intel Corporation
[    3.921223] input: PC Speaker as /devices/platform/pcspkr/input/input4
[    3.922404] iwlwifi 0000:02:00.0: loaded firmware version 17.352738.0 op_mode iwlmvm
[    3.931002] sr 1:0:0:0: [sr0] scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
[    3.931005] cdrom: Uniform CD-ROM driver Revision: 3.20
[    3.931182] sr 1:0:0:0: Attached scsi CD-ROM sr0
[    3.939245] kvm: VM_EXIT_LOAD_IA32_PERF_GLOBAL_CTRL does not work properly. Using workaround
[    3.941436] iwlwifi 0000:02:00.0: Detected Intel(R) Dual Band Wireless AC 7260, REV=0x144
[    3.943607] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[    3.943884] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[    3.988195] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input5
[    3.999816] toshiba_bluetooth: Toshiba ACPI Bluetooth device driver
[    4.095369] random: fast init done
[    4.134398] e1000e 0000:00:19.0 eth0: (PCI Express:2.5GT/s:Width x1) e8:9d:87:af:ed:1e
[    4.134406] e1000e 0000:00:19.0 eth0: Intel(R) PRO/1000 Network Connection
[    4.134449] e1000e 0000:00:19.0 eth0: MAC: 9, PHY: 10, PBA No: FFFFFF-0FF
[    4.137293] ehci-pci 0000:00:1a.0: EHCI Host Controller
[    4.137301] ehci-pci 0000:00:1a.0: new USB bus registered, assigned bus number 1
[    4.137315] ehci-pci 0000:00:1a.0: debug port 2
[    4.141272] ehci-pci 0000:00:1a.0: cache line size of 64 is not supported
[    4.141303] ehci-pci 0000:00:1a.0: irq 16, io mem 0xd4729000
[    4.148352] ehci-pci 0000:00:1a.0: USB 2.0 started, EHCI 1.00
[    4.148552] hub 1-0:1.0: USB hub found
[    4.148559] hub 1-0:1.0: 2 ports detected
[    4.148867] ehci-pci 0000:00:1d.0: EHCI Host Controller
[    4.148871] ehci-pci 0000:00:1d.0: new USB bus registered, assigned bus number 2
[    4.148882] ehci-pci 0000:00:1d.0: debug port 2
[    4.152839] ehci-pci 0000:00:1d.0: cache line size of 64 is not supported
[    4.152898] ehci-pci 0000:00:1d.0: irq 23, io mem 0xd4728000
[    4.158209] ieee80211 phy0: Selected rate control algorithm 'iwl-mvm-rs'
[    4.159266] ehci-pci 0000:00:1d.0: USB 2.0 started, EHCI 1.00
[    4.159492] hub 2-0:1.0: USB hub found
[    4.159500] hub 2-0:1.0: 2 ports detected
[    4.159750] ACPI Warning: SystemIO range 0x0000000000000428-0x000000000000042F conflicts with OpRegion 0x0000000000000400-0x000000000000047F (\PMIO) (20160930/utaddress-247)
[    4.159757] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    4.159760] ACPI Warning: SystemIO range 0x0000000000000540-0x000000000000054F conflicts with OpRegion 0x0000000000000500-0x000000000000057B (\GPIO) (20160930/utaddress-247)
[    4.159764] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    4.159764] ACPI Warning: SystemIO range 0x0000000000000530-0x000000000000053F conflicts with OpRegion 0x0000000000000500-0x000000000000057B (\GPIO) (20160930/utaddress-247)
[    4.159768] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    4.159768] ACPI Warning: SystemIO range 0x0000000000000500-0x000000000000052F conflicts with OpRegion 0x0000000000000500-0x000000000000057B (\GPIO) (20160930/utaddress-247)
[    4.159771] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    4.159772] lpc_ich: Resource conflict(s) found affecting gpio_ich
[    4.159796] intel ips 0000:00:1f.6: CPU TDP doesn't match expected value (found 25, expected 29)
[    4.160186] intel ips 0000:00:1f.6: IPS driver initialized, MCP temp limit 90
[    4.160917] iTCO_vendor_support: vendor-support=0
[    4.161127] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.11
[    4.161158] iTCO_wdt: Found a HM55 TCO device (Version=2, TCOBASE=0x0460)
[    4.161280] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[    4.171052] snd_hda_codec_realtek hdaudioC0D0: autoconfig for ALC269VB: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:speaker
[    4.171054] snd_hda_codec_realtek hdaudioC0D0:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[    4.171056] snd_hda_codec_realtek hdaudioC0D0:    hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
[    4.171057] snd_hda_codec_realtek hdaudioC0D0:    mono: mono_out=0x0
[    4.171058] snd_hda_codec_realtek hdaudioC0D0:    inputs:
[    4.171060] snd_hda_codec_realtek hdaudioC0D0:      Mic=0x18
[    4.171061] snd_hda_codec_realtek hdaudioC0D0:      Internal Mic=0x12
[    4.180033] snd_hda_intel 0000:00:1b.0: bound 0000:00:02.0 (ops 0xffffffff81af4d80)
[    4.184227] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/sound/card0/input8
[    4.184558] input: HDA Intel MID Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input9
[    4.185135] input: HDA Intel MID Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input10
[    4.185225] input: HDA Intel MID HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:1b.0/sound/card0/input11
[    4.185334] input: HDA Intel MID HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:1b.0/sound/card0/input12
[    4.339507] mmc0: new high speed SDHC card at address 1234
[    4.341506] mmcblk0: mmc0:1234 SA32G 28.9 GiB 
[    4.342665]  mmcblk0: p1
[    4.464321] usb 1-1: new high-speed USB device number 2 using ehci-pci
[    4.472288] usb 2-1: new high-speed USB device number 2 using ehci-pci
[    4.518364] PM: Starting manual resume from disk
[    4.518368] PM: Hibernation image partition 8:3 present
[    4.518368] PM: Looking for hibernation image.
[    4.518604] PM: Image not found (code -22)
[    4.518605] PM: Hibernation image not present or could not be loaded.
[    4.583213] hub 1-1:1.0: USB hub found
[    4.583278] hub 1-1:1.0: 6 ports detected
[    4.591199] hub 2-1:1.0: USB hub found
[    4.591266] hub 2-1:1.0: 8 ports detected
[    4.614155] psmouse serio1: synaptics: queried max coordinates: x [..5646], y [..4606]
[    4.661854] psmouse serio1: synaptics: Touchpad model: 1, fw: 7.4, id: 0x1e0b1, caps: 0xd04773/0xa40000/0xa0400/0x0, board id: 0, fw id: 664027
[    4.692273] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input7
[    4.693970] mousedev: PS/2 mouse device common for all mice
[    4.856329] usb 1-1.2: new full-speed USB device number 3 using ehci-pci
[    4.863980] random: crng init done
[    4.864371] usb 2-1.6: new full-speed USB device number 3 using ehci-pci
[    4.864388] BTRFS: device label Gentoo_X64 devid 1 transid 15302 /dev/sda2
[    4.866253] BTRFS info (device sda2): disk space caching is enabled
[    4.866255] BTRFS info (device sda2): has skinny extents
[    4.949611] Bluetooth: Core ver 2.22
[    4.949635] NET: Registered protocol family 31
[    4.949635] Bluetooth: HCI device and connection manager initialized
[    4.949640] Bluetooth: HCI socket layer initialized
[    4.949642] Bluetooth: L2CAP socket layer initialized
[    4.949648] Bluetooth: SCO socket layer initialized
[    4.951334] usbcore: registered new interface driver btusb
[    4.964699] Bluetooth: hci0: read Intel version: 3707100180012d0d00
[    4.964767] Bluetooth: hci0: Intel Bluetooth firmware file: intel/ibt-hw-37.7.10-fw-1.80.1.2d.d.bseq
[    5.001354] usb 1-1.4: new high-speed USB device number 4 using ehci-pci
[    5.153767] Bluetooth: hci0: Intel Bluetooth firmware patch completed and activated
[    5.325152] media: Linux media interface: v0.10
[    5.327809] Linux video capture interface: v2.00
[    5.329593] uvcvideo: Found UVC 1.00 device 2SF001 (0bda:58f5)
[    5.360096] uvcvideo 1-1.4:1.0: Entity type for entity Processing 2 was not initialized!
[    5.360099] uvcvideo 1-1.4:1.0: Entity type for entity Camera 1 was not initialized!
[    5.360100] uvcvideo 1-1.4:1.0: Entity type for entity Extension 4 was not initialized!
[    5.360223] input: 2SF001 as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/input/input13
[    5.360344] usbcore: registered new interface driver uvcvideo
[    5.360345] USB Video Class driver (1.1.1)
[    5.387400] usb 1-1.6: new full-speed USB device number 5 using ehci-pci
[    6.828782] ip_tables: (C) 2000-2006 Netfilter Core Team
[    6.852378] systemd[1]: systemd 233 running in system mode. (+PAM -AUDIT -SELINUX +IMA -APPARMOR +SMACK -SYSVINIT +UTMP -LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ +LZ4 +SECCOMP +BLKID +ELFUTILS +KMOD +IDN default-hierarchy=hybrid)
[    6.852532] systemd[1]: Detected architecture x86-64.
[    7.944142] systemd[1]: Reached target Remote File Systems.
[    7.944509] systemd[1]: Started Forward Password Requests to Wall Directory Watch.
[    7.944698] systemd[1]: Listening on /dev/initctl Compatibility Named Pipe.
[    7.945606] systemd[1]: Listening on Process Core Dump Socket.
[    7.946161] systemd[1]: Created slice User and Session Slice.
[    7.968446] systemd[1]: Listening on udev Control Socket.
[    7.968984] systemd[1]: Set up automount Arbitrary Executable File Formats File System Automount Point.
[    7.969209] systemd[1]: Listening on Journal Socket.
[    8.141182] Adding 4368380k swap on /dev/sda3.  Priority:-1 extents:1 across:4368380k FS
[    8.226067] BTRFS info (device sda2): force lzo compression
[    8.226070] BTRFS info (device sda2): disk space caching is enabled
[    8.297808] vboxdrv: loading out-of-tree module taints kernel.
[    8.302377] vboxdrv: Found 4 processor cores
[    8.317825] vboxdrv: TSC mode is Invariant, tentative frequency 2526992634 Hz
[    8.317826] vboxdrv: Successfully loaded version 5.1.18 (interface 0x00280000)
[    8.376296] VBoxNetFlt: Successfully started.
[    8.517394] VBoxNetAdp: Successfully started.
[    8.518113] VBoxPciLinuxInit
[    8.518119] vboxpci: pci-stub module not available, cannot detach PCI devices
[    8.518120] vboxpci: IOMMU not found (not registered)
[    9.216132] systemd-journald[781]: Received request to flush runtime journal from PID 1
[    9.831617] systemd-journald[781]: File /var/log/journal/54acaaa571d60338b0cb4e0758c1eac3/system.journal corrupted or uncleanly shut down, renaming and replacing.
[   10.692434] e1000e 0000:00:19.0 enp0s25: renamed from eth0
[   10.702865] iwlwifi 0000:02:00.0 wlp2s0: renamed from wlan0
[   19.507529] IPv6: ADDRCONF(NETDEV_UP): enp0s25: link is not ready
[   19.721670] IPv6: ADDRCONF(NETDEV_UP): enp0s25: link is not ready
[   19.725269] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[   19.727418] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   19.727691] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   19.932062] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   19.932339] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   19.946463] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[   19.956090] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   19.956401] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   20.080878] systemd-journald[781]: File /var/log/journal/54acaaa571d60338b0cb4e0758c1eac3/user-1001.journal corrupted or uncleanly shut down, renaming and replacing.
[   20.164657] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   20.164938] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   20.179127] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[   20.352257] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[   23.741049] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   23.741319] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   23.959925] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   23.960196] iwlwifi 0000:02:00.0: L1 Enabled - LTR Disabled
[   23.974524] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[   24.900198] fuse init (API version 7.26)
[   27.408778] wlp2s0: authenticate with 58:2a:f7:9c:6f:30
[   27.411665] wlp2s0: send auth to 58:2a:f7:9c:6f:30 (try 1/3)
[   27.414471] wlp2s0: authenticated
[   27.414831] wlp2s0: associate with 58:2a:f7:9c:6f:30 (try 1/3)
[   27.420143] wlp2s0: RX AssocResp from 58:2a:f7:9c:6f:30 (capab=0x421 status=0 aid=2)
[   27.422252] wlp2s0: associated
[   27.422267] IPv6: ADDRCONF(NETDEV_CHANGE): wlp2s0: link becomes ready
[   29.661836] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   29.661838] Bluetooth: BNEP filters: protocol multicast
[   29.661843] Bluetooth: BNEP socket layer initialized
[   31.849278] Bluetooth: RFCOMM TTY layer initialized
[   31.849287] Bluetooth: RFCOMM socket layer initialized
[   31.849297] Bluetooth: RFCOMM ver 1.11
[   37.100828] FAT-fs (mmcblk0p1): Volume was not properly unmounted. Some data may be corrupt. Please run fsck.
[   52.971499] [drm:intel_cpu_fifo_underrun_irq_handler] *ERROR* CPU pipe A FIFO underrun
[   52.971511] [drm:intel_pch_fifo_underrun_irq_handler] *ERROR* PCH transcoder A FIFO underrun
[  115.263945] mmc0: card 1234 removed




inxi -F
System:    Host: darkmaza Kernel: 4.10.8-gentoo-ck x86_64 (64 bit) Desktop: MATE 1.18.0
           Distro: Gentoo Base System release 2.3
Machine:   Device: laptop System: TOSHIBA product: PORTEGE R700 v: PT310U-0K002Y01
           Mobo: TOSHIBA model: Portable PC v: Version A0
           BIOS: TOSHIBA v: Version 2.20 date: 12/22/2011
CPU:       Dual core Intel Core i3 M 380 (-HT-MCP-) cache: 3072 KB 
           clock speeds: max: 2533 MHz 1: 2533 MHz 2: 2533 MHz 3: 2533 MHz 4: 2533 MHz
Graphics:  Card: Intel Core Processor Integrated Graphics Controller
           Display Server: X.Org 1.19.3 driver: modesetting Resolution: 1366x768@60.17hz
           GLX Renderer: Mesa DRI Intel Ironlake Mobile GLX Version: 2.1 Mesa 17.0.3
Audio:     Card Intel 5 Series/3400 Series High Definition Audio driver: snd_hda_intel
           Sound: Advanced Linux Sound Architecture v: k4.10.8-gentoo-ck
Network:   Card-1: Intel 82577LC Gigabit Network Connection driver: e1000e
           IF: enp0s25 state: down mac: e8:9d:87:af:ed:1e
           Card-2: Intel Wireless 7260 driver: iwlwifi
           IF: wlp2s0 state: up mac: f0:42:1c:c7:07:59
Drives:    HDD Total Size: 320.1GB (19.3% used)
           ID-1: /dev/sda model: WDC_WD3200BEKT size: 320.1GB
Partition: ID-1: / size: 91G used: 54G (62%) fs: btrfs dev: /dev/sda2
           ID-2: swap-1 size: 4.47GB used: 0.00GB (0%) fs: swap dev: /dev/sda3
Sensors:   System Temperatures: cpu: 56.0C mobo: N/A
           Fan Speeds (in rpm): cpu: N/A
Info:      Processes: 274 Uptime: 26 min Memory: 1805.5/3676.6MB Client: Shell (fish) inxi: 2.3.4
Comment 116 Carlos Jimenez 2017-04-04 19:49:23 UTC
i know my card is not skylake but is the same error .
Comment 117 Jani Nikula 2017-04-05 08:03:35 UTC
(In reply to Carlos Jimenez from comment #116)
> i know my card is not skylake but is the same error .

Please let us be the judge whether it is the same error or not. There's a world of difference in Ironlake and Skylake.

Please do not add dmesgs or logs in bug comments, they make the reading of bugs very difficult.

Please do not reopen based on old kernels when there has been a request to try the latest kernels from drm-tip.

Closing. Please file a new bug *if* the bug persists on drm-tip.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.